-- Copyright (C) 2000-2005 MySQL AB
-- 
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

-- DO NOT EDIT THIS FILE. It is generated automatically.

delete from help_topic;
delete from help_category;
delete from help_keyword;
delete from help_relation;

insert into help_category (help_category_id,name,parent_category_id,url) values 
(1,"Geographic",0,''),
(2,"Polygon properties",27,''),
(3,"Column Types",28,''),
(4,"WKT",27,''),
(5,"Numeric Functions",31,''),
(6,"MBR",27,''),
(7,"Control flow functions",31,''),
(8,"Transactions",28,''),
(9,"Point properties",27,''),
(10,"Encryption Functions",31,''),
(11,"LineString properties",27,''),
(12,"Logical operators",31,''),
(13,"Miscellaneous Functions",31,''),
(14,"Functions and Modifiers for Use with GROUP BY",28,''),
(15,"Information Functions",31,'');
insert into help_category (help_category_id,name,parent_category_id,url) values 
(16,"Storage Engines",28,''),
(17,"Comparison operators",31,''),
(18,"Bit Functions",31,''),
(19,"Geometry constructors",27,''),
(20,"GeometryCollection properties",1,''),
(21,"Administration",28,''),
(22,"Data Manipulation",28,''),
(23,"Language Structure",28,''),
(24,"Geometry relations",27,''),
(25,"Date and Time Functions",31,''),
(26,"WKB",27,''),
(27,"Geographic Features",28,''),
(28,"Contents",0,''),
(29,"Geometry properties",27,''),
(30,"String Functions",31,'');
insert into help_category (help_category_id,name,parent_category_id,url) values 
(31,"Functions",28,''),
(32,"Data Definition",28,'');

insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (0,22,"JOIN","MySQL supports the following JOIN syntaxes for the table_references
part of SELECT statements and multiple-table DELETE and UPDATE
statements:

table_reference, table_reference
table_reference [INNER | CROSS] JOIN table_reference [join_condition]
table_reference STRAIGHT_JOIN table_reference
table_reference LEFT [OUTER] JOIN table_reference join_condition
table_reference NATURAL [LEFT [OUTER]] JOIN table_reference
{ ON table_reference LEFT OUTER JOIN table_reference
    ON conditional_expr }
table_reference RIGHT [OUTER] JOIN table_reference join_condition
table_reference NATURAL [RIGHT [OUTER]] JOIN table_reference

table_reference is defined as:

tbl_name [[AS] alias]
    [{USE|IGNORE|FORCE} INDEX (key_list)]

join_condition is defined as:

ON conditional_expr | USING (column_list)
","mysql> SELECT table1.* FROM table1
    ->        LEFT JOIN table2 ON table1.id=table2.id
    ->        WHERE table2.id IS NULL;
","join"),(1,30,"HEX","Syntax:
HEX(N_or_S)

If N_OR_S is a number, returns a string representation of the
hexadecimal value of N, where N is a longlong (BIGINT) number. This is
equivalent to CONV(N,10,16).

From MySQL 4.0.1 and up, if N_OR_S is a string, returns a hexadecimal
string representation of N_OR_S where each character in N_OR_S is
converted to two hexadecimal digits.
","mysql> SELECT HEX(255);
        -> 'FF'
mysql> SELECT 0x616263;
        -> 'abc'
mysql> SELECT HEX('abc');
        -> 616263
","string-functions"),(2,30,"REPLACE","Syntax:
REPLACE(str,from_str,to_str)

Returns the string str with all occurrences of the string from_str
replaced by the string to_str. REPLACE() performs a case-sensitive
match when searching for from_str.
","mysql> SELECT REPLACE('www.mysql.com', 'w', 'Ww');
        -> 'WwWwWw.mysql.com'
","string-functions"),(3,30,"REPEAT","Syntax:
REPEAT(str,count)

Returns a string consisting of the string str repeated count times. If
count <= 0, returns an empty string. Returns NULL if str or count are
NULL.
","mysql> SELECT REPEAT('MySQL', 3);
        -> 'MySQLMySQLMySQL'
","string-functions"),(4,24,"CONTAINS","Contains(g1,g2)

Returns 1 or 0 to indicate whether or not g1 completely contains g2.
","","functions-that-test-spatial-relationships-between-geometries"),(5,29,"SRID","SRID(g)

Returns an integer indicating the Spatial Reference System ID for the
geometry value g.

In MySQL, the SRID value is just an integer associated with the
geometry value. All calculations are done assuming Euclidean (planar)
geometry.
","mysql> SELECT SRID(GeomFromText('LineString(1 1,2 2)',101));
+-----------------------------------------------+
| SRID(GeomFromText('LineString(1 1,2 2)',101)) |
+-----------------------------------------------+
|                                           101 |
+-----------------------------------------------+
","general-geometry-property-functions"),(6,25,"CURRENT_TIMESTAMP","Syntax:
CURRENT_TIMESTAMP, CURRENT_TIMESTAMP()

CURRENT_TIMESTAMP and CURRENT_TIMESTAMP() are synonyms for NOW().
","","date-and-time-functions"),(7,14,"VARIANCE","Syntax:
VARIANCE(expr)

Returns the population standard variance of expr. This is an extension
to standard SQL, available in MySQL 4.1 or later.

VARIANCE() returns NULL if there were no matching rows.
","","group-by-functions"),(8,30,"CONCAT","Syntax:
CONCAT(str1,str2,...)

Returns the string that results from concatenating the arguments.
Returns NULL if any argument is NULL. May have one or more arguments.
If all arguments are non-binary strings, the result is a non-binary
string. If the arguments include any binary strings, the result is a
binary string. A numeric argument is converted to its equivalent binary
string form; if you want to avoid that you can use explicit type cast,
like in this example: SELECT CONCAT(CAST(int_col AS CHAR), char_col)
","mysql> SELECT CONCAT('My', 'S', 'QL');
        -> 'MySQL'
mysql> SELECT CONCAT('My', NULL, 'QL');
        -> NULL
mysql> SELECT CONCAT(14.3);
        -> '14.3'
","string-functions"),(9,27,"GEOMETRY HIERARCHY","Geometry is the base class. It's an abstract class. The instantiable
subclasses of Geometry are restricted to zero-, one-, and
two-dimensional geometric objects that exist in two-dimensional
coordinate space. All instantiable geometry classes are defined so that
valid instances of a geometry class are topologically closed (that is,
all defined geometries include their boundary).

The base Geometry class has subclasses for Point, Curve, Surface, and
GeometryCollection:

o Point represents zero-dimensional objects.

o Curve represents one-dimensional objects, and has subclass
  LineString, with sub-subclasses Line and LinearRing.

o Surface is designed for two-dimensional objects and has subclass
  Polygon.

o GeometryCollection has specialized zero-, one-, and two-dimensional
  collection classes named MultiPoint, MultiLineString, and
  MultiPolygon for modeling geometries corresponding to collections of
  Points, LineStrings, and Polygons, respectively. MultiCurve and
  MultiSurface are introduced as abstract superclasses that generalize
  the collection interfaces to handle Curves and Surfaces.

Geometry, Curve, Surface, MultiCurve, and MultiSurface are defined as
non-instantiable classes. They define a common set of methods for their
subclasses and are included for extensibility.

Point, LineString, Polygon, GeometryCollection, MultiPoint,
MultiLineString, and MultiPolygon are instantiable classes.
","","gis-geometry-class-hierarchy"),(10,30,"CHAR FUNCTION","Syntax:
CHAR(N,... [USING charset])

CHAR() interprets each argument N as an integer and returns a string
consisting of the characters given by the code values of those
integers. NULL values are skipped.
CHAR() returns a string in the connection character set. As of MySQL
4.1.16, the optional USING clause may be used to produce a string in a
given character set:

mysql> SELECT CHARSET(CHAR(0x65)), CHARSET(CHAR(0x65 USING utf8));
+---------------------+--------------------------------+
| CHARSET(CHAR(0x65)) | CHARSET(CHAR(0x65 USING utf8)) |
+---------------------+--------------------------------+
| latin1              | utf8                           |
+---------------------+--------------------------------+
","mysql> SELECT CHAR(77,121,83,81,'76');
        -> 'MySQL'
mysql> SELECT CHAR(77,77.3,'77.3');
        -> 'MMM'
","string-functions"),(11,3,"DATETIME","DATETIME

A date and time combination. The supported range is '1000-01-01
00:00:00' to '9999-12-31 23:59:59'. MySQL displays DATETIME values in
'YYYY-MM-DD HH:MM:SS' format, but allows you to assign values to
DATETIME columns using either strings or numbers.
","","date-and-time-type-overview"),(12,3,"INTEGER","INTEGER[(M)] [UNSIGNED] [ZEROFILL]

This is a synonym for INT.
","","numeric-type-overview"),(13,30,"LOWER","Syntax:
LOWER(str)

Returns the string str with all characters changed to lowercase
according to the current character set mapping (the default is cp1252
Latin1).
","mysql> SELECT LOWER('QUADRATICALLY');
        -> 'quadratically'
","string-functions"),(14,25,"MONTH","Syntax:
MONTH(date)

Returns the month for date, in the range 1 to 12.
","mysql> SELECT MONTH('1998-02-03');
        -> 2
","date-and-time-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (15,3,"TINYINT","TINYINT[(M)] [UNSIGNED] [ZEROFILL]

A very small integer. The signed range is -128 to 127. The unsigned
range is 0 to 255.
","","numeric-type-overview"),(16,13,"MASTER_POS_WAIT","Syntax:
MASTER_POS_WAIT(log_name,log_pos[,timeout])

This function is useful for control of master/slave synchronization. It
blocks until the slave has read and applied all updates up to the
specified position in the master log. The return value is the number of
log events it had to wait for to get to the specified position. The
function returns NULL if the slave SQL thread is not started, the
slave's master information is not initialized, the arguments are
incorrect, or an error occurs. It returns -1 if the timeout has been
exceeded. If the slave SQL thread stops while MASTER_POS_WAIT() is
waiting, the function returns NULL. If the slave is past the specified
position, the function returns immediately.
","","miscellaneous-functions"),(17,30,"REGEXP","Syntax:
expr REGEXP pat expr RLIKE pat

Performs a pattern match of a string expression expr against a pattern
pat. The pattern can be an extended regular expression. The syntax for
regular expressions is discussed in [regexp]. Returns 1 if expr matches
pat; otherwise it returns 0. If either expr or pat is NULL, the result
is NULL. RLIKE is a synonym for REGEXP, provided for mSQL
compatibility.

The pattern need not be a literal string. For example, it can be
specified as a string expression or table column.

Note: Because MySQL uses the C escape syntax in strings (for example,
`\\n' to represent the newline character), you must double any `\\' that
you use in your REGEXP strings.

As of MySQL 3.23.4, REGEXP is not case sensitive, except when used with
binary strings.
","mysql> SELECT 'Monty!' REGEXP 'm%y%%';
        -> 0
mysql> SELECT 'Monty!' REGEXP '.*';
        -> 1
mysql> SELECT 'new*\\n*line' REGEXP 'new\\\\*.\\\\*line';
        -> 1
mysql> SELECT 'a' REGEXP 'A', 'a' REGEXP BINARY 'A';
        -> 1  0
mysql> SELECT 'a' REGEXP '^[a-d]';
        -> 1
","string-comparison-functions"),(18,18,"^","Syntax:
^

Bitwise XOR:
","mysql> SELECT 1 ^ 1;
        -> 0
mysql> SELECT 1 ^ 0;
        -> 1
mysql> SELECT 11 ^ 3;
        -> 8
","bit-functions"),(19,25,"DATE OPERATIONS","Syntax:
DATE_ADD(date,INTERVAL expr type) DATE_SUB(date,INTERVAL expr type)

These functions perform date arithmetic. date is a DATETIME or DATE
value specifying the starting date. expr is an expression specifying
the interval value to be added or subtracted from the starting date.
expr is a string; it may start with a `-' for negative intervals. type
is a keyword indicating how the expression should be interpreted.
","mysql> SELECT '1997-12-31 23:59:59' + INTERVAL 1 SECOND;
        -> '1998-01-01 00:00:00'
mysql> SELECT INTERVAL 1 DAY + '1997-12-31';
        -> '1998-01-01'
mysql> SELECT '1998-01-01' - INTERVAL 1 SECOND;
        -> '1997-12-31 23:59:59'
mysql> SELECT DATE_ADD('1997-12-31 23:59:59',
    ->                 INTERVAL 1 SECOND);
        -> '1998-01-01 00:00:00'
mysql> SELECT DATE_ADD('1997-12-31 23:59:59',
    ->                 INTERVAL 1 DAY);
        -> '1998-01-01 23:59:59'
mysql> SELECT DATE_ADD('1997-12-31 23:59:59',
    ->                 INTERVAL '1:1' MINUTE_SECOND);
        -> '1998-01-01 00:01:00'
mysql> SELECT DATE_SUB('1998-01-01 00:00:00',
    ->                 INTERVAL '1 1:1:1' DAY_SECOND);
        -> '1997-12-30 22:58:59'
mysql> SELECT DATE_ADD('1998-01-01 00:00:00',
    ->                 INTERVAL '-1 10' DAY_HOUR);
        -> '1997-12-30 14:00:00'
mysql> SELECT DATE_SUB('1998-01-02', INTERVAL 31 DAY);
        -> '1997-12-02'
mysql> SELECT DATE_ADD('1992-12-31 23:59:59.000002',
    ->            INTERVAL '1.999999' SECOND_MICROSECOND);
        -> '1993-01-01 00:00:01.000001'
","date-and-time-functions"),(20,24,"WITHIN","Within(g1,g2)

Returns 1 or 0 to indicate whether or not g1 is spatially within g2.
","","functions-that-test-spatial-relationships-between-geometries"),(21,25,"WEEK","Syntax:
WEEK(date[,mode])

This function returns the week number for date. The two-argument form
of WEEK() allows you to specify whether the week starts on Sunday or
Monday and whether the return value should be in the range from 0 to 53
or from 1 to 53. If the mode argument is omitted, the value of the
default_week_format system variable is used (or 0 before MySQL 4.0.14).
See [server-system-variables].
","mysql> SELECT WEEK('1998-02-20');
        -> 7
mysql> SELECT WEEK('1998-02-20',0);
        -> 7
mysql> SELECT WEEK('1998-02-20',1);
        -> 8
mysql> SELECT WEEK('1998-12-31',1);
        -> 53
","date-and-time-functions"),(22,8,"LOCK","Syntax:
LOCK TABLES
    tbl_name [AS alias] {READ [LOCAL] | [LOW_PRIORITY] WRITE}
    [, tbl_name [AS alias] {READ [LOCAL] | [LOW_PRIORITY] WRITE}] ...
UNLOCK TABLES

LOCK TABLES locks tables for the current thread. If any of the tables
are locked by other threads, it blocks until all locks can be acquired.
UNLOCK TABLES releases any locks held by the current thread. All tables
that are locked by the current thread are implicitly unlocked when the
thread issues another LOCK TABLES, or when the connection to the server
is closed.

A table lock protects only against inappropriate reads or writes by
other clients. The client holding the lock, even a read lock, can
perform table-level operations such as DROP TABLE.
","","lock-tables"),(23,22,"RESET SLAVE","Syntax:
RESET SLAVE

Makes the slave forget its replication position in the master's binary
logs. This statement is meant to be used for a clean start: It deletes
the master.info and relay-log.info files, all the relay logs, and
starts a new relay log.

Note: All relay logs are deleted, even if they have not been completely
executed by the slave SQL thread. (This is a condition likely to exist
on a replication slave if you have issued a STOP SLAVE statement or if
the slave is highly loaded.)

Connection information stored in the master.info file is immediately
reset using any values specified in the corresponding startup options.
This information includes values such as master host, master port,
master user, and master password. If the slave SQL thread was in the
middle of replicating temporary tables when it was stopped, and RESET
SLAVE is issued, these replicated temporary tables are deleted on the
slave.

This statement was named FLUSH SLAVE before MySQL 3.23.26.
","","reset-slave"),(24,19,"POLYGON","Polygon(ls1,ls2,...)

Constructs a WKB Polygon value from a number of WKB LineString
arguments. If any argument does not represent the WKB of a LinearRing
(that is, not a closed and simple LineString) the return value is NULL.
","","gis-mysql-specific-functions"),(25,25,"MINUTE","Syntax:
MINUTE(time)

Returns the minute for time, in the range 0 to 59.
","mysql> SELECT MINUTE('98-02-03 10:05:03');
        -> 5
","date-and-time-functions"),(26,25,"DAY","Syntax:
DAY(date)

DAY() is a synonym for DAYOFMONTH(). It is available as of MySQL 4.1.1.
","","date-and-time-functions"),(27,30,"MID","Syntax:
MID(str,pos,len)

MID(str,pos,len) is a synonym for SUBSTRING(str,pos,len).
","","string-functions"),(28,22,"REPLACE INTO","Syntax:
REPLACE [LOW_PRIORITY | DELAYED]
    [INTO] tbl_name [(col_name,...)]
    VALUES ({expr | DEFAULT},...),(...),...

Or:

REPLACE [LOW_PRIORITY | DELAYED]
    [INTO] tbl_name
    SET col_name={expr | DEFAULT}, ...

Or:

REPLACE [LOW_PRIORITY | DELAYED]
    [INTO] tbl_name [(col_name,...)]
    SELECT ...

REPLACE works exactly like INSERT, except that if an old record in the
table has the same value as a new record for a PRIMARY KEY or a UNIQUE
index, the old record is deleted before the new record is inserted. See
[insert].

Note that unless the table has a PRIMARY KEY or UNIQUE index, using a
REPLACE statement makes no sense. It becomes equivalent to INSERT,
because there is no index to be used to determine whether a new row
duplicates another.

Values for all columns are taken from the values specified in the
REPLACE statement. Any missing columns are set to their default values,
just as happens for INSERT. You cannot refer to values from the current
row and use them in the new row. If you use an assignment such as SET
col_name = col_name + 1, the reference to the column name on the right
hand side is treated as DEFAULT(col_name), so the assignment is
equivalent to SET col_name = DEFAULT(col_name) + 1.

To be able to use REPLACE, you must have both the INSERT and DELETE
privileges for the table.
","","replace"),(29,13,"UUID","Syntax:
UUID()

Returns a Universal Unique Identifier (UUID) generated according to
\"DCE 1.1: Remote Procedure Call\" (Appendix A) CAE (Common Applications
Environment) Specifications published by The Open Group in October 1997
(Document Number C706,
http://www.opengroup.org/public/pubs/catalog/c706.htm).

A UUID is designed as a number that is globally unique in space and
time. Two calls to UUID() are expected to generate two different
values, even if these calls are performed on two separate computers
that are not connected to each other.

A UUID is a 128-bit number represented by a string of five hexadecimal
numbers in aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee format:

o The first three numbers are generated from a timestamp.

o The fourth number preserves temporal uniqueness in case the timestamp
  value loses monotonicity (for example, due to daylight saving time).

o The fifth number is an IEEE 802 node number that provides spatial
  uniqueness. A random number is substituted if the latter is not
  available (for example, because the host computer has no Ethernet
  card, or we do not know how to find the hardware address of an
  interface on your operating system). In this case, spatial uniqueness
  cannot be guaranteed. Nevertheless, a collision should have very low
  probability.

  Currently, the MAC address of an interface is taken into account only
  on FreeBSD and Linux. On other operating systems, MySQL uses a
  randomly generated 48-bit number.
","mysql> SELECT UUID();
        -> '6ccd780c-baba-1026-9564-0040f4311e29'
","miscellaneous-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (30,19,"LINESTRING","LineString(pt1,pt2,...)

Constructs a WKB LineString value from a number of WKB Point arguments.
If any argument is not a WKB Point, the return value is NULL. If the
number of Point arguments is less than two, the return value is NULL.
","","gis-mysql-specific-functions"),(31,15,"CONNECTION_ID","Syntax:
CONNECTION_ID()

Returns the connection ID (thread ID) for the connection. Every
connection has its own unique ID.
","mysql> SELECT CONNECTION_ID();
        -> 23786
","information-functions"),(32,22,"DELETE","Syntax:
Single-table syntax:

DELETE [LOW_PRIORITY] [QUICK] [IGNORE] FROM tbl_name
    [WHERE where_definition]
    [ORDER BY ...]
    [LIMIT row_count]

Multiple-table syntax:

DELETE [LOW_PRIORITY] [QUICK] [IGNORE]
    tbl_name[.*] [, tbl_name[.*] ...]
    FROM table_references
    [WHERE where_definition]

Or:

DELETE [LOW_PRIORITY] [QUICK] [IGNORE]
    FROM tbl_name[.*] [, tbl_name[.*] ...]
    USING table_references
    [WHERE where_definition]

DELETE deletes rows from tbl_name that satisfy the condition given by
where_definition, and returns the number of records deleted.

If you issue a DELETE statement with no WHERE clause, all rows are
deleted. A faster way to do this, when you do not want to know the
number of deleted rows, is to use TRUNCATE TABLE. See [truncate].
","","delete"),(33,5,"ROUND","Syntax:
ROUND(X) ROUND(X,D)

Returns the argument X, rounded to the nearest integer. With two
arguments, returns X rounded to D decimals. D can be negative in order
to round D digits left of the decimal point of the value X.
","mysql> SELECT ROUND(-1.23);
        -> -1
mysql> SELECT ROUND(-1.58);
        -> -2
mysql> SELECT ROUND(1.58);
        -> 2
mysql> SELECT ROUND(1.298, 1);
        -> 1.3
mysql> SELECT ROUND(1.298, 0);
        -> 1
mysql> SELECT ROUND(23.298, -1);
        -> 20
","mathematical-functions"),(34,7,"NULLIF","Syntax:
NULLIF(expr1,expr2)

Returns NULL if expr1 = expr2 is true, otherwise returns expr1. This is
the same as CASE WHEN expr1 = expr2 THEN NULL ELSE expr1 END.
","mysql> SELECT NULLIF(1,1);
        -> NULL
mysql> SELECT NULLIF(1,2);
        -> 1
","control-flow-functions"),(35,22,"STOP SLAVE","Syntax:
STOP SLAVE [thread_type [, thread_type] ... ]

thread_type: IO_THREAD | SQL_THREAD

Stops the slave threads. STOP SLAVE requires the SUPER privilege.

Like START SLAVE, as of MySQL 4.0.2, this statement may be used with
the IO_THREAD and SQL_THREAD options to name the thread or threads to
be stopped.
","","stop-slave"),(36,25,"TIMEDIFF","Syntax:
TIMEDIFF(expr,expr2)

TIMEDIFF() returns the time between the start time expr and the end
time expr2. expr and expr2 are time or date-and-time expressions, but
both must be of the same type.
","mysql> SELECT TIMEDIFF('2000:01:01 00:00:00',
    ->                 '2000:01:01 00:00:00.000001');
        -> '-00:00:00.000001'
mysql> SELECT TIMEDIFF('1997-12-31 23:59:59.000001',
    ->                 '1997-12-30 01:01:01.000002');
        -> '46:58:57.999999'
","date-and-time-functions"),(37,4,"LINEFROMTEXT","LineFromText(wkt[,srid]) , LineStringFromText(wkt[,srid])

Constructs a LINESTRING value using its WKT representation and SRID.
","","gis-wkt-functions"),(38,22,"SHOW MASTER STATUS","Provides status information on the binary log files of the master.
Example:

mysql > SHOW MASTER STATUS;
+---------------+----------+--------------+------------------+
| File          | Position | Binlog_Do_DB | Binlog_Ignore_DB |
+---------------+----------+--------------+------------------+
| mysql-bin.003 | 73       | test         | manual,mysql     |
+---------------+----------+--------------+------------------+
","","show-master-status"),(39,25,"ADDTIME","Syntax:
ADDTIME(expr,expr2)

ADDTIME() adds expr2 to expr and returns the result. expr is a time or
datetime expression, and expr2 is a time expression.
","mysql> SELECT ADDTIME('1997-12-31 23:59:59.999999',
    ->                '1 1:1:1.000002');
        -> '1998-01-02 01:01:01.000001'
mysql> SELECT ADDTIME('01:00:00.999999', '02:00:00.999998');
        -> '03:00:01.999997'
","date-and-time-functions"),(40,27,"SPATIAL","MySQL can create spatial indexes using syntax similar to that for
creating regular indexes, but extended with the SPATIAL keyword.
Spatial columns that are indexed currently must be declared NOT NULL.
The following examples demonstrate how to create spatial indexes.

o With CREATE TABLE:

mysql> CREATE TABLE geom (g GEOMETRY NOT NULL, SPATIAL INDEX(g));

o With ALTER TABLE:

mysql> ALTER TABLE geom ADD SPATIAL INDEX(g);

o With CREATE INDEX:

mysql> CREATE SPATIAL INDEX sp_index ON geom (g);

To drop spatial indexes, use ALTER TABLE or DROP INDEX:

o With ALTER TABLE:

mysql> ALTER TABLE geom DROP INDEX g;

o With DROP INDEX:

mysql> DROP INDEX sp_index ON geom;

Example: Suppose that a table geom contains more than 32,000
geometries, which are stored in the column g of type GEOMETRY. The
table also has an AUTO_INCREMENT column fid for storing object ID
values.
","","creating-spatial-indexes"),(41,30,"UPPER","Syntax:
UPPER(str)

Returns the string str with all characters changed to uppercase
according to the current character set mapping (the default is cp1252
Latin1).
","mysql> SELECT UPPER('Hej');
        -> 'HEJ'
","string-functions"),(42,25,"FROM_UNIXTIME","Syntax:
FROM_UNIXTIME(unix_timestamp) , FROM_UNIXTIME(unix_timestamp,format)

Returns a representation of the unix_timestamp argument as a value in
'YYYY-MM-DD HH:MM:SS' or YYYYMMDDHHMMSS format, depending on whether
the function is used in a string or numeric context.

If format is given, the result is formatted according to the format
string. format may contain the same specifiers as those listed in the
entry for the DATE_FORMAT() function.
","mysql> SELECT FROM_UNIXTIME(875996580);
        -> '1997-10-04 22:23:00'
mysql> SELECT FROM_UNIXTIME(875996580) + 0;
        -> 19971004222300
mysql> SELECT FROM_UNIXTIME(UNIX_TIMESTAMP(),
    ->                      '%Y %D %M %h:%i:%s %x');
        -> '2003 6th August 06:22:58 2003'
","date-and-time-functions"),(43,3,"MEDIUMBLOB","MEDIUMBLOB

A BLOB column with a maximum length of 16,777,215 (224 - 1) bytes.
","","string-type-overview"),(44,7,"IFNULL","Syntax:
IFNULL(expr1,expr2)

If expr1 is not NULL, IFNULL() returns expr1; otherwise it returns
expr2. IFNULL() returns a numeric or string value, depending on the
context in which it is used.
","mysql> SELECT IFNULL(1,0);
        -> 1
mysql> SELECT IFNULL(NULL,10);
        -> 10
mysql> SELECT IFNULL(1/0,10);
        -> 10
mysql> SELECT IFNULL(1/0,'yes');
        -> 'yes'
","control-flow-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (45,17,"LEAST","Syntax:
LEAST(value1,value2,...)

With two or more arguments, returns the smallest (minimum-valued)
argument. The arguments are compared using the following rules:

o If the return value is used in an INTEGER context or all arguments
  are integer-valued, they are compared as integers.

o If the return value is used in a REAL context or all arguments are
  real-valued, they are compared as reals.

o If any argument is a case-sensitive string, the arguments are
  compared as case-sensitive strings.

o In all other cases, the arguments are compared as case-insensitive
  strings.
","mysql> SELECT LEAST(2,0);
        -> 0
mysql> SELECT LEAST(34.0,3.0,5.0,767.0);
        -> 3.0
mysql> SELECT LEAST('B','A','C');
        -> 'A'
","comparison-operators"),(46,17,"=","=

Equal:
","mysql> SELECT 1 = 0;
        -> 0
mysql> SELECT '0' = 0;
        -> 1
mysql> SELECT '0.0' = 0;
        -> 1
mysql> SELECT '0.01' = 0;
        -> 0
mysql> SELECT '.01' = 0.01;
        -> 1
","comparison-operators"),(47,30,"REVERSE","Syntax:
REVERSE(str)

Returns the string str with the order of the characters reversed.
","mysql> SELECT REVERSE('abc');
        -> 'cba'
","string-functions"),(48,17,"ISNULL","Syntax:
ISNULL(expr)

If expr is NULL, ISNULL() returns 1, otherwise it returns 0.
","mysql> SELECT ISNULL(1+1);
        -> 0
mysql> SELECT ISNULL(1/0);
        -> 1
","comparison-operators"),(49,3,"BINARY","BINARY(M)

The BINARY type is similar to the CHAR type, but stores binary byte
strings rather than non-binary character strings.

This type was added in MySQL 4.1.2.
","","string-type-overview"),(50,3,"BLOB DATA TYPE","A BLOB is a binary large object that can hold a variable amount of
data. The four BLOB types, TINYBLOB, BLOB, MEDIUMBLOB, and LONGBLOB,
differ only in the maximum length of the values they can hold.
","","blob"),(51,29,"BOUNDARY","Boundary(g)

Returns a geometry that is the closure of the combinatorial boundary of
the geometry value g.
","","general-geometry-property-functions"),(52,19,"POINT","Point(x,y)

Constructs a WKB Point using its coordinates.
","","gis-mysql-specific-functions"),(53,15,"CURRENT_USER","Syntax:
CURRENT_USER, CURRENT_USER()

Returns the username and hostname combination that the current session
was authenticated as. This value corresponds to the MySQL account that
determines your access privileges.

The value of CURRENT_USER() can differ from the value of USER().
","mysql> SELECT USER();
        -> 'davida@localhost'
mysql> SELECT * FROM mysql.user;
ERROR 1044: Access denied for user ''@'localhost' to
database 'mysql'
mysql> SELECT CURRENT_USER();
        -> '@localhost'
","information-functions"),(54,30,"LCASE","Syntax:
LCASE(str)

LCASE() is a synonym for LOWER().
","","string-functions"),(55,17,"<=","Syntax:
<=

Less than or equal:
","mysql> SELECT 0.1 <= 2;
        -> 1
","comparison-operators"),(56,22,"UPDATE","Syntax:
Single-table syntax:

UPDATE [LOW_PRIORITY] [IGNORE] tbl_name
    SET col_name1=expr1 [, col_name2=expr2 ...]
    [WHERE where_definition]
    [ORDER BY ...]
    [LIMIT row_count]

Multiple-table syntax:

UPDATE [LOW_PRIORITY] [IGNORE] table_references
    SET col_name1=expr1 [, col_name2=expr2 ...]
    [WHERE where_definition]

The UPDATE statement updates columns in existing table rows with new
values. The SET clause indicates which columns to modify and the values
they should be given. The WHERE clause, if given, specifies which rows
should be updated. Otherwise, all rows are updated. If the ORDER BY
clause is specified, the rows are updated in the order that is
specified. The LIMIT clause places a limit on the number of rows that
can be updated.

The UPDATE statement supports the following modifiers:

o If you use the LOW_PRIORITY keyword, execution of the UPDATE is
  delayed until no other clients are reading from the table.

o If you use the IGNORE keyword, the update statement does not abort
  even if errors occur during the update. Rows for which duplicate-key
  conflicts occur are not updated. Rows for which columns are updated
  to values that would cause data conversion errors are updated to the
  closet valid values instead.
","","update"),(57,32,"DROP INDEX","Syntax:
DROP INDEX index_name ON tbl_name

DROP INDEX drops the index named index_name from the table tbl_name. In
MySQL 3.22 or later, DROP INDEX is mapped to an ALTER TABLE statement
to drop the index. See [alter-table]. DROP INDEX does not do anything
prior to MySQL 3.22.
","","drop-index"),(58,30,"MATCH AGAINST","Syntax:

MATCH (col1,col2,...) AGAINST (expr [IN BOOLEAN MODE | WITH QUERY
EXPANSION])

As of MySQL 3.23.23, MySQL has support for full-text indexing and
searching. A full-text index in MySQL is an index of type FULLTEXT.
FULLTEXT indexes can be used only with MyISAM tables; they can be
created from CHAR, VARCHAR, or TEXT columns as part of a CREATE TABLE
statement or added later using ALTER TABLE or CREATE INDEX. For large
datasets, it is much faster to load your data into a table that has no
FULLTEXT index, and then create the index afterwards, than to load data
into a table that has an existing FULLTEXT index.
","mysql> SELECT id, body, MATCH (title,body) AGAINST
    -> ('Security implications of running MySQL as root') AS score
    -> FROM articles WHERE MATCH (title,body) AGAINST
    -> ('Security implications of running MySQL as root');
+----+-------------------------------------+-----------------+
| id | body                                | score           |
+----+-------------------------------------+-----------------+
|  4 | 1. Never run mysqld as root. 2. ... | 1.5219271183014 |
|  6 | When configured properly, MySQL ... | 1.3114095926285 |
+----+-------------------------------------+-----------------+
2 rows in set (0.00 sec)
","fulltext-search"),(59,5,"ABS","Syntax:
ABS(X)

Returns the absolute value of X.
","mysql> SELECT ABS(2);
        -> 2
mysql> SELECT ABS(-32);
        -> 32
","mathematical-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (60,26,"POLYFROMWKB","PolyFromWKB(wkb[,srid]) , PolygonFromWKB(wkb[,srid])

Constructs a POLYGON value using its WKB representation and SRID.
","","gis-wkb-functions"),(61,30,"NOT LIKE","Syntax:
expr NOT LIKE pat [ESCAPE 'escape-char']

This is the same as NOT (expr LIKE pat [ESCAPE 'escape-char']).
","","string-comparison-functions"),(62,30,"SPACE","Syntax:
SPACE(N)

Returns a string consisting of N space characters.
","mysql> SELECT SPACE(6);
        -> '      '
","string-functions"),(63,6,"MBR DEFINITION","Its MBR (Minimum Bounding Rectangle), or Envelope. This is the bounding
geometry, formed by the minimum and maximum (X,Y) coordinates:
","((MINX MINY, MAXX MINY, MAXX MAXY, MINX MAXY, MINX MINY))
","gis-class-geometry"),(64,19,"GEOMETRYCOLLECTION","GeometryCollection(g1,g2,...)

Constructs a WKB GeometryCollection. If any argument is not a
well-formed WKB representation of a geometry, the return value is NULL.
","","gis-mysql-specific-functions"),(65,5,"*","Syntax:
*

Multiplication:
","mysql> SELECT 3*5;
        -> 15
mysql> SELECT 18014398509481984*18014398509481984.0;
        -> 324518553658426726783156020576256.0
mysql> SELECT 18014398509481984*18014398509481984;
        -> 0
","arithmetic-functions"),(66,3,"TIMESTAMP","TIMESTAMP[(M)]

A timestamp. The range is '1970-01-01 00:00:00' to partway through the
year 2037.

A TIMESTAMP column is useful for recording the date and time of an
INSERT or UPDATE operation. The first TIMESTAMP column in a table is
automatically set to the date and time of the most recent operation if
you do not assign it a value yourself. You can also set any TIMESTAMP
column to the current date and time by assigning it a NULL value.

In MySQL 4.1, TIMESTAMP is returned as a string with the format
'YYYY-MM-DD HH:MM:SS'. Display widths (used as described in the
following paragraphs) are no longer supported; the display width is
fixed at 19 characters. If you want to obtain the value as a number,
you should add +0 to the timestamp column.

In MySQL 4.0 and earlier, TIMESTAMP values are displayed in
YYYYMMDDHHMMSS, YYMMDDHHMMSS, YYYYMMDD, or YYMMDD format, depending on
whether M is 14 (or missing), 12, 8, or 6, but allows you to assign
values to TIMESTAMP columns using either strings or numbers. The M
argument affects only how a TIMESTAMP column is displayed, not storage.
Its values always are stored using four bytes each. From MySQL 4.0.12,
the --new option can be used to make the server behave as in MySQL 4.1.

Note that TIMESTAMP(M) columns where M is 8 or 14 are reported to be
numbers, whereas other TIMESTAMP(M) columns are reported to be strings.
This is just to ensure that you can reliably dump and restore the table
with these types.

Note: The behavior of TIMESTAMP columns changed considerably in MySQL
4.1. For complete information on the differences with regard to this
column type in MySQL 4.1 and later versions (as opposed to MySQL 4.0
and earlier versions), be sure to see [timestamp-pre-4-1] and
[timestamp-4-1].
","","date-and-time-type-overview"),(67,10,"DES_DECRYPT","Syntax:
DES_DECRYPT(crypt_str[,key_str])

Decrypts a string encrypted with DES_ENCRYPT(). On error, this function
returns NULL.

Note that this function works only if MySQL has been configured with
SSL support. See [secure-connections].

If no key_str argument is given, DES_DECRYPT() examines the first byte
of the encrypted string to determine the DES key number that was used
to encrypt the original string, and then reads the key from the DES key
file to decrypt the message. For this to work, the user must have the
SUPER privilege. The key file can be specified with the --des-key-file
server option.

If you pass this function a key_str argument, that string is used as
the key for decrypting the message.

If the crypt_str argument does not appear to be an encrypted string,
MySQL returns the given crypt_str.
","","encryption-functions"),(68,11,"ENDPOINT","EndPoint(ls)

Returns the Point that is the end point of the LineString value ls.
","mysql> SET @ls = 'LineString(1 1,2 2,3 3)';
mysql> SELECT AsText(EndPoint(GeomFromText(@ls)));
+-------------------------------------+
| AsText(EndPoint(GeomFromText(@ls))) |
+-------------------------------------+
| POINT(3 3)                          |
+-------------------------------------+
","linestring-property-functions"),(69,22,"CACHE INDEX","Syntax:
CACHE INDEX
  tbl_index_list [, tbl_index_list] ...
  IN key_cache_name

tbl_index_list:
  tbl_name [[INDEX|KEY] (index_name[, index_name] ...)]

The CACHE INDEX statement assigns table indexes to a specific key
cache. It is used only for MyISAM tables.

The following statement assigns indexes from the tables t1, t2, and t3
to the key cache named hot_cache:

mysql> CACHE INDEX t1, t2, t3 IN hot_cache;
+---------+--------------------+----------+----------+
| Table   | Op                 | Msg_type | Msg_text |
+---------+--------------------+----------+----------+
| test.t1 | assign_to_keycache | status   | OK       |
| test.t2 | assign_to_keycache | status   | OK       |
| test.t3 | assign_to_keycache | status   | OK       |
+---------+--------------------+----------+----------+
","","cache-index"),(70,30,"COMPRESS","Syntax:
COMPRESS(string_to_compress)

Compresses a string. This function requires MySQL to have been compiled
with a compression library such as zlib. Otherwise, the return value is
always NULL. The compressed string can be uncompressed with
UNCOMPRESS().
","mysql> SELECT LENGTH(COMPRESS(REPEAT('a',1000)));
        -> 21
mysql> SELECT LENGTH(COMPRESS(''));
        -> 0
mysql> SELECT LENGTH(COMPRESS('a'));
        -> 13
mysql> SELECT LENGTH(COMPRESS(REPEAT('a',16)));
        -> 15
","string-functions"),(71,14,"COUNT","Syntax:
COUNT(expr)

Returns a count of the number of non-NULL values in the rows retrieved
by a SELECT statement.

COUNT() returns 0 if there were no matching rows.
","mysql> SELECT student.student_name,COUNT(*)
    ->        FROM student,course
    ->        WHERE student.student_id=course.student_id
    ->        GROUP BY student_name;
","group-by-functions"),(72,30,"INSERT","Syntax:
INSERT(str,pos,len,newstr)

Returns the string str, with the substring beginning at position pos
and len characters long replaced by the string newstr. Returns the
original string if pos is not within the length of the string. Replaces
the rest of the string from position pos is len is not within the
length of the rest of the string. Returns NULL if any argument is null.
","mysql> SELECT INSERT('Quadratic', 3, 4, 'What');
        -> 'QuWhattic'
mysql> SELECT INSERT('Quadratic', -1, 4, 'What');
        -> 'Quadratic'
mysql> SELECT INSERT('Quadratic', 3, 100, 'What');
        -> 'QuWhat'
","string-functions"),(73,22,"HANDLER","Syntax:
HANDLER tbl_name OPEN [ AS alias ]
HANDLER tbl_name READ index_name { = | >= | <= | < } (value1,value2,...)
    [ WHERE where_condition ] [LIMIT ... ]
HANDLER tbl_name READ index_name { FIRST | NEXT | PREV | LAST }
    [ WHERE where_condition ] [LIMIT ... ]
HANDLER tbl_name READ { FIRST | NEXT }
    [ WHERE where_condition ] [LIMIT ... ]
HANDLER tbl_name CLOSE

The HANDLER statement provides direct access to table storage engine
interfaces. It is available for MyISAM tables as MySQL 4.0.0 and InnoDB
tables as of MySQL 4.0.3.
","","handler"),(74,4,"MLINEFROMTEXT","MLineFromText(wkt[,srid]) , MultiLineStringFromText(wkt[,srid])

Constructs a MULTILINESTRING value using its WKT representation and
SRID.
","","gis-wkt-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (75,26,"GEOMCOLLFROMWKB","GeomCollFromWKB(wkb[,srid]) , GeometryCollectionFromWKB(wkb[,srid])

Constructs a GEOMETRYCOLLECTION value using its WKB representation and
SRID.
","","gis-wkb-functions"),(76,32,"RENAME TABLE","Syntax:
RENAME TABLE tbl_name TO new_tbl_name
    [, tbl_name2 TO new_tbl_name2] ...

This statement renames one or more tables. It was added in MySQL
3.23.23.

The rename operation is done atomically, which means that no other
thread can access any of the tables while the rename is running. For
example, if you have an existing table old_table, you can create
another table new_table that has the same structure but is empty, and
then replace the existing table with the empty one as follows:
","CREATE TABLE new_table (...);
RENAME TABLE old_table TO backup_table, new_table TO old_table;
","rename-table"),(77,3,"BOOLEAN","BOOL, BOOLEAN

These are synonyms for TINYINT(1). The BOOLEAN synonym was added in
MySQL 4.1.0. A value of zero is considered false. Non-zero values are
considered true.
","","numeric-type-overview"),(78,13,"DEFAULT","Syntax:
DEFAULT(col_name)

Returns the default value for a table column.
","mysql> UPDATE t SET i = DEFAULT(i)+1 WHERE id < 100;
","miscellaneous-functions"),(79,3,"TINYTEXT","TINYTEXT

A TEXT column with a maximum length of 255 (28 - 1) characters.
","","string-type-overview"),(80,21,"OPTIMIZE TABLE","Syntax:
OPTIMIZE [LOCAL | NO_WRITE_TO_BINLOG] TABLE tbl_name [, tbl_name] ...

OPTIMIZE TABLE should be used if you have deleted a large part of a
table or if you have made many changes to a table with variable-length
rows (tables that have VARCHAR, BLOB, or TEXT columns). Deleted records
are maintained in a linked list and subsequent INSERT operations reuse
old record positions. You can use OPTIMIZE TABLE to reclaim the unused
space and to defragment the data file.
","","optimize-table"),(81,10,"DECODE","Syntax:
DECODE(crypt_str,pass_str)

Decrypts the encrypted string crypt_str using pass_str as the password.
crypt_str should be a string returned from ENCODE().
","","encryption-functions"),(82,17,"<=>","Syntax:
<=>

NULL-safe equal. This operator performs an equality comparison like the
= operator, but returns 1 rather than NULL if both operands are NULL,
and 0 rather than NULL if one operand is NULL.
","mysql> SELECT 1 <=> 1, NULL <=> NULL, 1 <=> NULL;
        -> 1, 1, 0
mysql> SELECT 1 = 1, NULL = NULL, 1 = NULL;
        -> 1, NULL, NULL
","comparison-operators"),(83,22,"LOAD DATA FROM MASTER","Syntax:
LOAD DATA FROM MASTER

This command takes a snapshot of the master and copies it to the slave.
It updates the values of MASTER_LOG_FILE and MASTER_LOG_POS so that the
slave starts replicating from the correct position. Any table and
database exclusion rules specified with the --replicate-*-do-* and
--replicate-*-ignore-* options are honored. --replicate-rewrite-db is
not taken into account. This is because a user could, with this option,
set up a non-unique mapping such as --replicate-rewrite-db=db1->db3 and
--replicate-rewrite-db=db2->db3, which would confuse the slave when
loading tables from the master.

Use of this statement is subject to the following conditions:

o It works only with MyISAM tables. Attempting to load a non-MyISAM
  table results in the following error:

ERROR 1189 (08S01): Net error reading from master

o It acquires a global read lock on the master while taking the
  snapshot, which prevents updates on the master during the load
  operation.

If you are loading large tables, you might have to increase the values
of net_read_timeout and net_write_timeout on both the master and slave
servers. See [server-system-variables].

Note that LOAD DATA FROM MASTER does not copy any tables from the mysql
database. This makes it easy to have different users and privileges on
the master and the slave.

The LOAD DATA FROM MASTER statement requires the replication account
that is used to connect to the master to have the RELOAD and SUPER
privileges on the master and the SELECT privilege for all master tables
you want to load. All master tables for which the user does not have
the SELECT privilege are ignored by LOAD DATA FROM MASTER. This is
because the master hides them from the user: LOAD DATA FROM MASTER
calls SHOW DATABASES to know the master databases to load, but SHOW
DATABASES returns only databases for which the user has some privilege.
See [show-databases]. On the slave side, the user that issues LOAD DATA
FROM MASTER should have grants to drop and create the databases and
tables that are copied.
","","load-data-from-master"),(84,22,"RESET","Syntax:
RESET reset_option [, reset_option] ...

The RESET statement is used to clear the state of various server
operations. It also acts as a stronger version of the FLUSH statement.
See [flush].
","","reset"),(85,13,"GET_LOCK","Syntax:
GET_LOCK(str,timeout)

Tries to obtain a lock with a name given by the string str, with a
timeout of timeout seconds. Returns 1 if the lock was obtained
successfully, 0 if the attempt timed out (for example, because another
client has previously locked the name), or NULL if an error occurred
(such as running out of memory or the thread was killed with mysqladmin
kill). If you have a lock obtained with GET_LOCK(), it is released when
you execute RELEASE_LOCK(), execute a new GET_LOCK(), or your
connection terminates (either normally or abnormally).

This function can be used to implement application locks or to simulate
record locks. Names are locked on a server-wide basis. If a name has
been locked by one client, GET_LOCK() blocks any request by another
client for a lock with the same name. This allows clients that agree on
a given lock name to use the name to perform cooperative advisory
locking. But be aware that it also allows a client that is not among
the set of cooperating clients to lock a name, either inadvertently or
deliberately, and thus prevent any of the cooperating clients from
locking that name. One way to reduce the likelihood of this is to use
lock names that are database-specific or application-specific. For
example, use lock names of the form db_name.str or app_name.str.
","mysql> SELECT GET_LOCK('lock1',10);
        -> 1
mysql> SELECT IS_FREE_LOCK('lock2');
        -> 1
mysql> SELECT GET_LOCK('lock2',10);
        -> 1
mysql> SELECT RELEASE_LOCK('lock2');
        -> 1
mysql> SELECT RELEASE_LOCK('lock1');
        -> NULL
","miscellaneous-functions"),(86,30,"UCASE","Syntax:
UCASE(str)

UCASE() is a synonym for UPPER().
","","string-functions"),(87,22,"SHOW BINLOG EVENTS","Syntax:
SHOW BINLOG EVENTS
   [IN 'log_name'] [FROM pos] [LIMIT [offset,] row_count]

Shows the events in the binary log. If you do not specify 'log_name',
the first binary log is displayed.
","","show-binlog-events"),(88,26,"MPOLYFROMWKB","MPolyFromWKB(wkb[,srid]) , MultiPolygonFromWKB(wkb[,srid])

Constructs a MULTIPOLYGON value using its WKB representation and SRID.
","","gis-wkb-functions"),(89,22,"DO","Syntax:
DO expr [, expr] ...

DO executes the expressions but does not return any results. This is
shorthand for SELECT expr, ..., but has the advantage that it is
slightly faster when you do not care about the result.

DO is useful mainly with functions that have side effects, such as
RELEASE_LOCK().
","","do");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (90,25,"CURTIME","Syntax:
CURTIME()

Returns the current time as a value in 'HH:MM:SS' or HHMMSS format,
depending on whether the function is used in a string or numeric
context.
","mysql> SELECT CURTIME();
        -> '23:50:26'
mysql> SELECT CURTIME() + 0;
        -> 235026
","date-and-time-functions"),(91,30,"CHAR_LENGTH","Syntax:
CHAR_LENGTH(str)

Returns the length of the string str, measured in characters. A
multi-byte character counts as a single character. This means that for
a string containing five two-byte characters, LENGTH() returns 10,
whereas CHAR_LENGTH() returns 5.
","","string-functions"),(92,3,"BIGINT","BIGINT[(M)] [UNSIGNED] [ZEROFILL]

A large integer. The signed range is -9223372036854775808 to
9223372036854775807. The unsigned range is 0 to 18446744073709551615.
","","numeric-type-overview"),(93,22,"SET","Syntax:
SET variable_assignment [, variable_assignment] ...

variable_assignment:
      user_var_name = expr
    | [GLOBAL | SESSION] system_var_name = expr
    | @@[global. | session.]system_var_name = expr

SET sets different types of variables that affect the operation of the
server or your client. It can be used to assign values to user
variables or system variables.
","","set-option"),(94,3,"DATE","DATE

A date. The supported range is '1000-01-01' to '9999-12-31'. MySQL
displays DATE values in 'YYYY-MM-DD' format, but allows you to assign
values to DATE columns using either strings or numbers.
","","date-and-time-type-overview"),(95,30,"CONV","Syntax:
CONV(N,from_base,to_base)

Converts numbers between different number bases. Returns a string
representation of the number N, converted from base from_base to base
to_base. Returns NULL if any argument is NULL. The argument N is
interpreted as an integer, but may be specified as an integer or a
string. The minimum base is 2 and the maximum base is 36. If to_base is
a negative number, N is regarded as a signed number. Otherwise, N is
treated as unsigned. CONV() works with 64-bit precision.
","mysql> SELECT CONV('a',16,2);
        -> '1010'
mysql> SELECT CONV('6E',18,8);
        -> '172'
mysql> SELECT CONV(-17,10,-18);
        -> '-H'
mysql> SELECT CONV(10+'10'+'10'+0xa,10,10);
        -> '40'
","string-functions"),(96,25,"EXTRACT","Syntax:
EXTRACT(type FROM date)

The EXTRACT() function uses the same kinds of interval type specifiers
as DATE_ADD() or DATE_SUB(), but extracts parts from the date rather
than performing date arithmetic.
","mysql> SELECT EXTRACT(YEAR FROM '1999-07-02');
       -> 1999
mysql> SELECT EXTRACT(YEAR_MONTH FROM '1999-07-02 01:02:03');
       -> 199907
mysql> SELECT EXTRACT(DAY_MINUTE FROM '1999-07-02 01:02:03');
       -> 20102
mysql> SELECT EXTRACT(MICROSECOND
    ->                FROM '2003-01-02 10:30:00.00123');
        -> 123
","date-and-time-functions"),(97,10,"ENCRYPT","Syntax:
ENCRYPT(str[,salt])

Encrypt str using the Unix crypt() system call. The salt argument
should be a string with two characters. (As of MySQL 3.22.16, salt may
be longer than two characters.) If no salt argument is given, a random
value is used.
","mysql> SELECT ENCRYPT('hello');
        -> 'VxuFAJXVARROc'
","encryption-functions"),(98,10,"OLD_PASSWORD","Syntax:
OLD_PASSWORD(str)

OLD_PASSWORD() is available as of MySQL 4.1, when the implementation of
PASSWORD() was changed to improve security. OLD_PASSWORD() returns the
value of the pre-4.1 implementation of PASSWORD(), and is intended to
permit you to reset passwords for any pre-4.1 clients that need to
connect to your version 4.1 MySQL server without locking them out. See
[password-hashing].
","","encryption-functions"),(99,13,"FORMAT","Syntax:
FORMAT(X,D)

Formats the number X to a format like '#,###,###.##', rounded to D
decimals, and returns the result as a string. If D is 0, the result has
no decimal point or fractional part.
","mysql> SELECT FORMAT(12332.123456, 4);
        -> '12,332.1235'
mysql> SELECT FORMAT(12332.1,4);
        -> '12,332.1000'
mysql> SELECT FORMAT(12332.2,0);
        -> '12,332'
","miscellaneous-functions"),(100,12,"||","Syntax:
OR, ||

Logical OR. When both operands are non-NULL, the result is 1 if any
operand is non-zero, and 0 otherwise. With a NULL operand, the result
is 1 if the other operand is non-zero, and NULL otherwise. If both
operands are NULL, the result is NULL.
","mysql> SELECT 1 || 1;
        -> 1
mysql> SELECT 1 || 0;
        -> 1
mysql> SELECT 0 || 0;
        -> 0
mysql> SELECT 0 || NULL;
        -> NULL
mysql> SELECT 1 || NULL;
        -> 1
","logical-operators"),(101,7,"CASE","Syntax:
CASE value WHEN [compare-value] THEN result [WHEN [compare-value] THEN
result ...] [ELSE result] END

CASE WHEN [condition] THEN result [WHEN [condition] THEN result ...]
[ELSE result] END

The first version returns the result where value=compare-value. The
second version returns the result for the first condition that is true.
If there was no matching result value, the result after ELSE is
returned, or NULL if there is no ELSE part.
","mysql> SELECT CASE 1 WHEN 1 THEN 'one'
    ->     WHEN 2 THEN 'two' ELSE 'more' END;
        -> 'one'
mysql> SELECT CASE WHEN 1>0 THEN 'true' ELSE 'false' END;
        -> 'true'
mysql> SELECT CASE BINARY 'B'
    ->     WHEN 'a' THEN 1 WHEN 'b' THEN 2 END;
        -> NULL
","control-flow-functions"),(102,30,"BIT_LENGTH","Syntax:
BIT_LENGTH(str)

Returns the length of the string str in bits.
","mysql> SELECT BIT_LENGTH('text');
        -> 32
","string-functions"),(103,2,"EXTERIORRING","ExteriorRing(poly)

Returns the exterior ring of the Polygon value poly as a LineString.
","mysql> SET @poly =
    -> 'Polygon((0 0,0 3,3 3,3 0,0 0),(1 1,1 2,2 2,2 1,1 1))';
mysql> SELECT AsText(ExteriorRing(GeomFromText(@poly)));
+-------------------------------------------+
| AsText(ExteriorRing(GeomFromText(@poly))) |
+-------------------------------------------+
| LINESTRING(0 0,0 3,3 3,3 0,0 0)           |
+-------------------------------------------+
","polygon-property-functions"),(104,26,"GEOMFROMWKB","GeomFromWKB(wkb[,srid]) , GeometryFromWKB(wkb[,srid])

Constructs a geometry value of any type using its WKB representation
and SRID.
","","gis-wkb-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (105,22,"SHOW SLAVE HOSTS","Syntax:
SHOW SLAVE HOSTS

Displays a list of replication slaves currently registered with the
master. Any slave not started with the --report-host=slave_name option
is not visible in this list.
","","show-slave-hosts"),(106,8,"START TRANSACTION","Syntax:
START TRANSACTION | BEGIN [WORK]
COMMIT
ROLLBACK
SET AUTOCOMMIT = {0 | 1}

The START TRANSACTION or BEGIN statement begin a new transaction.
COMMIT commits the current transaction, making its changes permanent.
ROLLBACK rolls back the current transaction, canceling its changes. The
SET AUTOCOMMIT statement disables or enables the default autocommit
mode for the current connection.

By default, MySQL runs with autocommit mode enabled. This means that as
soon as you execute a statement that updates (modifies) a table, MySQL
stores the update on disk.

If you are using a transaction-safe storage engine (like InnoDB, BDB or
NDB Cluster), you can disable autocommit mode with the following
statement:

SET AUTOCOMMIT=0;

After disabling autocommit mode by setting the AUTOCOMMIT variable to
zero, you must use COMMIT to store your changes to disk or ROLLBACK if
you want to ignore the changes you have made since the beginning of
your transaction.

If you want to disable autocommit mode for a single series of
statements, you can use the START TRANSACTION statement:
","START TRANSACTION;
SELECT @A:=SUM(salary) FROM table1 WHERE type=1;
UPDATE table2 SET summary=@A WHERE type=1;
COMMIT;
","commit"),(107,17,"BETWEEN AND","Syntax:
expr BETWEEN min AND max

If expr is greater than or equal to min and expr is less than or equal
to max, BETWEEN returns 1, otherwise it returns 0. This is equivalent
to the expression (min <= expr AND expr <= max) if all the arguments
are of the same type. Otherwise type conversion takes place according
to the rules described at the beginning of this section, but applied to
all the three arguments. Note: Before MySQL 4.0.5, arguments were
converted to the type of expr instead.
","mysql> SELECT 1 BETWEEN 2 AND 3;
        -> 0
mysql> SELECT 'b' BETWEEN 'a' AND 'c';
        -> 1
mysql> SELECT 2 BETWEEN 2 AND '3';
        -> 1
mysql> SELECT 2 BETWEEN 2 AND 'x-3';
        -> 0
","comparison-operators"),(108,19,"MULTIPOLYGON","MultiPolygon(poly1,poly2,...)

Constructs a WKB MultiPolygon value from a set of WKB Polygon
arguments. If any argument is not a WKB Polygon, the return value is
NULL.
","","gis-mysql-specific-functions"),(109,25,"TIME_FORMAT","Syntax:
TIME_FORMAT(time,format)

This is used like the DATE_FORMAT() function, but the format string may
contain only those format specifiers that handle hours, minutes, and
seconds. Other specifiers produce a NULL value or 0.
","mysql> SELECT TIME_FORMAT('100:00:00', '%H %k %h %I %l');
        -> '100 100 04 04 4'
","date-and-time-functions"),(110,30,"LEFT","Syntax:
LEFT(str,len)

Returns the leftmost len characters from the string str.
","mysql> SELECT LEFT('foobarbar', 5);
        -> 'fooba'
","string-functions"),(111,21,"FLUSH QUERY CACHE","You can defragment the query cache to better utilize its memory with
the FLUSH QUERY CACHE statement. The statement does not remove any
queries from the cache.

The RESET QUERY CACHE statement removes all query results from the
query cache. The FLUSH TABLES statement also does this.
","","query-cache-status-and-maintenance"),(112,3,"SET DATA TYPE","SET('value1','value2',...)

A set. A string object that can have zero or more values, each of which
must be chosen from the list of values 'value1', 'value2', ... A SET
column can have a maximum of 64 members. SET values are represented
internally as integers.
","","string-type-overview"),(113,5,"RAND","Syntax:
RAND() RAND(N)

Returns a random floating-point value v between 0 and 1 inclusive (that
is, in the range 0 <= v <= 1.0). If an integer argument N is specified,
it is used as the seed value, which produces a repeatable sequence.
","mysql> SELECT RAND();
        -> 0.9233482386203
mysql> SELECT RAND(20);
        -> 0.15888261251047
mysql> SELECT RAND(20);
        -> 0.15888261251047
mysql> SELECT RAND();
        -> 0.63553050033332
mysql> SELECT RAND();
        -> 0.70100469486881
mysql> SELECT RAND(20);
        -> 0.15888261251047
","mathematical-functions"),(114,30,"RPAD","Syntax:
RPAD(str,len,padstr)

Returns the string str, right-padded with the string padstr to a length
of len characters. If str is longer than len, the return value is
shortened to len characters.
","mysql> SELECT RPAD('hi',5,'?');
        -> 'hi???'
mysql> SELECT RPAD('hi',1,'?');
        -> 'h'
","string-functions"),(115,22,"INSERT INTO","Syntax:
INSERT [LOW_PRIORITY | DELAYED | HIGH_PRIORITY] [IGNORE]
    [INTO] tbl_name [(col_name,...)]
    VALUES ({expr | DEFAULT},...),(...),...
    [ ON DUPLICATE KEY UPDATE col_name=expr, ... ]

Or:

INSERT [LOW_PRIORITY | DELAYED | HIGH_PRIORITY] [IGNORE]
    [INTO] tbl_name
    SET col_name={expr | DEFAULT}, ...
    [ ON DUPLICATE KEY UPDATE col_name=expr, ... ]

Or:

INSERT [LOW_PRIORITY | HIGH_PRIORITY] [IGNORE]
    [INTO] tbl_name [(col_name,...)]
    SELECT ...
    [ ON DUPLICATE KEY UPDATE col_name=expr, ... ]

INSERT inserts new rows into an existing table. The INSERT ... VALUES
and INSERT ... SET forms of the statement insert rows based on
explicitly specified values. The INSERT ... SELECT form inserts rows
selected from another table or tables. The INSERT ... VALUES form with
multiple value lists is supported in MySQL 3.22.5 or later. The INSERT
... SET syntax is supported in MySQL 3.22.10 or later. INSERT ...
SELECT is discussed further in [insert-select].
","","insert"),(116,32,"CREATE DATABASE","Syntax:
CREATE DATABASE [IF NOT EXISTS] db_name
    [create_specification [, create_specification] ...]

create_specification:
    [DEFAULT] CHARACTER SET charset_name
  | [DEFAULT] COLLATE collation_name

CREATE DATABASE creates a database with the given name. To use CREATE
DATABASE, you need the CREATE privilege on the database.
","","create-database"),(117,3,"DEC","DEC[(M[,D])] [UNSIGNED] [ZEROFILL], NUMERIC[(M[,D])] [UNSIGNED]
[ZEROFILL], FIXED[(M[,D])] [UNSIGNED] [ZEROFILL]

These are synonyms for DECIMAL. The FIXED synonym was added in MySQL
4.1.0 for compatibility with other servers.
","","numeric-type-overview"),(118,30,"ELT","Syntax:
ELT(N,str1,str2,str3,...)

Returns str1 if N = 1, str2 if N = 2, and so on. Returns NULL if N is
less than 1 or greater than the number of arguments. ELT() is the
complement of FIELD().
","mysql> SELECT ELT(1, 'ej', 'Heja', 'hej', 'foo');
        -> 'ej'
mysql> SELECT ELT(4, 'ej', 'Heja', 'hej', 'foo');
        -> 'foo'
","string-functions"),(119,18,"~","Syntax:
~

Invert all bits.
","mysql> SELECT 5 & ~1;
        -> 4
","bit-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (120,3,"TEXT","TEXT[(M)]

A TEXT column with a maximum length of 65,535 (216 - 1) characters.

Beginning with MySQL 4.1, an optional length M can be given. MySQL will
create the column as the smallest TEXT type largest enough to hold
values M characters long.
","","string-type-overview"),(121,30,"CONCAT_WS","Syntax:
CONCAT_WS(separator,str1,str2,...)

CONCAT_WS() stands for CONCAT With Separator and is a special form of
CONCAT(). The first argument is the separator for the rest of the
arguments. The separator is added between the strings to be
concatenated. The separator can be a string as can the rest of the
arguments. If the separator is NULL, the result is NULL. The function
skips any NULL values after the separator argument.
","mysql> SELECT CONCAT_WS(',','First name','Second name','Last Name');
        -> 'First name,Second name,Last Name'
mysql> SELECT CONCAT_WS(',','First name',NULL,'Last Name');
        -> 'First name,Last Name'
","string-functions"),(122,5,"ASIN","Syntax:
ASIN(X)

Returns the arc sine of X, that is, the value whose sine is X. Returns
NULL if X is not in the range -1 to 1.
","mysql> SELECT ASIN(0.2);
        -> 0.201358
mysql> SELECT ASIN('foo');
        -> 0.000000
","mathematical-functions"),(123,31,"FUNCTION","Syntax:
CREATE [AGGREGATE] FUNCTION function_name RETURNS {STRING|INTEGER|REAL}
       SONAME shared_library_name

DROP FUNCTION function_name

A user-defined function (UDF) is a way to extend MySQL with a new
function that works like a native (built-in) MySQL function such as
ABS() or CONCAT().

function_name is the name that should be used in SQL statements to
invoke the function. The RETURNS clause indicates the type of the
function's return value. shared_library_name is the basename of the
shared object file that contains the code that implements the function.
The file must be located in a directory that is searched by your
system's dynamic linker.

To create a function, you must have the INSERT and privilege for the
mysql database. To drop a function, you must have the DELETE privilege
for the mysql database. This is because CREATE FUNCTION adds a row to
the mysql.func system table that records the function's name, type, and
shared library name, and DROP FUNCTION deletes the function's row from
that table. If you do not have this table, you should run the
mysql_fix_privilege_tables script to create it. See
[upgrading-grant-tables].
","","create-function"),(124,5,"SIGN","Syntax:
SIGN(X)

Returns the sign of the argument as -1, 0, or 1, depending on whether X
is negative, zero, or positive.
","mysql> SELECT SIGN(-32);
        -> -1
mysql> SELECT SIGN(0);
        -> 0
mysql> SELECT SIGN(234);
        -> 1
","mathematical-functions"),(125,25,"SEC_TO_TIME","Syntax:
SEC_TO_TIME(seconds)

Returns the seconds argument, converted to hours, minutes, and seconds,
as a value in 'HH:MM:SS' or HHMMSS format, depending on whether the
function is used in a string or numeric context.
","mysql> SELECT SEC_TO_TIME(2378);
        -> '00:39:38'
mysql> SELECT SEC_TO_TIME(2378) + 0;
        -> 3938
","date-and-time-functions"),(126,3,"FLOAT","FLOAT[(M,D)] [UNSIGNED] [ZEROFILL]

A small (single-precision) floating-point number. Allowable values are
-3.402823466E+38 to -1.175494351E-38, 0, and 1.175494351E-38 to
3.402823466E+38. These are the theoretical limits, based on the IEEE
standard. The actual range might be slightly smaller depending on your
hardware or operating system.

M is the total number of decimal digits and D is the number of digits
following the decimal point. If M and D are omitted, values are stored
to the limits allowed by the hardware. A single-precision
floating-point number is accurate to approximately 7 decimal places.

If UNSIGNED is specified, negative values are disallowed.

Using FLOAT might give you some unexpected problems because all
calculations in MySQL are done with double precision. See
[no-matching-rows].
","","numeric-type-overview"),(127,30,"LOCATE","Syntax:
LOCATE(substr,str) , LOCATE(substr,str,pos)

The first syntax returns the position of the first occurrence of
substring substr in string str. The second syntax returns the position
of the first occurrence of substring substr in string str, starting at
position pos. Returns 0 if substr is not in str.
","mysql> SELECT LOCATE('bar', 'foobarbar');
        -> 4
mysql> SELECT LOCATE('xbar', 'foobar');
        -> 0
mysql> SELECT LOCATE('bar', 'foobarbar',5);
        -> 7
","string-functions"),(128,15,"CHARSET","Syntax:
CHARSET(str)

Returns the character set of the string argument.
","mysql> SELECT CHARSET('abc');
        -> 'latin1'
mysql> SELECT CHARSET(CONVERT('abc' USING utf8));
        -> 'utf8'
mysql> SELECT CHARSET(USER());
        -> 'utf8'
","information-functions"),(129,25,"SUBDATE","Syntax:
SUBDATE(date,INTERVAL expr type) SUBDATE(expr,days)

When invoked with the INTERVAL form of the second argument, SUBDATE()
is a synonym for DATE_SUB(). For information on the INTERVAL argument,
see the discussion for DATE_ADD().

mysql> SELECT DATE_SUB('1998-01-02', INTERVAL 31 DAY);
        -> '1997-12-02'
mysql> SELECT SUBDATE('1998-01-02', INTERVAL 31 DAY);
        -> '1997-12-02'

As of MySQL 4.1.1, the second syntax is allowed, where expr is a date
or datetime expression and days is the number of days to be subtracted
from expr.

mysql> SELECT SUBDATE('1998-01-02 12:00:00', 31);
        -> '1997-12-02 12:00:00'

Note that you cannot use format \"%X%V\" to convert a year-week string to
a date as the combination of a year and week does not uniquely identify
a year and month if the week crosses a month boundary. To convert a
year-week to a date, then you should also specify the weekday:

mysql> select str_to_date('200442 Monday', '%X%V %W');
-> 2004-10-18
","","date-and-time-functions"),(130,25,"DAYOFYEAR","Syntax:
DAYOFYEAR(date)

Returns the day of the year for date, in the range 1 to 366.
","mysql> SELECT DAYOFYEAR('1998-02-03');
        -> 34
","date-and-time-functions"),(131,5,"%","Syntax:
MOD(N,M) , N % M N MOD M

Modulo operation. Returns the remainder of N divided by M.
","mysql> SELECT MOD(234, 10);
        -> 4
mysql> SELECT 253 % 7;
        -> 1
mysql> SELECT MOD(29,9);
        -> 2
mysql> SELECT 29 MOD 9;
        -> 2
","mathematical-functions"),(132,3,"LONGTEXT","LONGTEXT

A TEXT column with a maximum length of 4,294,967,295 or 4GB (232 - 1)
characters. Up to MySQL 3.23, the client/server protocol and MyISAM
tables had a limit of 16MB per communication packet or table row. From
MySQL 4.0, the maximum allowed length of LONGTEXT columns depends on
the configured maximum packet size in the client/server protocol and
available memory.
","","string-type-overview"),(133,24,"DISJOINT","Disjoint(g1,g2)

Returns 1 or 0 to indicate whether or not g1 is spatially disjoint from
(does not intersect) g2.
","","functions-that-test-spatial-relationships-between-geometries"),(134,22,"KILL","Syntax:
KILL thread_id

Each connection to mysqld runs in a separate thread. You can see which
threads are running with the SHOW PROCESSLIST statement and kill a
thread with the KILL thread_id statement.

If you have the PROCESS privilege, you can see all threads. If you have
the SUPER privilege, you can kill all threads and statements.
Otherwise, you can see and kill only your own threads and statements.

You can also use the mysqladmin processlist and mysqladmin kill
commands to examine and kill threads.

Note: You cannot use KILL with the Embedded MySQL Server library,
because the embedded server merely runs inside the threads of the host
application. It does not create any connection threads of its own.
","","kill");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (135,4,"ASTEXT","AsText(g)

Converts a value in internal geometry format to its WKT representation
and returns the string result.
","mysql> SET @g = 'LineString(1 1,2 2,3 3)';
mysql> SELECT AsText(GeomFromText(@g));
+--------------------------+
| AsText(GeomFromText(@g)) |
+--------------------------+
| LINESTRING(1 1,2 2,3 3)  |
+--------------------------+
","functions-to-convert-geometries-between-formats"),(136,30,"LPAD","Syntax:
LPAD(str,len,padstr)

Returns the string str, left-padded with the string padstr to a length
of len characters. If str is longer than len, the return value is
shortened to len characters.

","mysql> SELECT LPAD('hi',4,'??');
        -> '??hi'
mysql> SELECT LPAD('hi',1,'??');
        -> 'h'
","string-functions"),(137,21,"RESTORE TABLE","Syntax:
RESTORE TABLE tbl_name [, tbl_name] ... FROM '/path/to/backup/directory'

Restores the table or tables from a backup that was made with BACKUP
TABLE. Existing tables are not overwritten; if you try to restore over
an existing table, you get an error. Just as BACKUP TABLE, RESTORE
TABLE currently works only for MyISAM tables. The directory should be
specified as a full pathname.

The backup for each table consists of its .frm format file and .MYD
data file. The restore operation restores those files, then uses them
to rebuild the .MYI index file. Restoring takes longer than backing up
due to the need to rebuild the indexes. The more indexes the table has,
the longer it takes.
","","restore-table"),(138,24,"OVERLAPS","Overlaps(g1,g2)

Returns 1 or 0 to indicate whether or not g1 spatially overlaps g2. The
term spatially overlaps is used if two geometries intersect and their
intersection results in a geometry of the same dimension but not equal
to either of the given geometries.
","","functions-that-test-spatial-relationships-between-geometries"),(139,20,"NUMGEOMETRIES","NumGeometries(gc)

Returns the number of geometries in the GeometryCollection value gc.
","mysql> SET @gc = 'GeometryCollection(Point(1 1),LineString(2 2, 3 3))';
mysql> SELECT NumGeometries(GeomFromText(@gc));
+----------------------------------+
| NumGeometries(GeomFromText(@gc)) |
+----------------------------------+
|                                2 |
+----------------------------------+
","geometrycollection-property-functions"),(140,22,"SET GLOBAL SQL_SLAVE_SKIP_COUNTER","Syntax:
SET GLOBAL SQL_SLAVE_SKIP_COUNTER = n

Skip the next n events from the master. This is useful for recovering
from replication stops caused by a statement.

This statement is valid only when the slave thread is not running.
Otherwise, it produces an error.

Before MySQL 4.0, omit the GLOBAL keyword from the statement.
","","set-global-sql-slave-skip-counter"),(141,25,"MONTHNAME","Syntax:
MONTHNAME(date)

Returns the full name of the month for date.
","mysql> SELECT MONTHNAME('1998-02-05');
        -> 'February'
","date-and-time-functions"),(142,6,"MBREQUAL","MBREqual(g1,g2)

Returns 1 or 0 to indicate whether or not the Minimum Bounding
Rectangles of the two geometries g1 and g2 are the same.
","","relations-on-geometry-mbr"),(143,22,"CHANGE MASTER TO","Syntax:
  CHANGE MASTER TO master_def [, master_def] ...

master_def:
      MASTER_HOST = 'host_name'
    | MASTER_USER = 'user_name'
    | MASTER_PASSWORD = 'password'
    | MASTER_PORT = port_num
    | MASTER_CONNECT_RETRY = count
    | MASTER_LOG_FILE = 'master_log_name'
    | MASTER_LOG_POS = master_log_pos
    | RELAY_LOG_FILE = 'relay_log_name'
    | RELAY_LOG_POS = relay_log_pos
    | MASTER_SSL = {0|1}
    | MASTER_SSL_CA = 'ca_file_name'
    | MASTER_SSL_CAPATH = 'ca_directory_name'
    | MASTER_SSL_CERT = 'cert_file_name'
    | MASTER_SSL_KEY = 'key_file_name'
    | MASTER_SSL_CIPHER = 'cipher_list'

Changes the parameters that the slave server uses for connecting to and
communicating with the master server.

MASTER_USER, MASTER_PASSWORD, MASTER_SSL, MASTER_SSL_CA,
MASTER_SSL_CAPATH, MASTER_SSL_CERT, MASTER_SSL_KEY, and
MASTER_SSL_CIPHER provide information to the slave about how to connect
to its master.

The relay log options (RELAY_LOG_FILE and RELAY_LOG_POS) are available
beginning with MySQL 4.0.

The SSL options (MASTER_SSL, MASTER_SSL_CA, MASTER_SSL_CAPATH,
MASTER_SSL_CERT, MASTER_SSL_KEY, and MASTER_SSL_CIPHER) are available
beginning with MySQL 4.1.1. You can change these options even on slaves
that are compiled without SSL support. They are saved to the
master.info file, but are ignored until you use a server that has SSL
support enabled.

If you don't specify a given parameter, it keeps its old value, except
as indicated in the following discussion. For example, if the password
to connect to your MySQL master has changed, you just need to issue
these statements to tell the slave about the new password:

mysql> STOP SLAVE; -- if replication was running
mysql> CHANGE MASTER TO MASTER_PASSWORD='new3cret';
mysql> START SLAVE; -- if you want to restart replication

There is no need to specify the parameters that do not change (host,
port, user, and so forth).

MASTER_HOST and MASTER_PORT are the hostname (or IP address) of the
master host and its TCP/IP port. Note that if MASTER_HOST is equal to
localhost, then, like in other parts of MySQL, the port may be ignored
(if Unix socket files can be used, for example).

If you specify MASTER_HOST or MASTER_PORT, the slave assumes that the
master server is different than before (even if you specify a host or
port value that is the same as the current value.) In this case, the
old values for the master binary log name and position are considered
no longer applicable, so if you do not specify MASTER_LOG_FILE and
MASTER_LOG_POS in the statement, MASTER_LOG_FILE='' and
MASTER_LOG_POS=4 are silently appended to it.

MASTER_LOG_FILE and MASTER_LOG_POS are the coordinates at which the
slave I/O thread should begin reading from the master the next time the
thread starts. If you specify either of them, you cannot specify
RELAY_LOG_FILE or RELAY_LOG_POS. If neither of MASTER_LOG_FILE or
MASTER_LOG_POS are specified, the slave uses the last coordinates of
the slave SQL thread before CHANGE MASTER was issued. This ensures that
replication has no discontinuity, even if the slave SQL thread was late
compared to the slave I/O thread, when you just want to change, say,
the password to use. This safe behavior was introduced starting from
MySQL 4.0.17 and 4.1.1. (Before these versions, the coordinates used
were the last coordinates of the slave I/O thread before CHANGE MASTER
was issued. This caused the SQL thread to possibly lose some events
from the master, thus breaking replication.)

CHANGE MASTER deletes all relay log files and starts a new one, unless
you specify RELAY_LOG_FILE or RELAY_LOG_POS. In that case, relay logs
are kept; as of MySQL 4.1.1 the relay_log_purge global variable is set
silently to 0.

CHANGE MASTER TO updates the contents of the master.info and
relay-log.info files.

CHANGE MASTER is useful for setting up a slave when you have the
snapshot of the master and have recorded the log and the offset
corresponding to it. After loading the snapshot into the slave, you can
run CHANGE MASTER TO MASTER_LOG_FILE='log_name_on_master',
MASTER_LOG_POS=log_offset_on_master on the slave.

Examples:

mysql> CHANGE MASTER TO
    ->     MASTER_HOST='master2.mycompany.com',
    ->     MASTER_USER='replication',
    ->     MASTER_PASSWORD='bigs3cret',
    ->     MASTER_PORT=3306,
    ->     MASTER_LOG_FILE='master2-bin.001',
    ->     MASTER_LOG_POS=4,
    ->     MASTER_CONNECT_RETRY=10;

mysql> CHANGE MASTER TO
    ->     RELAY_LOG_FILE='slave-relay-bin.006',
    ->     RELAY_LOG_POS=4025;
","","change-master-to"),(144,32,"DROP DATABASE","Syntax:
DROP DATABASE [IF EXISTS] db_name

DROP DATABASE drops all tables in the database and deletes the
database. Be very careful with this statement! To use DROP DATABASE,
you need the DROP privilege on the database.

In MySQL 3.22 or later, you can use the keywords IF EXISTS to prevent
an error from occurring if the database does not exist.
","","drop-database"),(145,25,"TIMESTAMP FUNCTION","Syntax:
TIMESTAMP(expr) , TIMESTAMP(expr,expr2)

With a single argument, this function returns the date or datetime
expression expr as a datetime value. With two arguments, it adds the
time expression expr2 to the date or datetime expression expr and
returns theresult as a datetime value.
","mysql> SELECT TIMESTAMP('2003-12-31');
        -> '2003-12-31 00:00:00'
mysql> SELECT TIMESTAMP('2003-12-31 12:00:00','12:00:00');
        -> '2004-01-01 00:00:00'
","date-and-time-functions"),(146,30,"CHARACTER_LENGTH","Syntax:
CHARACTER_LENGTH(str)

CHARACTER_LENGTH() is a synonym for CHAR_LENGTH().
","","string-functions"),(147,22,"SHOW GRANTS","Syntax:
SHOW GRANTS FOR user

This statement lists the GRANT statements that must be issued to
duplicate the privileges that are granted to a MySQL user account.

mysql> SHOW GRANTS FOR 'root'@'localhost';
+---------------------------------------------------------------------+
| Grants for root@localhost                                           |
+---------------------------------------------------------------------+
| GRANT ALL PRIVILEGES ON *.* TO 'root'@'localhost' WITH GRANT OPTION |
+---------------------------------------------------------------------+

As of MySQL 4.1.2, to list the privileges granted to the account that
you are using to connect to the server, you can use any of the
following statements:

SHOW GRANTS;
SHOW GRANTS FOR CURRENT_USER;
SHOW GRANTS FOR CURRENT_USER();
","","show-grants"),(148,5,"CRC32","Syntax:
CRC32(expr)

Computes a cyclic redundancy check value and returns a 32-bit unsigned
value. The result is NULL if the argument is NULL. The argument is
expected to be a string and (if possible) is treated as one if it is
not.
","mysql> SELECT CRC32('MySQL');
        -> 3259397556
","mathematical-functions"),(149,12,"XOR","Syntax:
XOR

Logical XOR. Returns NULL if either operand is NULL. For non-NULL
operands, evaluates to 1 if an odd number of operands is non-zero,
otherwise 0 is returned.
","mysql> SELECT 1 XOR 1;
        -> 0
mysql> SELECT 1 XOR 0;
        -> 1
mysql> SELECT 1 XOR NULL;
        -> NULL
mysql> SELECT 1 XOR 1 XOR 1;
        -> 1
","logical-operators");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (150,11,"STARTPOINT","StartPoint(ls)

Returns the Point that is the start point of the LineString value ls.
","mysql> SET @ls = 'LineString(1 1,2 2,3 3)';
mysql> SELECT AsText(StartPoint(GeomFromText(@ls)));
+---------------------------------------+
| AsText(StartPoint(GeomFromText(@ls))) |
+---------------------------------------+
| POINT(1 1)                            |
+---------------------------------------+
","linestring-property-functions"),(151,4,"MPOLYFROMTEXT","MPolyFromText(wkt[,srid]) , MultiPolygonFromText(wkt[,srid])

Constructs a MULTIPOLYGON value using its WKT representation and SRID.
","","gis-wkt-functions"),(152,21,"GRANT","Syntax:
GRANT priv_type [(column_list)] [, priv_type [(column_list)]] ...
    ON {tbl_name | * | *.* | db_name.*}
    TO user [IDENTIFIED BY [PASSWORD] 'password']
        [, user [IDENTIFIED BY [PASSWORD] 'password']] ...
    [REQUIRE
        NONE |
        [{SSL| X509}]
        [CIPHER 'cipher' [AND]]
        [ISSUER 'issuer' [AND]]
        [SUBJECT 'subject']]
    [WITH with_option [with_option] ...]

with_option =
    GRANT OPTION
  | MAX_QUERIES_PER_HOUR count
  | MAX_UPDATES_PER_HOUR count
  | MAX_CONNECTIONS_PER_HOUR count

REVOKE priv_type [(column_list)] [, priv_type [(column_list)]] ...
    ON {tbl_name | * | *.* | db_name.*}
    FROM user [, user] ...

REVOKE ALL PRIVILEGES, GRANT OPTION FROM user [, user] ...

The GRANT and REVOKE statements allow system administrators to create
MySQL user accounts and to grant rights to and revoke them from
accounts. GRANT and REVOKE are implemented in MySQL 3.22.11 or later.
For earlier MySQL versions, these statements do nothing.

MySQL account information is stored in the tables of the mysql
database. This database and the access control system are discussed
extensively in [database-administration], which you should consult for
additional details.

If the grant tables hold privilege records that contain mixed-case
database or table names and the lower_case_table_names system variable
is set, REVOKE cannot be used to revoke the privileges. It will be
necessary to manipulate the grant tables directly. (GRANT will not
create such records when lower_case_table_names is set, but such
records might have been created prior to setting the variable.)

Privileges can be granted at several levels:

o Global level

  Global privileges apply to all databases on a given server. These
  privileges are stored in the mysql.user table. GRANT ALL ON *.* and
  REVOKE ALL ON *.* grant and revoke only global privileges.

o Database level

  Database privileges apply to all tables in a given database. These
  privileges are stored in the mysql.db and mysql.host tables. GRANT
  ALL ON db_name.* and REVOKE ALL ON db_name.* grant and revoke only
  database privileges.

o Table level

  Table privileges apply to all columns in a given table. These
  privileges are stored in the mysql.tables_priv table. GRANT ALL ON
  db_name.tbl_name and REVOKE ALL ON db_name.tbl_name grant and revoke
  only table privileges.

o Column level

  Column privileges apply to single columns in a given table. These
  privileges are stored in the mysql.columns_priv table. When using
  REVOKE, you must specify the same columns that were granted.
","","grant"),(153,6,"MBRINTERSECTS","MBRIntersects(g1,g2)

Returns 1 or 0 to indicate whether or not the Minimum Bounding
Rectangles of the two geometries g1 and g2 intersect.
","","relations-on-geometry-mbr"),(154,14,"BIT_OR","Syntax:
BIT_OR(expr)

Returns the bitwise OR of all bits in expr. The calculation is
performed with 64-bit (BIGINT) precision.
","","group-by-functions"),(155,25,"YEARWEEK","Syntax:
YEARWEEK(date), YEARWEEK(date,start)

Returns year and week for a date. The start argument works exactly like
the start argument to WEEK(). The year in the result may be different
from the year in the date argument for the first and the last week of
the year.
","mysql> SELECT YEARWEEK('1987-01-01');
        -> 198653
","date-and-time-functions"),(156,17,"NOT BETWEEN","Syntax:
expr NOT BETWEEN min AND max

This is the same as NOT (expr BETWEEN min AND max).
","","comparison-operators"),(157,5,"LOG10","Syntax:
LOG10(X)

Returns the base-10 logarithm of X.
","mysql> SELECT LOG10(2);
        -> 0.301030
mysql> SELECT LOG10(100);
        -> 2.000000
mysql> SELECT LOG10(-100);
        -> NULL
","mathematical-functions"),(158,5,"SQRT","Syntax:
SQRT(X)

Returns the square root of a non-negative number X.
","mysql> SELECT SQRT(4);
        -> 2
mysql> SELECT SQRT(20);
        -> 4.4721359549996
mysql> SELECT SQRT(-16);
        -> NULL        
","mathematical-functions"),(159,3,"DECIMAL","DECIMAL[(M[,D])] [UNSIGNED] [ZEROFILL]

An unpacked fixed-point number. Behaves like a CHAR column; \"unpacked\"
means the number is stored as a string, using one character for each
digit of the value. M is the total number of digits and D is the number
of digits after the decimal point. The decimal point and (for negative
numbers) the `-' sign are not counted in M, although space for them is
reserved. If D is 0, values have no decimal point or fractional part.
The maximum range of DECIMAL values is the same as for DOUBLE, but the
actual range for a given DECIMAL column may be constrained by the
choice of M and D. If D is omitted, the default is 0. If M is omitted,
the default is 10.

If UNSIGNED is specified, negative values are disallowed.

Note: Before MySQL 3.23, the value of M must be large enough to include
the space needed for the sign and the decimal point characters.
","","numeric-type-overview"),(160,20,"GEOMETRYN","GeometryN(gc,n)

Returns the n-th geometry in the GeometryCollection value gc. Geometry
numbers begin at 1.
","mysql> SET @gc = 'GeometryCollection(Point(1 1),LineString(2 2, 3 3))';
mysql> SELECT AsText(GeometryN(GeomFromText(@gc),1));
+----------------------------------------+
| AsText(GeometryN(GeomFromText(@gc),1)) |
+----------------------------------------+
| POINT(1 1)                             |
+----------------------------------------+
","geometrycollection-property-functions"),(161,32,"CREATE INDEX","Syntax:
CREATE [UNIQUE|FULLTEXT|SPATIAL] INDEX index_name
    [USING index_type]
    ON tbl_name (index_col_name,...)

index_col_name:
    col_name [(length)] [ASC | DESC]

In MySQL 3.22 or later, CREATE INDEX is mapped to an ALTER TABLE
statement to create indexes. See [alter-table]. The CREATE INDEX
statement does not do anything prior to MySQL 3.22.
","","create-index"),(162,32,"ALTER DATABASE","Syntax:
ALTER DATABASE [db_name]
    alter_specification [, alter_specification] ...

alter_specification:
    [DEFAULT] CHARACTER SET charset_name
  | [DEFAULT] COLLATE collation_name

ALTER DATABASE allows you to change the overall characteristics of a
database. These characteristics are stored in the db.opt file in the
database directory. To use ALTER DATABASE, you need the ALTER privilege
on the database.
","","alter-database"),(163,18,"<<","Syntax:
<<

Shifts a longlong (BIGINT) number to the left.
","mysql> SELECT 1 << 2;
        -> 4
","bit-functions"),(164,10,"MD5","Syntax:
MD5(str)

Calculates an MD5 128-bit checksum for the string. The value is
returned as a binary string of 32 hex digits, or NULL if the argument
was NULL. The return value can, for example, be used as a hash key.
","mysql> SELECT MD5('testing');
        -> 'ae2b1fca515949e5d54fb22b8ed95575'
","encryption-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (165,17,"<","Syntax:
<

Less than:
","mysql> SELECT 2 < 2;
        -> 0
","comparison-operators"),(166,25,"UNIX_TIMESTAMP","Syntax:
UNIX_TIMESTAMP(), UNIX_TIMESTAMP(date)

If called with no argument, returns a Unix timestamp (seconds since
'1970-01-01 00:00:00' GMT) as an unsigned integer. If UNIX_TIMESTAMP()
is called with a date argument, it returns the value of the argument as
seconds since '1970-01-01 00:00:00' GMT. date may be a DATE string, a
DATETIME string, a TIMESTAMP, or a number in the format YYMMDD or
YYYYMMDD in local time.
","mysql> SELECT UNIX_TIMESTAMP();
        -> 882226357
mysql> SELECT UNIX_TIMESTAMP('1997-10-04 22:23:00');
        -> 875996580
","date-and-time-functions"),(167,25,"DAYOFMONTH","Syntax:
DAYOFMONTH(date)

Returns the day of the month for date, in the range 1 to 31.
","mysql> SELECT DAYOFMONTH('1998-02-03');
        -> 3
","date-and-time-functions"),(168,30,"ASCII","Syntax:
ASCII(str)

Returns the numeric value of the leftmost character of the string str.
Returns 0 if str is the empty string. Returns NULL if str is NULL.
ASCII() works for characters with numeric values from 0 to 255.
","mysql> SELECT ASCII('2');
        -> 50
mysql> SELECT ASCII(2);
        -> 50
mysql> SELECT ASCII('dx');
        -> 100
","string-functions"),(169,5,"DIV","Syntax:
DIV

Integer division. Similar to FLOOR() but safe with BIGINT values.
","mysql> SELECT 5 DIV 2;
        -> 2
","arithmetic-functions"),(170,22,"SHOW SLAVE STATUS","Syntax:
SHOW SLAVE STATUS

Provides status information on essential parameters of the slave
threads. If you issue this statement using the mysql client, you can
use a \\G statement terminator rather than a semicolon to obtain a more
readable vertical layout:

mysql> SHOW SLAVE STATUS\\G
*************************** 1. row ***************************
       Slave_IO_State: Waiting for master to send event
          Master_Host: localhost
          Master_User: root
          Master_Port: 3306
        Connect_Retry: 3
      Master_Log_File: gbichot-bin.005
  Read_Master_Log_Pos: 79
       Relay_Log_File: gbichot-relay-bin.005
        Relay_Log_Pos: 548
Relay_Master_Log_File: gbichot-bin.005
     Slave_IO_Running: Yes
    Slave_SQL_Running: Yes
      Replicate_Do_DB:
  Replicate_Ignore_DB:
           Last_Errno: 0
           Last_Error:
         Skip_Counter: 0
  Exec_Master_Log_Pos: 79
      Relay_Log_Space: 552
      Until_Condition: None
       Until_Log_File:
        Until_Log_Pos: 0
   Master_SSL_Allowed: No
   Master_SSL_CA_File:
   Master_SSL_CA_Path:
      Master_SSL_Cert:
    Master_SSL_Cipher:
       Master_SSL_Key:
Seconds_Behind_Master: 8
","","show-slave-status"),(171,27,"GEOMETRY","MySQL provides a standard way of creating spatial columns for geometry
types, for example, with CREATE TABLE or ALTER TABLE. Currently,
spatial columns are supported only for MyISAM tables.
","mysql> CREATE TABLE geom (g GEOMETRY);
Query OK, 0 rows affected (0.02 sec)
","creating-spatial-columns"),(172,11,"NUMPOINTS","NumPoints(ls)

Returns the number of points in the LineString value ls.
","mysql> SET @ls = 'LineString(1 1,2 2,3 3)';
mysql> SELECT NumPoints(GeomFromText(@ls));
+------------------------------+
| NumPoints(GeomFromText(@ls)) |
+------------------------------+
|                            3 |
+------------------------------+
","linestring-property-functions"),(173,18,"&","Syntax:
&

Bitwise AND:
","mysql> SELECT 29 & 15;
        -> 13
","bit-functions"),(174,25,"LOCALTIMESTAMP","Syntax:
LOCALTIMESTAMP, LOCALTIMESTAMP()

LOCALTIMESTAMP and LOCALTIMESTAMP() are synonyms for NOW().
","","date-and-time-functions"),(175,25,"ADDDATE","Syntax:
ADDDATE(date,INTERVAL expr type) ADDDATE(expr,days)

When invoked with the INTERVAL form of the second argument, ADDDATE()
is a synonym for DATE_ADD(). The related function SUBDATE() is a
synonym for DATE_SUB(). For information on the INTERVAL argument, see
the discussion for DATE_ADD().

mysql> SELECT DATE_ADD('1998-01-02', INTERVAL 31 DAY);
        -> '1998-02-02'
mysql> SELECT ADDDATE('1998-01-02', INTERVAL 31 DAY);
        -> '1998-02-02'

As of MySQL 4.1.1, the second syntax is allowed, where expr is a date
or datetime expression and days is the number of days to be added to
expr.
","mysql> SELECT ADDDATE('1998-01-02', 31);
        -> '1998-02-02'
","date-and-time-functions"),(176,3,"SMALLINT","SMALLINT[(M)] [UNSIGNED] [ZEROFILL]

A small integer. The signed range is -32768 to 32767. The unsigned
range is 0 to 65535.
","","numeric-type-overview"),(177,3,"DOUBLE PRECISION","DOUBLE PRECISION[(M,D)] [UNSIGNED] [ZEROFILL], REAL[(M,D)] [UNSIGNED]
[ZEROFILL]

These are synonyms for DOUBLE. Exception: If the server SQL mode
includes the REAL_AS_FLOAT option, REAL is a synonym for FLOAT rather
than DOUBLE.
","","numeric-type-overview"),(178,30,"ORD","Syntax:
ORD(str)

If the leftmost character of the string str is a multi-byte character,
returns the code for that character, calculated from the numeric values
of its constituent bytes using this formula:

  (1st byte code)
+ (2nd byte code × 256)
+ (3rd byte code × 2562) ...

If the leftmost character is not a multi-byte character, ORD() returns
the same value as the ASCII() function.
","mysql> SELECT ORD('2');
        -> 50
","string-functions"),(179,29,"ENVELOPE","Envelope(g)

Returns the Minimum Bounding Rectangle (MBR) for the geometry value g.
The result is returned as a Polygon value.

The polygon is defined by the corner points of the bounding box:

POLYGON((MINX MINY, MAXX MINY, MAXX MAXY, MINX MAXY, MINX MINY))
","mysql> SELECT AsText(Envelope(GeomFromText('LineString(1 1,2 2)')));
+-------------------------------------------------------+
| AsText(Envelope(GeomFromText('LineString(1 1,2 2)'))) |
+-------------------------------------------------------+
| POLYGON((1 1,2 1,2 2,1 2,1 1))                        |
+-------------------------------------------------------+
","general-geometry-property-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (180,13,"IS_FREE_LOCK","Syntax:
IS_FREE_LOCK(str)

Checks whether the lock named str is free to use (that is, not locked).
Returns 1 if the lock is free (no one is using the lock), 0 if the lock
is in use, and NULL on errors (such as incorrect arguments).
","","miscellaneous-functions"),(181,24,"TOUCHES","Touches(g1,g2)

Returns 1 or 0 to indicate whether or not g1 spatially touches g2. Two
geometries spatially touch if the interiors of the geometries do not
intersect, but the boundary of one of the geometries intersects either
the boundary or the interior of the other.
","","functions-that-test-spatial-relationships-between-geometries"),(182,13,"INET_ATON","Syntax:
INET_ATON(expr)

Given the dotted-quad representation of a network address as a string,
returns an integer that represents the numeric value of the address.
Addresses may be 4- or 8-byte addresses.
","mysql> SELECT INET_ATON('209.207.224.40');
        -> 3520061480
","miscellaneous-functions"),(183,3,"AUTO_INCREMENT","The AUTO_INCREMENT attribute can be used to generate a unique identity
for new rows:
","CREATE TABLE animals (
     id MEDIUMINT NOT NULL AUTO_INCREMENT,
     name CHAR(30) NOT NULL,
     PRIMARY KEY (id)
 );

INSERT INTO animals (name) VALUES 
    ('dog'),('cat'),('penguin'),
    ('lax'),('whale'),('ostrich');

SELECT * FROM animals;
","example-auto-increment"),(184,30,"UNCOMPRESS","Syntax:
UNCOMPRESS(string_to_uncompress)

Uncompresses a string compressed by the COMPRESS() function. If the
argument is not a compressed value, the result is NULL. This function
requires MySQL to have been compiled with a compression library such as
zlib. Otherwise, the return value is always NULL.
","mysql> SELECT UNCOMPRESS(COMPRESS('any string'));
        -> 'any string'
mysql> SELECT UNCOMPRESS('any string');
        -> NULL
","string-functions"),(185,29,"ISSIMPLE","IsSimple(g)

Currently, this function is a placeholder and should not be used. If
implemented, its behavior will be as described in the next paragraph.

Returns 1 if the geometry value g has no anomalous geometric points,
such as self-intersection or self-tangency. IsSimple() returns 0 if the
argument is not simple, and −1 if it is NULL.

The description of each instantiable geometric class given earlier in
the chapter includes the specific conditions that cause an instance of
that class to be classified as not simple.
","","general-geometry-property-functions"),(186,5,"- BINARY","Syntax:
-

Subtraction:
","mysql> SELECT 3-5;
        -> -2
","arithmetic-functions"),(187,4,"GEOMCOLLFROMTEXT","GeomCollFromText(wkt[,srid]) , GeometryCollectionFromText(wkt[,srid])

Constructs a GEOMETRYCOLLECTION value using its WKT representation and
SRID.
","","gis-wkt-functions"),(188,4,"WKT DEFINITION","The Well-Known Text (WKT) representation of Geometry is designed to
exchange geometry data in ASCII form.
","","gis-wkt-format"),(189,25,"CURRENT_TIME","Syntax:
CURRENT_TIME, CURRENT_TIME()

CURRENT_TIME and CURRENT_TIME() are synonyms for CURTIME().
","","date-and-time-functions"),(190,15,"LAST_INSERT_ID","Syntax:
LAST_INSERT_ID() LAST_INSERT_ID(expr)

Returns the first automatically generated value that was set for an
AUTO_INCREMENT column by the last INSERT or UPDATE query to affect such
a column.
","mysql> SELECT LAST_INSERT_ID();
        -> 195
","information-functions"),(191,25,"LAST_DAY","Syntax:
LAST_DAY(date)

Takes a date or datetime value and returns the corresponding value for
the last day of the month. Returns NULL if the argument is invalid.
","mysql> SELECT LAST_DAY('2003-02-05');
        -> '2003-02-28'
mysql> SELECT LAST_DAY('2004-02-05');
        -> '2004-02-29'
mysql> SELECT LAST_DAY('2004-01-01 01:01:01');
        -> '2004-01-31'
mysql> SELECT LAST_DAY('2003-03-32');
        -> NULL
","date-and-time-functions"),(192,3,"MEDIUMINT","MEDIUMINT[(M)] [UNSIGNED] [ZEROFILL]

A medium-size integer. The signed range is -8388608 to 8388607. The
unsigned range is 0 to 16777215.
","","numeric-type-overview"),(193,5,"FLOOR","Syntax:
FLOOR(X)

Returns the largest integer value not greater than X.
","mysql> SELECT FLOOR(1.23);
        -> 1
mysql> SELECT FLOOR(-1.23);
        -> -2
","mathematical-functions"),(194,30,"RTRIM","Syntax:
RTRIM(str)

Returns the string str with trailing space characters removed.
","mysql> SELECT RTRIM('barbar   ');
        -> 'barbar'
","string-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (195,5,"DEGREES","Syntax:
DEGREES(X)

Returns the argument X, converted from radians to degrees.
","mysql> SELECT DEGREES(PI());
        -> 180.000000
","mathematical-functions"),(196,22,"EXPLAIN","Syntax:
EXPLAIN tbl_name

Or:

EXPLAIN [EXTENDED] SELECT select_options

The EXPLAIN statement can be used either as a synonym for DESCRIBE or
as a way to obtain information about how MySQL executes a SELECT
statement:

o EXPLAIN tbl_name is synonymous with DESCRIBE tbl_name or SHOW COLUMNS
  FROM tbl_name.

o When you precede a SELECT statement with the keyword EXPLAIN, MySQL
  explains how it would process the SELECT, providing information about
  how tables are joined and in which order.
","","explain"),(197,3,"VARCHAR","[NATIONAL] VARCHAR(M) [BINARY]

A variable-length string. M represents the maximum column length. The
range of M is 1 to 255 before MySQL 4.0.2, and 0 to 255 as of MySQL
4.0.2.

Note: Trailing spaces are removed when VARCHAR values are stored. This
differs from the standard SQL specification.

In MySQL 4.1, a VARCHAR column with a length specification greater than
255 is converted to the smallest TEXT type that can hold values of the
given length. For example, VARCHAR(500) is converted to TEXT, and
VARCHAR(200000) is converted to MEDIUMTEXT. This is a compatibility
feature. However, this conversion affects trailing-space removal.

VARCHAR is shorthand for CHARACTER VARYING.

As of MySQL 4.1.2, the BINARY attribute is shorthand for specifying the
binary collation of the column character set. Sorting and comparison is
based on numeric character values. Before 4.1.2, BINARY attribute
causes the column to be treated as a binary string. Sorting and
comparison is based on numeric byte values.
","","string-type-overview"),(198,30,"UNHEX","Syntax:

UNHEX(str)

Performs the opposite operation from HEX(str). That is, it interprets
each pair of hexadecimal digits in the argument as a number and
converts it to the character represented by the number. The resulting
characters are returned as a binary string.
","mysql> SELECT UNHEX('4D7953514C');
        -> 'MySQL'
mysql> SELECT 0x4D7953514C;
        -> 'MySQL'
mysql> SELECT UNHEX(HEX('string'));
        -> 'string'
mysql> SELECT HEX(UNHEX('1267'));
        -> '1267'
","string-functions"),(199,5,"- UNARY","Syntax:
-

Unary minus. Changes the sign of the argument.
","mysql> SELECT - 2;
        -> -2
","arithmetic-functions"),(200,5,"COS","Syntax:
COS(X)

Returns the cosine of X, where X is given in radians.
","mysql> SELECT COS(PI());
        -> -1.000000
","mathematical-functions"),(201,25,"DATE FUNCTION","Syntax:
DATE(expr)

Extracts the date part of the date or datetime expression expr.
","mysql> SELECT DATE('2003-12-31 01:02:03');
        -> '2003-12-31'
","date-and-time-functions"),(202,22,"RESET MASTER","Syntax:
RESET MASTER

Deletes all binary logs listed in the index file, resets the binary log
index file to be empty, and creates a new binary log file.

This statement was named FLUSH MASTER before MySQL 3.23.26.
","","reset-master"),(203,5,"TAN","Syntax:
TAN(X)

Returns the tangent of X, where X is given in radians.
","mysql> SELECT TAN(PI());
        -> -1.2246063538224e-16
mysql> SELECT TAN(PI()+1);
        -> 1.5574077246549
","mathematical-functions"),(204,5,"PI","Syntax:
PI()

Returns the value of ϖ (pi). The default number of decimals displayed
is five, but MySQL internally uses the full double-precision value.
","mysql> SELECT PI();
        -> 3.141593
mysql> SELECT PI()+0.000000000000000000;
        -> 3.141592653589793116
","mathematical-functions"),(205,25,"WEEKOFYEAR","Syntax:
WEEKOFYEAR(date)

Returns the calendar week of the date as a number in the range from 1
to 53. It is a compatibility function that is equivalent to
WEEK(date,3).
","mysql> SELECT WEEKOFYEAR('1998-02-20');
        -> 8
","date-and-time-functions"),(206,5,"/","Syntax:
/

Division:
","mysql> SELECT 3/5;
        -> 0.60
","arithmetic-functions"),(207,26,"MLINEFROMWKB","MLineFromWKB(wkb[,srid]) , MultiLineStringFromWKB(wkb[,srid])

Constructs a MULTILINESTRING value using its WKB representation and
SRID.
","","gis-wkb-functions"),(208,30,"UNCOMPRESSED_LENGTH","Syntax:
UNCOMPRESSED_LENGTH(compressed_string)

Returns the length of a compressed string before compression.
","mysql> SELECT UNCOMPRESSED_LENGTH(COMPRESS(REPEAT('a',30)));
        -> 30
","string-functions"),(209,5,"LOG2","Syntax:
LOG2(X)

Returns the base-2 logarithm of X.
","mysql> SELECT LOG2(65536);
        -> 16.000000
mysql> SELECT LOG2(-100);
        -> NULL
","mathematical-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (210,25,"SUBTIME","Syntax:
SUBTIME(expr,expr2)

SUBTIME() subtracts expr2 from expr and returns the result. expr is a
time or datetime expression, and expr2 is a time expression.
","mysql> SELECT SUBTIME('1997-12-31 23:59:59.999999','1 1:1:1.000002');
        -> '1997-12-30 22:58:58.999997'
mysql> SELECT SUBTIME('01:00:00.999999', '02:00:00.999998');
        -> '-00:59:59.999999'
","date-and-time-functions"),(211,32,"DROP TABLE","Syntax:
DROP [TEMPORARY] TABLE [IF EXISTS]
    tbl_name [, tbl_name] ...
    [RESTRICT | CASCADE]

DROP TABLE removes one or more tables. You must have the DROP privilege
for each table. All table data and the table definition are removed, so
be careful with this statement!

In MySQL 3.22 or later, you can use the keywords IF EXISTS to prevent
an error from occurring for tables that do not exist. As of MySQL 4.1,
a NOTE is generated for each non-existent table when using IF EXISTS.
See [show-warnings].

RESTRICT and CASCADE are allowed to make porting easier. For the
moment, they do nothing.

Note: DROP TABLE automatically commits the current active transaction,
unless you are using MySQL 4.1 or higher and the TEMPORARY keyword.
","","drop-table"),(212,22,"DUAL","From MySQL 4.1.0 on, you are allowed to specify DUAL as a dummy table
name in situations where no tables are referenced:

mysql> SELECT 1 + 1 FROM DUAL;
        -> 2

DUAL is purely for compatibility with some other servers that require a
FROM clause. MySQL does not require the clause if no tables are
referenced, and the preceding statement can be written this way:

mysql> SELECT 1 + 1;
        -> 2
","","select"),(213,30,"INSTR","Syntax:
INSTR(str,substr)

Returns the position of the first occurrence of substring substr in
string str. This is the same as the two-argument form of LOCATE(),
except that the order of the arguments is reversed.
","mysql> SELECT INSTR('foobarbar', 'bar');
        -> 4
mysql> SELECT INSTR('xbar', 'foobar');
        -> 0
","string-functions"),(214,25,"NOW","Syntax:
NOW()

Returns the current date and time as a value in 'YYYY-MM-DD HH:MM:SS'
or YYYYMMDDHHMMSS format, depending on whether the function is used in
a string or numeric context.
","mysql> SELECT NOW();
        -> '1997-12-15 23:50:26'
mysql> SELECT NOW() + 0;
        -> 19971215235026
","date-and-time-functions"),(215,17,">=","Syntax:
>=

Greater than or equal:
","mysql> SELECT 2 >= 2;
        -> 1
","comparison-operators"),(216,5,"EXP","Syntax:
EXP(X)

Returns the value of e (the base of natural logarithms) raised to the
power of X.
","mysql> SELECT EXP(2);
        -> 7.389056
mysql> SELECT EXP(-2);
        -> 0.135335
","mathematical-functions"),(217,10,"SHA","Syntax:
SHA1(str) SHA(str)

Calculates an SHA1 160-bit checksum for the string, as described in RFC
3174 (Secure Hash Algorithm). The value is returned as a string of 40
hex digits, or NULL if the argument was NULL. One of the possible uses
for this function is as a hash key. You can also use it as a
cryptographically safe function for storing passwords.
","mysql> SELECT SHA1('abc');
        -> 'a9993e364706816aba3e25717850c26c9cd0d89d'
","encryption-functions"),(218,3,"LONGBLOB","LONGBLOB

A BLOB column with a maximum length of 4,294,967,295 or 4GB (232 - 1)
bytes. Up to MySQL 3.23, the client/server protocol and MyISAM tables
had a limit of 16MB per communication packet or table row. From MySQL
4.0, the maximum allowed length of LONGBLOB columns depends on the
configured maximum packet size in the client/server protocol and
available memory.
","","string-type-overview"),(219,11,"POINTN","PointN(ls,n)

Returns the n-th point in the Linestring value ls. Point numbers begin
at 1.
","mysql> SET @ls = 'LineString(1 1,2 2,3 3)';
mysql> SELECT AsText(PointN(GeomFromText(@ls),2));
+-------------------------------------+
| AsText(PointN(GeomFromText(@ls),2)) |
+-------------------------------------+
| POINT(2 2)                          |
+-------------------------------------+
","linestring-property-functions"),(220,3,"YEAR DATA TYPE","YEAR[(2|4)]

A year in two-digit or four-digit format. The default is four-digit
format. In four-digit format, the allowable values are 1901 to 2155,
and 0000. In two-digit format, the allowable values are 70 to 69,
representing years from 1970 to 2069. MySQL displays YEAR values in
YYYY format, but allows you to assign values to YEAR columns using
either strings or numbers. The YEAR type is unavailable prior to MySQL
3.22.
","","date-and-time-type-overview"),(221,14,"SUM","Syntax:
SUM(expr)

Returns the sum of expr. If the return set has no rows, SUM() returns
NULL.

SUM() returns NULL if there were no matching rows.
","","group-by-functions"),(222,30,"OCT","Syntax:
OCT(N)

Returns a string representation of the octal value of N, where N is a
longlong (BIGINT)number. This is equivalent to CONV(N,10,8). Returns
NULL if N is NULL.
","mysql> SELECT OCT(12);
        -> '14'
","string-functions"),(223,25,"SYSDATE","Syntax:
SYSDATE()

Returns the current date and time as a value in 'YYYY-MM-DD HH:MM:SS'
or YYYYMMDDHHMMSS format, depending on whether the function is used in
a string or numeric context.
","","date-and-time-functions"),(224,26,"ASBINARY","AsBinary(g)

Converts a value in internal geometry format to its WKB representation
and returns the binary result.
","SELECT AsBinary(g) FROM geom;
","functions-to-convert-geometries-between-formats");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (225,25,"MAKEDATE","Syntax:
MAKEDATE(year,dayofyear)

Returns a date, given year and day-of-year values. dayofyear must be
greater than 0 or the result is NULL.
","mysql> SELECT MAKEDATE(2001,31), MAKEDATE(2001,32);
        -> '2001-01-31', '2001-02-01'
mysql> SELECT MAKEDATE(2001,365), MAKEDATE(2004,365);
        -> '2001-12-31', '2004-12-30'
mysql> SELECT MAKEDATE(2001,0);
        -> NULL
","date-and-time-functions"),(226,30,"BINARY OPERATOR","Syntax:
BINARY

The BINARY operator casts the string following it to a binary string.
This is an easy way to force a column comparison to be done byte by
byte rather than character by character. This causes the comparison to
be case sensitive even if the column isn't defined as BINARY or BLOB.
BINARY also causes trailing spaces to be significant.
","mysql> SELECT 'a' = 'A';
        -> 1
mysql> SELECT BINARY 'a' = 'A';
        -> 0
mysql> SELECT 'a' = 'a ';
        -> 1
mysql> SELECT BINARY 'a' = 'a ';
        -> 0
","cast-functions"),(227,6,"MBROVERLAPS","MBROverlaps(g1,g2)

Returns 1 or 0 to indicate whether or not the Minimum Bounding
Rectangles of the two geometries g1 and g2 overlap.
","","relations-on-geometry-mbr"),(228,30,"SOUNDEX","Syntax:
SOUNDEX(str)

Returns a soundex string from str. Two strings that sound almost the
same should have identical soundex strings. A standard soundex string
is four characters long, but the SOUNDEX() function returns an
arbitrarily long string. You can use SUBSTRING() on the result to get a
standard soundex string. All non-alphabetic characters in str are
ignored. All international alphabetic characters outside the A-Z range
are treated as vowels.
","mysql> SELECT SOUNDEX('Hello');
        -> 'H400'
mysql> SELECT SOUNDEX('Quadratically');
        -> 'Q36324'
","string-functions"),(229,22,"SHOW MASTER LOGS","Syntax:
SHOW MASTER LOGS
SHOW BINARY LOGS

Lists the binary log files on the server. This statement is used as
part of the procedure described in [purge-master-logs] for determining
which logs can be purged.

mysql> SHOW BINARY LOGS;
+---------------+-----------+
| Log_name      | File_size |
+---------------+-----------+
| binlog.000015 |    724935 |
| binlog.000016 |    733481 |
+---------------+-----------+
","","show-master-logs"),(230,6,"MBRTOUCHES","MBRTouches(g1,g2)

Returns 1 or 0 to indicate whether or not the Minimum Bounding
Rectangles of the two geometries g1 and g2 touch.
","","relations-on-geometry-mbr"),(231,22,"INSERT SELECT","Syntax:
INSERT [LOW_PRIORITY | HIGH_PRIORITY] [IGNORE]
    [INTO] tbl_name [(col_name,...)]
    SELECT ...
    [ ON DUPLICATE KEY UPDATE col_name=expr, ... ]

With INSERT ... SELECT, you can quickly insert many rows into a table
from one or many tables.
","INSERT INTO tbl_temp2 (fld_id)
    SELECT tbl_temp1.fld_order_id
    FROM tbl_temp1 WHERE tbl_temp1.fld_order_id > 100;
","insert-select"),(232,3,"VARBINARY","VARBINARY(M)

The VARBINARY type is similar to the VARCHAR type, but stores binary
byte strings rather than non-binary character strings.

This type was added in MySQL 4.1.2.
","","string-type-overview"),(233,22,"LOAD INDEX","Syntax:
LOAD INDEX INTO CACHE
  tbl_index_list [, tbl_index_list] ...

tbl_index_list:
  tbl_name
    [[INDEX|KEY] (index_name[, index_name] ...)]
    [IGNORE LEAVES]

The LOAD INDEX INTO CACHE statement preloads a table index into the key
cache to which it has been assigned by an explicit CACHE INDEX
statement, or into the default key cache otherwise. LOAD INDEX INTO
CACHE is used only for MyISAM tables.

The IGNORE LEAVES modifier causes only blocks for the non-leaf nodes of
the index to be preloaded.
","","load-index"),(234,22,"UNION","Syntax:
SELECT ...
UNION [ALL | DISTINCT]
SELECT ...
  [UNION [ALL | DISTINCT]
   SELECT ...]

UNION is used to combine the result from a number of SELECT statements
into one result set. UNION is available from MySQL 4.0.0 on.

Selected columns listed in corresponding positions of each SELECT
statement should have the same type. (For example, the first column
selected by the first statement should have the same type as the first
column selected by the other statements.) The column names used in the
first SELECT statement are used as the column names for the results
returned.
","","union"),(235,25,"TO_DAYS","Syntax:
TO_DAYS(date)

Given a date date, returns a daynumber (the number of days since year
0).
","mysql> SELECT TO_DAYS(950501);
        -> 728779
mysql> SELECT TO_DAYS('1997-10-07');
        -> 729669
","date-and-time-functions"),(236,30,"NOT REGEXP","Syntax:
expr NOT REGEXP pat expr NOT RLIKE pat

This is the same as NOT (expr REGEXP pat).
","","string-comparison-functions"),(237,17,"NOT IN","Syntax:
expr NOT IN (value,...)

This is the same as NOT (expr IN (value,...)).
","","comparison-operators"),(238,12,"!","Syntax:
NOT, !

Logical NOT. Evaluates to 1 if the operand is 0, to 0 if the operand is
non-zero, and NOT NULL returns NULL.
","mysql> SELECT NOT 10;
        -> 0
mysql> SELECT NOT 0;
        -> 1
mysql> SELECT NOT NULL;
        -> NULL
mysql> SELECT ! (1+1);
        -> 0
mysql> SELECT ! 1+1;
        -> 1
","logical-operators"),(239,3,"DOUBLE","DOUBLE[(M,D)] [UNSIGNED] [ZEROFILL]

A normal-size (double-precision) floating-point number. Allowable
values are -1.7976931348623157E+308 to -2.2250738585072014E-308, 0, and
2.2250738585072014E-308 to 1.7976931348623157E+308. These are the
theoretical limits, based on the IEEE standard. The actual range might
be slightly smaller depending on your hardware or operating system.

M is the total number of decimal digits and D is the number of digits
following the decimal point. If M and D are omitted, values are stored
to the limits allowed by the hardware. A double-precision
floating-point number is accurate to approximately 15 decimal places.

If UNSIGNED is specified, negative values are disallowed.
","","numeric-type-overview");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (240,3,"TIME","TIME

A time. The range is '-838:59:59' to '838:59:59'. MySQL displays TIME
values in 'HH:MM:SS' format, but allows you to assign values to TIME
columns using either strings or numbers.
","","date-and-time-type-overview"),(241,12,"&&","Syntax:
AND, &&

Logical AND. Evaluates to 1 if all operands are non-zero and not NULL,
to 0 if one or more operands are 0, otherwise NULL is returned.
","mysql> SELECT 1 && 1;
        -> 1
mysql> SELECT 1 && 0;
        -> 0
mysql> SELECT 1 && NULL;
        -> NULL
mysql> SELECT 0 && NULL;
        -> 0
mysql> SELECT NULL && 0;
        -> 0
","logical-operators"),(242,9,"X","X(p)

Returns the X-coordinate value for the point p as a double-precision
number.
","mysql> SELECT X(GeomFromText('Point(56.7 53.34)'));
+--------------------------------------+
| X(GeomFromText('Point(56.7 53.34)')) |
+--------------------------------------+
|                                 56.7 |
+--------------------------------------+
","point-property-functions"),(243,15,"FOUND_ROWS","Syntax:
FOUND_ROWS()

A SELECT statement may include a LIMIT clause to restrict the number of
rows the server returns to the client. In some cases, it is desirable
to know how many rows the statement would have returned without the
LIMIT, but without running the statement again. To get this row count,
include a SQL_CALC_FOUND_ROWS option in the SELECT statement, then
invoke FOUND_ROWS() afterward:
","mysql> SELECT SQL_CALC_FOUND_ROWS * FROM tbl_name
    -> WHERE id > 100 LIMIT 10;
mysql> SELECT FOUND_ROWS();
","information-functions"),(244,15,"SYSTEM_USER","Syntax:
SYSTEM_USER()

SYSTEM_USER() is a synonym for USER().
","","information-functions"),(245,24,"CROSSES","Crosses(g1,g2)

Returns 1 if g1 spatially crosses g2. Returns NULL if g1 is a Polygon
or a MultiPolygon, or if g2 is a Point or a MultiPoint. Otherwise,
returns 0.

The term spatially crosses denotes a spatial relation between two given
geometries that has the following properties:

o The two geometries intersect

o Their intersection results in a geometry that has a dimension that is
  one less than the maximum dimension of the two given geometries

o Their intersection is not equal to either of the two given geometries
","","functions-that-test-spatial-relationships-between-geometries"),(246,22,"TRUNCATE TABLE","Syntax:
TRUNCATE [TABLE] tbl_name

TRUNCATE TABLE empties a table completely. Logically, this is
equivalent to a DELETE statement that deletes all rows, but there are
practical differences under some circumstances.

For InnoDB, TRUNCATE TABLE is mapped to DELETE, so there is no
difference.

For other storage engines, TRUNCATE TABLE differs from DELETE FROM in
the following ways from MySQL 4.0 onwards:

o Truncate operations drop and re-create the table, which is much
  faster than deleting rows one by one.

o Truncate operations are not transaction-safe; an error occurs when
  attempting one in the course of an active transaction or active table
  lock.

o The number of deleted rows is not returned.

o As long as the table definition file tbl_name.frm is valid, the table
  can be re-created as an empty table with TRUNCATE TABLE, even if the
  data or index files have become corrupted.

o The table handler does not remember the last used AUTO_INCREMENT
  value, but starts counting from the beginning. This is true even for
  MyISAM and InnoDB, which normally do not reuse sequence values.

In MySQL 3.23, TRUNCATE TABLE is mapped to COMMIT; DELETE FROM
tbl_name, so it behaves like DELETE. See [delete].

TRUNCATE TABLE is an Oracle SQL extension. This statement was added in
MySQL 3.23.28, although from 3.23.28 to 3.23.32, the keyword TABLE must
be omitted.
","","truncate"),(247,25,"CURRENT_DATE","Syntax:
CURRENT_DATE CURRENT_DATE()

CURRENT_DATE and CURRENT_DATE() are synonyms for CURDATE().
","","date-and-time-functions"),(248,14,"BIT_XOR","Syntax:
BIT_XOR(expr)

Returns the bitwise XOR of all bits in expr. The calculation is
performed with 64-bit (BIGINT) precision.
","","group-by-functions"),(249,2,"AREA","Area(poly)

Returns as a double-precision number the area of the Polygon value
poly, as measured in its spatial reference system.
","mysql> SET @poly = 'Polygon((0 0,0 3,3 0,0 0),(1 1,1 2,2 1,1 1))';
mysql> SELECT Area(GeomFromText(@poly));
+---------------------------+
| Area(GeomFromText(@poly)) |
+---------------------------+
|                         4 |
+---------------------------+
","polygon-property-functions"),(250,22,"START SLAVE","Syntax:
START SLAVE [thread_type [, thread_type] ... ]
START SLAVE [SQL_THREAD] UNTIL
    MASTER_LOG_FILE = 'log_name', MASTER_LOG_POS = log_pos
START SLAVE [SQL_THREAD] UNTIL
    RELAY_LOG_FILE = 'log_name', RELAY_LOG_POS = log_pos

thread_type: IO_THREAD | SQL_THREAD

START SLAVE with no options starts both of the slave threads. The I/O
thread reads queries from the master server and stores them in the
relay log. The SQL thread reads the relay log and executes the queries.
START SLAVE requires the SUPER privilege.

If START SLAVE succeeds in starting the slave threads, it returns
without any error. However, even in that case, it might be that the
slave threads start and then later stop (for example, because they do
not manage to connect to the master or read its binary logs, or some
other problem). START SLAVE does not warn you about this. You must
check the slave's error log for error messages generated by the slave
threads, or check that they are running satisfactorilly with SHOW SLAVE
STATUS.
","","start-slave"),(251,22,"FLUSH","Syntax:
FLUSH [LOCAL | NO_WRITE_TO_BINLOG] flush_option [, flush_option] ...

You should use the FLUSH statement if you want to clear some of the
internal caches MySQL uses. To execute FLUSH, you must have the RELOAD
privilege.
","","flush"),(252,21,"DESCRIBE","Syntax:
{DESCRIBE | DESC} tbl_name [col_name | wild]

DESCRIBE provides information about the columns in a table. It is a
shortcut for SHOW COLUMNS FROM.
","","describe"),(253,21,"DROP USER","Syntax:
DROP USER user [, user] ...

The DROP USER statement deletes one or more MySQL accounts. To use it,
you must have the global CREATE USER privilege or the DELETE privilege
for the mysql database. Each account is named using the same format as
for GRANT or REVOKE; for example, 'jeffrey'@'localhost'. The user and
host parts of the account name correspond to the User and Host column
values of the user table record for the account.
","","drop-user"),(254,30,"SUBSTRING","Syntax:
SUBSTRING(str,pos) , SUBSTRING(str FROM pos) SUBSTRING(str,pos,len) ,
SUBSTRING(str FROM pos FOR len)

The forms without a len argument return a substring from string str
starting at position pos. The forms with a len argument return a
substring len characters long from string str, starting at position
pos. The forms that use FROM are standard SQL syntax. Beginning with
MySQL 4.1.0, it is possible to use a negative value for pos. In this
case, the beginning of the substring is pos characters from the end of
the string, rather than the beginning. A negative value may be used for
pos in any of the forms of this function.
","mysql> SELECT SUBSTRING('Quadratically',5);
        -> 'ratically'
mysql> SELECT SUBSTRING('foobarbar' FROM 4);
        -> 'barbar'
mysql> SELECT SUBSTRING('Quadratically',5,6);
        -> 'ratica'        
mysql> SELECT SUBSTRING('Sakila', -3);
        -> 'ila'        
mysql> SELECT SUBSTRING('Sakila', -5, 3);
        -> 'aki'
mysql> SELECT SUBSTRING('Sakila' FROM -4 FOR 2);
        -> 'ki'
","string-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (255,29,"ISEMPTY","IsEmpty(g)

Returns 1 if the geometry value g is the empty geometry, 0 if it is not
empty, and −1 if the argument is NULL. If the geometry is empty, it
represents the empty point set.
","","general-geometry-property-functions"),(256,30,"LTRIM","Syntax:
LTRIM(str)

Returns the string str with leading space characters removed.
","mysql> SELECT LTRIM('  barbar');
        -> 'barbar'
","string-functions"),(257,24,"INTERSECTS","Intersects(g1,g2)

Returns 1 or 0 to indicate whether or not g1 spatially intersects g2.
","","functions-that-test-spatial-relationships-between-geometries"),(258,6,"MBRDISJOINT","MBRDisjoint(g1,g2)

Returns 1 or 0 to indicate whether or not the Minimum Bounding
Rectangles of the two geometries g1 and g2 are disjoint (do not
intersect).
","","relations-on-geometry-mbr"),(259,13,"VALUES","Syntax:
VALUES(col_name)

In an INSERT ... ON DUPLICATE KEY UPDATE ... statement, you can use the
VALUES(col_name) function in the UPDATE clause to refer to column
values from the INSERT portion of the statement. In other words,
VALUES(col_name) in the UPDATE clause refers to the value of col_name
that would be inserted, had no duplicate-key conflict occurred. This
function is especially useful in multiple-row inserts. The VALUES()
function is meaningful only in INSERT ... UPDATE statements and returns
NULL otherwise. [insert].
","mysql> INSERT INTO table (a,b,c) VALUES (1,2,3),(4,5,6)
    -> ON DUPLICATE KEY UPDATE c=VALUES(a)+VALUES(b);
","miscellaneous-functions"),(260,30,"SUBSTRING_INDEX","Syntax:
SUBSTRING_INDEX(str,delim,count)

Returns the substring from string str before count occurrences of the
delimiter delim. If count is positive, everything to the left of the
final delimiter (counting from the left) is returned. If count is
negative, everything to the right of the final delimiter (counting from
the right) is returned. SUBSTRING_INDEX() performs a case-sensitive
match when searching for delim.
","mysql> SELECT SUBSTRING_INDEX('www.mysql.com', '.', 2);
        -> 'www.mysql'
mysql> SELECT SUBSTRING_INDEX('www.mysql.com', '.', -2);
        -> 'mysql.com'
","string-functions"),(261,10,"ENCODE","Syntax:
ENCODE(str,pass_str)

Encrypt str using pass_str as the password. To decrypt the result, use
DECODE().

The result is a binary string of the same length as str. If you want to
save it in a column, use a BLOB column type.
","","encryption-functions"),(262,5,"TRUNCATE","Syntax:
TRUNCATE(X,D)

Returns the number X, truncated to D decimals. If D is 0, the result
has no decimal point or fractional part. D can be negative in order to
truncate (make zero) D digits left of the decimal point of the value X.
","mysql> SELECT TRUNCATE(1.223,1);
        -> 1.2
mysql> SELECT TRUNCATE(1.999,1);
        -> 1.9
mysql> SELECT TRUNCATE(1.999,0);
        -> 1
mysql> SELECT TRUNCATE(-1.999,1);
        -> -1.9
mysql> SELECT TRUNCATE(122,-2);
       -> 100
mysql> SELECT TRUNCATE(10.28*100,0);
       -> 1027
","mathematical-functions"),(263,22,"SHOW","SHOW has many forms that provide information about databases, tables,
columns, or status information about the server. This section describes
those following:

SHOW [FULL] COLUMNS FROM tbl_name [FROM db_name] [LIKE 'pattern']
SHOW CREATE DATABASE db_name
SHOW CREATE TABLE tbl_name
SHOW DATABASES [LIKE 'pattern']
SHOW ENGINE engine_name {LOGS | STATUS }
SHOW [STORAGE] ENGINES
SHOW ERRORS [LIMIT [offset,] row_count]
SHOW GRANTS FOR user
SHOW INDEX FROM tbl_name [FROM db_name]
SHOW INNODB STATUS
SHOW [BDB] LOGS
SHOW PRIVILEGES
SHOW [FULL] PROCESSLIST
SHOW [GLOBAL | SESSION] STATUS [LIKE 'pattern']
SHOW TABLE STATUS [FROM db_name] [LIKE 'pattern']
SHOW [OPEN] TABLES [FROM db_name] [LIKE 'pattern']
SHOW [GLOBAL | SESSION] VARIABLES [LIKE 'pattern']
SHOW WARNINGS [LIMIT [offset,] row_count]

The SHOW statement also has forms that provide information about
replication master and slave servers and are described in
[replication-sql]:

SHOW BINLOG EVENTS
SHOW MASTER LOGS
SHOW MASTER STATUS
SHOW SLAVE HOSTS
SHOW SLAVE STATUS

If the syntax for a given SHOW statement includes a LIKE 'pattern'
part, 'pattern' is a string that can contain the SQL `%' and `_'
wildcard characters. The pattern is useful for restricting statement
output to matching values.
","","show"),(264,17,"GREATEST","Syntax:
GREATEST(value1,value2,...)

With two or more arguments, returns the largest (maximum-valued)
argument. The arguments are compared using the same rules as for
LEAST().
","mysql> SELECT GREATEST(2,0);
        -> 2
mysql> SELECT GREATEST(34.0,3.0,5.0,767.0);
        -> 767.0
mysql> SELECT GREATEST('B','A','C');
        -> 'C'
","comparison-operators"),(265,30,"OCTETLENGTH","Syntax:
OCTET_LENGTH(str)

OCTET_LENGTH() is a synonym for LENGTH().
","","string-functions"),(266,25,"SECOND","Syntax:
SECOND(time)

Returns the second for time, in the range 0 to 59.
","mysql> SELECT SECOND('10:05:03');
        -> 3
","date-and-time-functions"),(267,14,"BIT_AND","Syntax:
BIT_AND(expr)

Returns the bitwise AND of all bits in expr. The calculation is
performed with 64-bit (BIGINT) precision.
","","group-by-functions"),(268,5,"ATAN2","Syntax:
ATAN(Y,X) , ATAN2(Y,X)

Returns the arc tangent of the two variables X and Y. It is similar to
calculating the arc tangent of Y / X, except that the signs of both
arguments are used to determine the quadrant of the result.
","mysql> SELECT ATAN(-2,2);
        -> -0.785398
mysql> SELECT ATAN2(PI(),0);
        -> 1.570796
","mathematical-functions"),(269,6,"MBRCONTAINS","MBRContains(g1,g2)

Returns 1 or 0 to indicate whether or not the Minimum Bounding
Rectangle of g1 contains the Minimum Bounding Rectangle of g2.
","mysql> SET @g1 = GeomFromText('Polygon((0 0,0 3,3 3,3 0,0 0))');
mysql> SET @g2 = GeomFromText('Point(1 1)');
mysql> SELECT MBRContains(@g1,@g2), MBRContains(@g2,@g1);
----------------------+----------------------+
| MBRContains(@g1,@g2) | MBRContains(@g2,@g1) |
+----------------------+----------------------+
|                    1 |                    0 |
+----------------------+----------------------+
","relations-on-geometry-mbr");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (270,25,"HOUR","Syntax:
HOUR(time)

Returns the hour for time. The range of the return value is 0 to 23 for
time-of-day values.
","mysql> SELECT HOUR('10:05:03');
        -> 10
","date-and-time-functions"),(271,22,"SELECT","Syntax:
SELECT
    [ALL | DISTINCT | DISTINCTROW ]
      [HIGH_PRIORITY]
      [STRAIGHT_JOIN]
      [SQL_SMALL_RESULT] [SQL_BIG_RESULT] [SQL_BUFFER_RESULT]
      [SQL_CACHE | SQL_NO_CACHE] [SQL_CALC_FOUND_ROWS]
    select_expr, ...
    [INTO OUTFILE 'file_name' export_options
      | INTO DUMPFILE 'file_name']
    [FROM table_references
    [WHERE where_definition]
    [GROUP BY {col_name | expr | position}
      [ASC | DESC], ... [WITH ROLLUP]]
    [HAVING where_definition]
    [ORDER BY {col_name | expr | position}
      [ASC | DESC] , ...]
    [LIMIT {[offset,] row_count | row_count OFFSET offset}]
    [PROCEDURE procedure_name(argument_list)]
    [FOR UPDATE | LOCK IN SHARE MODE]]

SELECT is used to retrieve rows selected from one or more tables.
Support for UNION statements and subqueries is available as of MySQL
4.0 and 4.1, respectively. See [union] and [subqueries].

o Each select_expr indicates a column you want to retrieve.

o table_references indicates the table or tables from which to retrieve
  rows. Its syntax is described in [join].

o where_definition consists of the keyword WHERE followed by an
  expression that indicates the condition or conditions that rows must
  satisfy to be selected.

SELECT can also be used to retrieve rows computed without reference to
any table.
","","select"),(272,5,"COT","Syntax:
COT(X)

Returns the cotangent of X.
","mysql> SELECT COT(12);
        -> -1.57267341
mysql> SELECT COT(0);
        -> NULL
","mathematical-functions"),(273,21,"BACKUP TABLE","Syntax:
BACKUP TABLE tbl_name [, tbl_name] ... TO '/path/to/backup/directory'

Note: This statement is deprecated. We are working on a better
replacement for it that will provide online backup capabilities. In the
meantime, the mysqlhotcopy script can be used instead.

BACKUP TABLE copies to the backup directory the minimum number of table
files needed to restore the table, after flushing any buffered changes
to disk. The statement works only for MyISAM tables. It copies the .frm
definition and .MYD data files. The .MYI index file can be rebuilt from
those two files. The directory should be specified as a full pathname.
","","backup-table"),(274,30,"LOAD_FILE","Syntax:
LOAD_FILE(file_name)

Reads the file and returns the file contents as a string. The file must
be located on the server, you must specify the full pathname to the
file, and you must have the FILE privilege. The file must be readable
by all and its size less than max_allowed_packet bytes.

If the file does not exist or cannot be read because one of the
preceding conditions is not satisfied, the function returns NULL.
","mysql> UPDATE tbl_name
           SET blob_column=LOAD_FILE('/tmp/picture')
           WHERE id=1;
","string-functions"),(275,4,"POINTFROMTEXT","PointFromText(wkt[,srid])

Constructs a POINT value using its WKT representation and SRID.
","","gis-wkt-functions"),(276,22,"LOAD TABLE FROM MASTER","Syntax:
LOAD TABLE tbl_name FROM MASTER

Transfers a copy of the table from the master to the slave. This
statement is implemented mainly for debugging of LOAD DATA FROM MASTER.
It requires that the account used for connecting to the master server
has the RELOAD and SUPER privileges on the master and the SELECT
privilege on the master table to load. On the slave side, the user that
issues LOAD TABLE FROM MASTER should have privileges to drop and create
the table.

The conditions for LOAD DATA FROM MASTER apply here as well. For
example, LOAD TABLE FROM MASTER works only for MyISAM tables. The
timeout notes for LOAD DATA FROM MASTER apply as well.
","","load-table-from-master"),(277,14,"GROUP_CONCAT","Syntax:
GROUP_CONCAT(expr)

This function returns a string result with the concatenated non-NULL
values from a group. It returns NULL if there are no non-NULL values.
The full syntax is as follows:

GROUP_CONCAT([DISTINCT] expr [,expr ...]
             [ORDER BY {unsigned_integer | col_name | expr}
                 [ASC | DESC] [,col_name ...]]
             [SEPARATOR str_val])
","mysql> SELECT student_name,
    ->     GROUP_CONCAT(test_score)
    ->     FROM student
    ->     GROUP BY student_name;
","group-by-functions"),(278,25,"DATE_FORMAT","Syntax:
DATE_FORMAT(date,format)

Formats the date value according to the format string.
","mysql> SELECT DATE_FORMAT('1997-10-04 22:23:00', '%W %M %Y');
        -> 'Saturday October 1997'
mysql> SELECT DATE_FORMAT('1997-10-04 22:23:00', '%H:%i:%s');
        -> '22:23:00'
mysql> SELECT DATE_FORMAT('1997-10-04 22:23:00',
                          '%D %y %a %d %m %b %j');
        -> '4th 97 Sat 04 10 Oct 277'
mysql> SELECT DATE_FORMAT('1997-10-04 22:23:00',
                          '%H %k %I %r %T %S %w');
        -> '22 22 10 10:23:00 PM 22:23:00 00 6'
mysql> SELECT DATE_FORMAT('1999-01-01', '%X %V');
        -> '1998 52'
","date-and-time-functions"),(279,15,"BENCHMARK","Syntax:
BENCHMARK(count,expr)

The BENCHMARK() function executes the expression expr repeatedly count
times. It may be used to time how quickly MySQL processes the
expression. The result value is always 0. The intended use is from
within the mysql client, which reports query execution times:
","mysql> SELECT BENCHMARK(1000000,ENCODE('hello','goodbye'));
+----------------------------------------------+
| BENCHMARK(1000000,ENCODE('hello','goodbye')) |
+----------------------------------------------+
|                                            0 |
+----------------------------------------------+
1 row in set (4.74 sec)
","information-functions"),(280,25,"YEAR","Syntax:
YEAR(date)

Returns the year for date, in the range 1000 to 9999.
","mysql> SELECT YEAR('98-02-03');
        -> 1998
","date-and-time-functions"),(281,22,"SHOW ENGINE","Syntax:
SHOW ENGINE engine_name {LOGS | STATUS }

SHOW ENGINE displays log or status information about storage engines.
The following statements currently are supported:

SHOW ENGINE BDB LOGS
SHOW ENGINE INNODB STATUS
","","show-engine"),(282,13,"RELEASE_LOCK","Syntax:
RELEASE_LOCK(str)

Releases the lock named by the string str that was obtained with
GET_LOCK(). Returns 1 if the lock was released, 0 if the lock was not
established by this thread (in which case the lock is not released),
and NULL if the named lock did not exist. The lock does not exist if it
was never obtained by a call to GET_LOCK() or if it has previously been
released.

The DO statement is convenient to use with RELEASE_LOCK(). See [do].
","","miscellaneous-functions"),(283,17,"IS NULL","Syntax:
IS NULL, IS NOT NULL

Tests whether a value is or is not NULL.
","mysql> SELECT 1 IS NULL, 0 IS NULL, NULL IS NULL;
        -> 0, 0, 1
mysql> SELECT 1 IS NOT NULL, 0 IS NOT NULL, NULL IS NOT NULL;
        -> 1, 1, 0
","comparison-operators"),(284,25,"CONVERT_TZ","Syntax:
CONVERT_TZ(dt,from_tz,to_tz)

CONVERT_TZ() converts a datetime value dt from time zone given by
from_tz to the time zone given by to_tz and returns the resulting
value. Time zones may be specified as described in [time-zone-support].
This function returns NULL if the arguments are invalid.
","mysql> SELECT CONVERT_TZ('2004-01-01 12:00:00','GMT','MET');
        -> '2004-01-01 13:00:00'
mysql> SELECT CONVERT_TZ('2004-01-01 12:00:00','+00:00','+10:00');
        -> '2004-01-01 22:00:00'
","date-and-time-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (285,25,"TIME_TO_SEC","Syntax:
TIME_TO_SEC(time)

Returns the time argument, converted to seconds.
","mysql> SELECT TIME_TO_SEC('22:23:00');
        -> 80580
mysql> SELECT TIME_TO_SEC('00:39:38');
        -> 2378
","date-and-time-functions"),(286,25,"WEEKDAY","Syntax:
WEEKDAY(date)

Returns the weekday index for date (0 = Monday, 1 = Tuesday, ... 6 =
Sunday).
","mysql> SELECT WEEKDAY('1998-02-03 22:23:00');
        -> 1
mysql> SELECT WEEKDAY('1997-11-05');
        -> 2
","date-and-time-functions"),(287,30,"EXPORT_SET","Syntax:
EXPORT_SET(bits,on,off[,separator[,number_of_bits]])

Returns a string in which for every bit set in the value bits, you get
an on string and for every reset bit you get an off string. Bits in
bits are examined from right to left (from low-order to high-order
bits). Strings are added to the result from left to right, separated by
the separator string (the default being the comma character `,'). The
number of bits examined is given by number_of_bits (defaults to 64).
","mysql> SELECT EXPORT_SET(5,'Y','N',',',4);
        -> 'Y,N,Y,N'
mysql> SELECT EXPORT_SET(6,'1','0',',',10);
        -> '0,1,1,0,0,0,0,0,0,0'
","string-functions"),(288,25,"TIME FUNCTION","Syntax:
TIME(expr)

Extracts the time part of the time or datetime expression expr and
returns it as a string.
","mysql> SELECT TIME('2003-12-31 01:02:03');
        -> '01:02:03'
mysql> SELECT TIME('2003-12-31 01:02:03.000123');
        -> '01:02:03.000123'
","date-and-time-functions"),(289,30,"CAST","Syntax:
CAST(expr AS type), CONVERT(expr,type) , CONVERT(expr USING
transcoding_name)

The CAST() and CONVERT() functions can be used to take a value of one
type and produce a value of another type.

The type can be one of the following values:

o BINARY (and BINARY[N] as of MySQL 4.1.1)

o CHAR (and CHAR[N] as of MySQL 4.1.1)

o DATE

o DATETIME

o SIGNED [INTEGER]

o TIME

o UNSIGNED [INTEGER]

BINARY produces a binary string. See the entry for the BINARY operator
in this section for a description of how this affects comparisons.

If the optional length N is given, BINARY[N] causes the cast to use no
more than N bytes of the argument. Similarly, CHAR[N] causes the cast
to use no more than N characters of the argument.

CAST() and CONVERT() are available as of MySQL 4.0.2. The CHAR
conversion type is available as of 4.0.6. The USING form of CONVERT()
is available as of 4.1.0.

CAST() and CONVERT(... USING ...) are standard SQL syntax. The
non-USING form of CONVERT() is ODBC syntax.

CONVERT() with USING is used to convert data between different
character sets. In MySQL, transcoding names are the same as the
corresponding character set names. For example, this statement converts
the string 'abc' in the server's default character set to the
corresponding string in the utf8 character set:

SELECT CONVERT('abc' USING utf8);
","SELECT enum_col FROM tbl_name ORDER BY CAST(enum_col AS CHAR);
","cast-functions"),(290,30,"SOUNDS LIKE","Syntax:
expr1 SOUNDS LIKE expr2

This is the same as SOUNDEX(expr1) = SOUNDEX(expr2). It is available
beginning with MySQL 4.1.0.
","","string-functions"),(291,25,"PERIOD_DIFF","Syntax:
PERIOD_DIFF(P1,P2)

Returns the number of months between periods P1 and P2. P1 and P2
should be in the format YYMM or YYYYMM. Note that the period arguments
P1 and P2 are not date values.
","mysql> SELECT PERIOD_DIFF(9802,199703);
        -> 11
","date-and-time-functions"),(292,30,"LIKE","Syntax:
expr LIKE pat [ESCAPE 'escape-char']

Pattern matching using SQL simple regular expression comparison.
Returns 1 (TRUE) or 0 (FALSE). If either expr or pat is NULL, the
result is NULL.

The pattern need not be a literal string. For example, it can be
specified as a string expression or table column.
","mysql> SELECT 'David!' LIKE 'David_';
        -> 1
mysql> SELECT 'David!' LIKE '%D%v%';
        -> 1
","string-comparison-functions"),(293,19,"MULTIPOINT","MultiPoint(pt1,pt2,...)

Constructs a WKB MultiPoint value using WKB Point arguments. If any
argument is not a WKB Point, the return value is NULL.
","","gis-mysql-specific-functions"),(294,18,">>","Syntax:
>>

Shifts a longlong (BIGINT) number to the right.
","mysql> SELECT 4 >> 2;
        -> 1
","bit-functions"),(295,23,"TRUE FALSE","Beginning with MySQL 4.1, the constant TRUE evaluates to 1 and the
constant FALSE evaluates to 0. The constant names can be written in any
lettercase.

mysql> SELECT TRUE, true, FALSE, false;
        -> 1, 1, 0, 0
","","boolean-values"),(296,14,"AVG","Syntax:
Returns the average value of expr.

AVG() returns NULL if there were no matching rows.
","mysql> SELECT student_name, AVG(test_score)
    ->        FROM student
    ->        GROUP BY student_name;
","group-by-functions"),(297,6,"MBRWITHIN","MBRWithin(g1,g2)

Returns 1 or 0 to indicate whether or not the Minimum Bounding
Rectangle of g1 is within the Minimum Bounding Rectangle of g2.
","mysql> SET @g1 = GeomFromText('Polygon((0 0,0 3,3 3,3 0,0 0))');
mysql> SET @g2 = GeomFromText('Polygon((0 0,0 5,5 5,5 0,0 0))');
mysql> SELECT MBRWithin(@g1,@g2), MBRWithin(@g2,@g1);
+--------------------+--------------------+
| MBRWithin(@g1,@g2) | MBRWithin(@g2,@g1) |
+--------------------+--------------------+
|                  1 |                  0 |
+--------------------+--------------------+
","relations-on-geometry-mbr"),(298,17,"IN","Syntax:
expr IN (value,...)

Returns 1 if expr is equal to any of the values in the IN list, else
returns 0. If all values are constants, they are evaluated according to
the type of expr and sorted. The search for the item then is done using
a binary search. This means IN is very quick if the IN value list
consists entirely of constants. Otherwise, type conversion takes place
according to the rules described at the beginning of this section, but
applied to all the arguments.
","mysql> SELECT 2 IN (0,3,5,'wefwf');
        -> 0
mysql> SELECT 'wefwf' IN (0,3,5,'wefwf');
        -> 1
","comparison-operators"),(299,30,"QUOTE","Syntax:
QUOTE(str)

Quotes a string to produce a result that can be used as a properly
escaped data value in an SQL statement. The string is returned
surrounded by single quotes and with each instance of single quote
(`''), backslash (`\\'), ASCII NUL, and Control-Z preceded by a
backslash. If the argument is NULL, the return value is the word \"NULL\"
without surrounding single quotes. The QUOTE() function was added in
MySQL 4.0.3.
","mysql> SELECT QUOTE('Don\\'t!');
        -> 'Don\\'t!'
mysql> SELECT QUOTE(NULL);
        -> NULL
","string-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (300,15,"SESSION_USER","Syntax:
SESSION_USER()

SESSION_USER() is a synonym for USER().
","","information-functions"),(301,25,"QUARTER","Syntax:
QUARTER(date)

Returns the quarter of the year for date, in the range 1 to 4.
","mysql> SELECT QUARTER('98-04-01');
        -> 2
","date-and-time-functions"),(302,30,"POSITION","Syntax:
POSITION(substr IN str)

POSITION(substr IN str) is a synonym for LOCATE(substr,str).
","","string-functions"),(303,13,"IS_USED_LOCK","Syntax:
IS_USED_LOCK(str)

Checks whether the lock named str is in use (that is, locked). If so,
it returns the connection identifier of the client that holds the lock.
Otherwise, it returns NULL.
","","miscellaneous-functions"),(304,4,"POLYFROMTEXT","PolyFromText(wkt[,srid]) , PolygonFromText(wkt[,srid])

Constructs a POLYGON value using its WKT representation and SRID.
","","gis-wkt-functions"),(305,10,"DES_ENCRYPT","Syntax:
DES_ENCRYPT(str[,(key_num|key_str)])

Encrypts the string with the given key using the Triple-DES algorithm.
On error, this function returns NULL.
","key_num des_key_str
","encryption-functions"),(306,30,"LENGTH","Syntax:
LENGTH(str)

Returns the length of the string str, measured in bytes. A multi-byte
character counts as multiple bytes. This means that for a string
containing five two-byte characters, LENGTH() returns 10, whereas
CHAR_LENGTH() returns 5.
","mysql> SELECT LENGTH('text');
        -> 4
","string-functions"),(307,25,"STR_TO_DATE","Syntax:
STR_TO_DATE(str,format)

This is the reverse of the DATE_FORMAT() function. It takes a string
str and a format string format. STR_TO_DATE() returns a DATETIME value
if the format string contains both date and time parts, or a DATE or
TIME value if the string contains only date or time parts.

The date, time, or datetime values contained in str should be given in
the format indicated by format. For the specifiers that can be used in
format, see the table in the DATE_FORMAT() function description. All
other characters are just taken verbatim, thus not being interpreted.
If str contains an illegal date, time, or datetime value, STR_TO_DATE()
returns NULL.
","","date-and-time-functions"),(308,9,"Y","Y(p)

Returns the Y-coordinate value for the point p as a double-precision
number.
","mysql> SELECT Y(GeomFromText('Point(56.7 53.34)'));
+--------------------------------------+
| Y(GeomFromText('Point(56.7 53.34)')) |
+--------------------------------------+
|                                53.34 |
+--------------------------------------+
","point-property-functions"),(309,21,"CHECKSUM TABLE","Syntax:
CHECKSUM TABLE tbl_name [, tbl_name] ... [ QUICK | EXTENDED ]

Reports a table checksum.

If QUICK is specified, the live table checksum is reported if it is
available, or NULL otherwise. This is very fast. A live checksum is
enabled by specifying the CHECKSUM=1 table option, currently supported
only for MyISAM tables. See [create-table].

In EXTENDED mode the whole table is read row by row and the checksum is
calculated. This can be very slow for large tables.

By default, if neither QUICK nor EXTENDED is specified, MySQL returns a
live checksum if the table storage engine supports it and scans the
table otherwise.

CHECKSUM TABLE returns NULL for non-existent tables.
","","checksum-table"),(310,2,"NUMINTERIORRINGS","NumInteriorRings(poly)

Returns the number of interior rings in the Polygon value poly.
","mysql> SET @poly =
    -> 'Polygon((0 0,0 3,3 3,3 0,0 0),(1 1,1 2,2 2,2 1,1 1))';
mysql> SELECT NumInteriorRings(GeomFromText(@poly));
+---------------------------------------+
| NumInteriorRings(GeomFromText(@poly)) |
+---------------------------------------+
|                                     1 |
+---------------------------------------+
","polygon-property-functions"),(311,2,"INTERIORRINGN","InteriorRingN(poly,n)

Returns the n-th interior ring for the Polygon value poly as a
LineString. Ring numbers begin at 1.
","mysql> SET @poly =
    -> 'Polygon((0 0,0 3,3 3,3 0,0 0),(1 1,1 2,2 2,2 1,1 1))';
mysql> SELECT AsText(InteriorRingN(GeomFromText(@poly),1));
+----------------------------------------------+
| AsText(InteriorRingN(GeomFromText(@poly),1)) |
+----------------------------------------------+
| LINESTRING(1 1,1 2,2 2,2 1,1 1)              |
+----------------------------------------------+
","polygon-property-functions"),(312,25,"UTC_TIME","Syntax:
UTC_TIME, UTC_TIME()

Returns the current UTC time as a value in 'HH:MM:SS' or HHMMSS format,
depending on whether the function is used in a string or numeric
context.
","mysql> SELECT UTC_TIME(), UTC_TIME() + 0;
        -> '18:07:53', 180753
","date-and-time-functions"),(313,14,"STDDEV","Syntax:
STD(expr) STDDEV(expr)

Returns the population standard deviation of expr. This is an extension
to standard SQL. The STDDEV() form of this function is provided for
compatibility with Oracle.

These functions return NULL if there were no matching rows.
","","group-by-functions"),(314,25,"PERIOD_ADD","Syntax:
PERIOD_ADD(P,N)

Adds N months to period P (in the format YYMM or YYYYMM). Returns a
value in the format YYYYMM. Note that the period argument P is not a
date value.
","mysql> SELECT PERIOD_ADD(9801,2);
        -> 199803
","date-and-time-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (315,18,"|","Syntax:
|

Bitwise OR:
","mysql> SELECT 29 | 15;
        -> 31
","bit-functions"),(316,4,"GEOMFROMTEXT","GeomFromText(wkt[,srid]) , GeometryFromText(wkt[,srid])

Constructs a geometry value of any type using its WKT representation
and SRID.
","","gis-wkt-functions"),(317,30,"RIGHT","Syntax:
RIGHT(str,len)

Returns the rightmost len characters from the string str.
","mysql> SELECT RIGHT('foobarbar', 4);
        -> 'rbar'
","string-functions"),(318,25,"DATEDIFF","Syntax:
DATEDIFF(expr,expr2)

DATEDIFF() returns the number of days between the start date expr and
the end date expr2. expr and expr2 are date or date-and-time
expressions. Only the date parts of the values are used in the
calculation.
","mysql> SELECT DATEDIFF('1997-12-31 23:59:59','1997-12-30');
        -> 1
mysql> SELECT DATEDIFF('1997-11-30 23:59:59','1997-12-31');
        -> -31
","date-and-time-functions"),(319,21,"CHECK TABLE","Syntax:
CHECK TABLE tbl_name [, tbl_name] ... [option] ...

option = {QUICK | FAST | MEDIUM | EXTENDED | CHANGED}

Checks a table or tables for errors. CHECK TABLE works for MyISAM and
InnoDB tables. For MyISAM tables, the key statistics are updated.
","","check-table"),(320,30,"BIN","Syntax:
BIN(N)

Returns a string representation of the binary value of N, where N is a
longlong (BIGINT) number. This is equivalent to CONV(N,10,2). Returns
NULL if N is NULL.
","mysql> SELECT BIN(12);
        -> '1100'
","string-functions"),(321,19,"MULTILINESTRING","MultiLineString(ls1,ls2,...)

Constructs a WKB MultiLineString value using WKB LineString arguments.
If any argument is not a WKB LineString, the return value is NULL.
","","gis-mysql-specific-functions"),(322,22,"LOAD DATA","Syntax:
LOAD DATA [LOW_PRIORITY | CONCURRENT] [LOCAL] INFILE 'file_name.txt'
    [REPLACE | IGNORE]
    INTO TABLE tbl_name
    [FIELDS
        [TERMINATED BY 'string']
        [[OPTIONALLY] ENCLOSED BY 'char']
        [ESCAPED BY 'char' ]
    ]
    [LINES
        [STARTING BY 'string']
        [TERMINATED BY 'string']
    ]
    [IGNORE number LINES]
    [(col_name,...)]

The LOAD DATA INFILE statement reads rows from a text file into a table
at a very high speed. The filename must be given as a literal string.

For more information about the efficiency of INSERT versus LOAD DATA
INFILE and speeding up LOAD DATA INFILE, see [insert-speed].

As of MySQL 4.1, the character set indicated by the
character_set_database system variable is used to interpret the
information in the file. SET NAMES and the setting of
character_set_client do not affect interpretation of input.

Note that it's currently not possible to load UCS2 data files.

You can also load data files by using the mysqlimport utility; it
operates by sending a LOAD DATA INFILE statement to the server. The
--local option causes mysqlimport to read data files from the client
host. You can specify the --compress option to get better performance
over slow networks if the client and server support the compressed
protocol. See [mysqlimport].

If you use LOW_PRIORITY, execution of the LOAD DATA statement is
delayed until no other clients are reading from the table.

If you specify CONCURRENT with a MyISAM table that satisfies the
condition for concurrent inserts (that is, it contains no free blocks
in the middle), then other threads can retrieve data from the table
while LOAD DATA is executing. Using this option affects the performance
of LOAD DATA a bit, even if no other thread is using the table at the
same time.

If LOCAL is specified, it is interpreted with respect to the client end
of the connection:

o If LOCAL is specified, the file is read by the client program on the
  client host and sent to the server. The file can be given as a full
  pathname to specify its exact location. If given as a relative
  pathname, the name is interpreted relative to the directory in which
  the client program was started.

o If LOCAL is not specified, the file must be located on the server
  host and is read directly by the server.

LOCAL is available in MySQL 3.22.6 or later.

When locating files on the server host, the server uses the following
rules:

o If an absolute pathname is given, the server uses the pathname as is.

o If a relative pathname with one or more leading components is given,
  the server searches for the file relative to the server's data
  directory.

o If a filename with no leading components is given, the server looks
  for the file in the database directory of the default database.

Note that these rules mean that a file named as ./myfile.txt is read
from the server's data directory, whereas the same file named as
myfile.txt is read from the database directory of the default database.
For example, the following LOAD DATA statement reads the file data.txt
from the database directory for db1 because db1 is the current
database, even though the statement explicitly loads the file into a
table in the db2 database:

mysql> USE db1;
mysql> LOAD DATA INFILE 'data.txt' INTO TABLE db2.my_table;

Note that Windows pathnames are specified using forward slashes rather
than backslashes. If you do use backslashes, you must double them.

For security reasons, when reading text files located on the server,
the files must either reside in the database directory or be readable
by all. Also, to use LOAD DATA INFILE on server files, you must have
the FILE privilege.
","","load-data"),(323,25,"LOCALTIME","Syntax:
LOCALTIME, LOCALTIME()

LOCALTIME and LOCALTIME() are synonyms for NOW().
","","date-and-time-functions"),(324,4,"MPOINTFROMTEXT","MPointFromText(wkt[,srid]) , MultiPointFromText(wkt[,srid])

Constructs a MULTIPOINT value using its WKT representation and SRID.
","","gis-wkt-functions"),(325,3,"BLOB","BLOB[(M)]

A BLOB column with a maximum length of 65,535 (216 - 1) bytes.

Beginning with MySQL 4.1, an optional length M can be given. MySQL will
create the column as the smallest BLOB type largest enough to hold
values M bytes long.
","","string-type-overview"),(326,10,"PASSWORD","Syntax:
PASSWORD(str)

Calculates and returns a password string from the plaintext password
str, or NULL if the argument was NULL. This is the function that is
used for encrypting MySQL passwords for storage in the Password column
of the user grant table.
","mysql> SELECT PASSWORD('badpwd');
        -> '7f84554057dd964b'
","encryption-functions"),(327,3,"CHAR","[NATIONAL] CHAR(M) [BINARY | ASCII | UNICODE]

A fixed-length string that is always right-padded with spaces to the
specified length when stored. M represents the column length. The range
of M is 0 to 255 characters (1 to 255 prior to MySQL 3.23).

Note: Trailing spaces are removed when CHAR values are retrieved.

In MySQL 4.1, a CHAR column with a length specification greater than
255 is converted to the smallest TEXT type that can hold values of the
given length. For example, CHAR(500) is converted to TEXT, and
CHAR(200000) is converted to MEDIUMTEXT. This is a compatibility
feature. However, this conversion causes the column to become a
variable-length column, and also affects trailing-space removal.
","","string-type-overview"),(328,25,"UTC_DATE","Syntax:
UTC_DATE, UTC_DATE()

Returns the current UTC date as a value in 'YYYY-MM-DD' or YYYYMMDD
format, depending on whether the function is used in a string or
numeric context.
","mysql> SELECT UTC_DATE(), UTC_DATE() + 0;
        -> '2003-08-14', 20030814
","date-and-time-functions"),(329,29,"DIMENSION","Dimension(g)

Returns the inherent dimension of the geometry value g. The result can
be −1, 0, 1, or 2. (The meaning of these values is given in
[gis-class-geometry].)
","mysql> SELECT Dimension(GeomFromText('LineString(1 1,2 2)'));
+------------------------------------------------+
| Dimension(GeomFromText('LineString(1 1,2 2)')) |
+------------------------------------------------+
|                                              1 |
+------------------------------------------------+
","general-geometry-property-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (330,14,"COUNT DISTINCT","Syntax:
COUNT(DISTINCT expr,[expr...])

Returns a count of the number of different non-NULL values.

COUNT(DISTINCT) returns 0 if there were no matching rows.
","mysql> SELECT COUNT(DISTINCT results) FROM student;
","group-by-functions"),(331,3,"BIT","BIT

In versions of MySQL up to and lincluding 4.1, BIT is a synonym for
TINYINT(1).
","","numeric-type-overview"),(332,24,"EQUALS","Equals(g1,g2)

Returns 1 or 0 to indicate whether or not g1 is spatially equal to g2.
","","functions-that-test-spatial-relationships-between-geometries"),(333,17,"INTERVAL","Syntax:
INTERVAL(N,N1,N2,N3,...)

Returns 0 if N < N1, 1 if N < N2 and so on or -1 if N is NULL. All
arguments are treated as integers. It is required that N1 < N2 < N3 <
... < Nn for this function to work correctly. This is because a binary
search is used (very fast).
","mysql> SELECT INTERVAL(23, 1, 15, 17, 30, 44, 200);
        -> 3
mysql> SELECT INTERVAL(10, 1, 10, 100, 1000);
        -> 2
mysql> SELECT INTERVAL(22, 23, 30, 44, 200);
        -> 0
","comparison-operators"),(334,25,"FROM_DAYS","Syntax:
FROM_DAYS(N)

Given a daynumber N, returns a DATE value.
","mysql> SELECT FROM_DAYS(729669);
        -> '1997-10-07'
","date-and-time-functions"),(335,18,"BIT_COUNT","Syntax:
BIT_COUNT(N)

Returns the number of bits that are set in the argument N.
","mysql> SELECT BIT_COUNT(29);
        -> 4
","bit-functions"),(336,25,"UTC_TIMESTAMP","Syntax:
UTC_TIMESTAMP, UTC_TIMESTAMP()

Returns the current UTC date and time as a value in 'YYYY-MM-DD
HH:MM:SS' or YYYYMMDDHHMMSS format, depending on whether the function
is used in a string or numeric context.
","mysql> SELECT UTC_TIMESTAMP(), UTC_TIMESTAMP() + 0;
        -> '2003-08-14 18:08:04', 20030814180804
","date-and-time-functions"),(337,5,"+","Syntax:
+

Addition:
","mysql> SELECT 3+5;
        -> 8
","arithmetic-functions"),(338,13,"INET_NTOA","Syntax:
INET_NTOA(expr)

Given a numeric network address (4 or 8 byte), returns the dotted-quad
representation of the address as a string.
","mysql> SELECT INET_NTOA(3520061480);
        -> '209.207.224.40'
","miscellaneous-functions"),(339,5,"ACOS","Syntax:
ACOS(X)

Returns the arc cosine of X, that is, the value whose cosine is X.
Returns NULL if X is not in the range -1 to 1.
","mysql> SELECT ACOS(1);
        -> 0.000000
mysql> SELECT ACOS(1.0001);
        -> NULL
mysql> SELECT ACOS(0);
        -> 1.570796
","mathematical-functions"),(340,8,"ISOLATION","Syntax:
SET [GLOBAL | SESSION] TRANSACTION ISOLATION LEVEL
{ READ UNCOMMITTED | READ COMMITTED | REPEATABLE READ | SERIALIZABLE }

This statement sets the transaction isolation level for the next
transaction, globally, or for the current session.

The default behavior of SET TRANSACTION is to set the isolation level
for the next (not yet started) transaction. If you use the GLOBAL
keyword, the statement sets the default transaction level globally for
all new connections created from that point on. Existing connections
are unaffected. You need the SUPER privilege to do this. Using the
SESSION keyword sets the default transaction level for all future
transactions performed on the current connection.

For descriptions of each InnoDB transaction isolation level, see
[innodb-transaction-isolation]. InnoDB supports each of these levels
from MySQL 4.0.5 on. The default level is REPEATABLE READ.

You can set the initial default global isolation level for mysqld with
the --transaction-isolation option. See [server-options].
","","set-transaction"),(341,5,"CEILING","Syntax:
CEILING(X) CEIL(X)

Returns the smallest integer value not less than X.
","mysql> SELECT CEILING(1.23);
        -> 2
mysql> SELECT CEIL(-1.23);
        -> -1
","mathematical-functions"),(342,5,"SIN","Syntax:
SIN(X)

Returns the sine of X, where X is given in radians.
","mysql> SELECT SIN(PI());
        -> 1.2246063538224e-16
mysql> SELECT ROUND(SIN(PI()));
        -> 0
","mathematical-functions"),(343,25,"DAYOFWEEK","Syntax:
DAYOFWEEK(date)

Returns the weekday index for date (1 = Sunday, 2 = Monday, ..., 7 =
Saturday). These index values correspond to the ODBC standard.
","mysql> SELECT DAYOFWEEK('1998-02-03');
        -> 3
","date-and-time-functions"),(344,26,"LINEFROMWKB","LineFromWKB(wkb[,srid]) , LineStringFromWKB(wkb[,srid])

Constructs a LINESTRING value using its WKB representation and SRID.
","","gis-wkb-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (345,22,"SHOW PROCESSLIST","Syntax:
SHOW [FULL] PROCESSLIST

SHOW PROCESSLIST shows you which threads are running. You can also get
this information using the mysqladmin processlist statement. If you
have the SUPER privilege, you can see all threads. Otherwise, you can
see only your own threads (that is, threads associated with the MySQL
account that you are using). See [kill]. If you do not use the FULL
keyword, only the first 100 characters of each query are shown.
","","show-processlist"),(346,29,"GEOMETRYTYPE","GeometryType(g)

Returns as a string the name of the geometry type of which the geometry
instance g is a member. The name corresponds to one of the instantiable
Geometry subclasses.
","mysql> SELECT GeometryType(GeomFromText('POINT(1 1)'));
+------------------------------------------+
| GeometryType(GeomFromText('POINT(1 1)')) |
+------------------------------------------+
| POINT                                    |
+------------------------------------------+
","general-geometry-property-functions"),(347,30,"TRIM","Syntax:
TRIM([{BOTH | LEADING | TRAILING} [remstr] FROM] str) TRIM(remstr FROM]
str)

Returns the string str with all remstr prefixes and/or suffixes
removed. If none of the specifiers BOTH, LEADING, or TRAILING is given,
BOTH is assumed. remstr is optional and, if not specified, spaces are
removed.
","mysql> SELECT TRIM('  bar   ');
        -> 'bar'
mysql> SELECT TRIM(LEADING 'x' FROM 'xxxbarxxx');
        -> 'barxxx'
mysql> SELECT TRIM(BOTH 'x' FROM 'xxxbarxxx');
        -> 'bar'
mysql> SELECT TRIM(TRAILING 'xyz' FROM 'barxxyz');
        -> 'barx'
","string-functions"),(348,25,"GET_FORMAT","Syntax:
GET_FORMAT(DATE|TIME|DATETIME, 'EUR'|'USA'|'JIS'|'ISO'|'INTERNAL')

Returns a format string. This function is useful in combination with
the DATE_FORMAT() and the STR_TO_DATE() functions.
","mysql> SELECT DATE_FORMAT('2003-10-03',GET_FORMAT(DATE,'EUR'));
        -> '03.10.2003'
mysql> SELECT STR_TO_DATE('10.31.2003',GET_FORMAT(DATE,'USA'));
        -> '2003-10-31'
        
Following is commented out because not yet implemented:
","date-and-time-functions"),(349,3,"TINYBLOB","TINYBLOB

A BLOB column with a maximum length of 255 (28 - 1) bytes.
","","string-type-overview"),(350,8,"SAVEPOINT","Syntax:
SAVEPOINT identifier
ROLLBACK TO SAVEPOINT identifier

Starting from MySQL 4.0.14 and 4.1.1, InnoDB supports the SQL
statements SAVEPOINT and ROLLBACK TO SAVEPOINT.
","","savepoints"),(351,7,"IF","Syntax:
IF(expr1,expr2,expr3)

If expr1 is TRUE (expr1 <> 0 and expr1 <> NULL) then IF() returns
expr2; otherwise it returns expr3. IF() returns a numeric or string
value, depending on the context in which it is used.
","mysql> SELECT IF(1>2,2,3);
        -> 3
mysql> SELECT IF(1<2,'yes','no');
        -> 'yes'
mysql> SELECT IF(STRCMP('test','test1'),'no','yes');
        -> 'no'
","control-flow-functions"),(352,15,"USER","Syntax:
USER()

Returns the current MySQL username and hostname.
","mysql> SELECT USER();
        -> 'davida@localhost'
","information-functions"),(353,26,"MPOINTFROMWKB","MPointFromWKB(wkb[,srid]) , MultiPointFromWKB(wkb[,srid])

Constructs a MULTIPOINT value using its WKB representation and SRID.
","","gis-wkb-functions"),(354,32,"ALTER TABLE","Syntax:
ALTER [IGNORE] TABLE tbl_name
    alter_specification [, alter_specification] ...

alter_specification:
    ADD [COLUMN] column_definition [FIRST | AFTER col_name ]
  | ADD [COLUMN] (column_definition,...)
  | ADD INDEX [index_name] [index_type] (index_col_name,...)
  | ADD [CONSTRAINT [symbol]]
        PRIMARY KEY [index_type] (index_col_name,...)
  | ADD [CONSTRAINT [symbol]]
        UNIQUE [index_name] [index_type] (index_col_name,...)
  | ADD [FULLTEXT|SPATIAL] [index_name] (index_col_name,...)
  | ADD [CONSTRAINT [symbol]]
        FOREIGN KEY [index_name] (index_col_name,...)
        [reference_definition]
  | ALTER [COLUMN] col_name {SET DEFAULT literal | DROP DEFAULT}
  | CHANGE [COLUMN] old_col_name column_definition
        [FIRST|AFTER col_name]
  | MODIFY [COLUMN] column_definition [FIRST | AFTER col_name]
  | DROP [COLUMN] col_name
  | DROP PRIMARY KEY
  | DROP INDEX index_name
  | DROP FOREIGN KEY fk_symbol
  | DISABLE KEYS
  | ENABLE KEYS
  | RENAME [TO] new_tbl_name
  | ORDER BY col_name
  | CONVERT TO CHARACTER SET charset_name [COLLATE collation_name]
  | [DEFAULT] CHARACTER SET charset_name [COLLATE collation_name]
  | DISCARD TABLESPACE
  | IMPORT TABLESPACE
  | table_options

ALTER TABLE allows you to change the structure of an existing table.
For example, you can add or delete columns, create or destroy indexes,
change the type of existing columns, or rename columns or the table
itself. You can also change the comment for the table and type of the
table.
","","alter-table"),(355,22,"PURGE MASTER LOGS","Syntax:
PURGE {MASTER | BINARY} LOGS TO 'log_name'
PURGE {MASTER | BINARY} LOGS BEFORE 'date'

Deletes all the binary logs listed in the log index prior to the
specified log or date. The logs also are removed from the list recorded
in the log index file, so that the given log becomes the first.
","PURGE MASTER LOGS TO 'mysql-bin.010';
PURGE MASTER LOGS BEFORE '2003-04-02 22:46:26';
","purge-master-logs"),(356,3,"CHAR BYTE","From MySQL 4.1.0 on, the column type CHAR BYTE is an alias for CHAR
BINARY. This is a compatibility feature.
","","string-type-overview"),(357,21,"REPAIR TABLE","Syntax:
REPAIR [LOCAL | NO_WRITE_TO_BINLOG] TABLE
    tbl_name [, tbl_name] ... [QUICK] [EXTENDED] [USE_FRM]

REPAIR TABLE repairs a possibly corrupted table. By default, it has the
same effect as myisamchk --recover tbl_name. REPAIR TABLE works on
MyISAM and on ARCHIVE tables. See [myisam-storage-engine],
[archive-storage-engine].
","","repair-table"),(358,16,"MERGE","The MERGE storage engine was introduced in MySQL 3.23.25. It is also
known as the MRG_MyISAM engine.

A MERGE table is a collection of identical MyISAM tables that can be
used as one. \"Identical\" means that all tables have identical column
and index information. You cannot merge tables in which the columns are
listed in a different order, do not have exactly the same columns, or
have the indexes in different order. However, any or all of the tables
can be compressed with myisampack. See [myisampack]. Differences in
table options such as AVG_ROW_LENGTH, MAX_ROWS, or PACK_KEYS do not
matter.
","mysql> CREATE TABLE t1 (
    ->    a INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
    ->    message CHAR(20));
mysql> CREATE TABLE t2 (
    ->    a INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
    ->    message CHAR(20));
mysql> INSERT INTO t1 (message) VALUES ('Testing'),('table'),('t1');
mysql> INSERT INTO t2 (message) VALUES ('Testing'),('table'),('t2');
mysql> CREATE TABLE total (
    ->    a INT NOT NULL AUTO_INCREMENT,
    ->    message CHAR(20), INDEX(a))
    ->    TYPE=MERGE UNION=(t1,t2) INSERT_METHOD=LAST;
","merge-storage-engine"),(359,32,"CREATE TABLE","Syntax:
CREATE [TEMPORARY] TABLE [IF NOT EXISTS] tbl_name
    [(create_definition,...)]
    [table_options] [select_statement]

Or:

CREATE [TEMPORARY] TABLE [IF NOT EXISTS] tbl_name
    [(] LIKE old_tbl_name [)];

create_definition:
    column_definition
  | [CONSTRAINT [symbol]] PRIMARY KEY [index_type] (index_col_name,...)
  | KEY [index_name] [index_type] (index_col_name,...)
  | INDEX [index_name] [index_type] (index_col_name,...)
  | [CONSTRAINT [symbol]] UNIQUE [INDEX]
        [index_name] [index_type] (index_col_name,...)
  | [FULLTEXT|SPATIAL] [INDEX] [index_name] (index_col_name,...)
  | [CONSTRAINT [symbol]] FOREIGN KEY
        [index_name] (index_col_name,...) [reference_definition]
  | CHECK (expr)

column_definition:
    col_name type [NOT NULL | NULL] [DEFAULT default_value]
        [AUTO_INCREMENT] [UNIQUE [KEY] | [PRIMARY] KEY]
        [COMMENT 'string'] [reference_definition]

type:
    TINYINT[(length)] [UNSIGNED] [ZEROFILL]
  | SMALLINT[(length)] [UNSIGNED] [ZEROFILL]
  | MEDIUMINT[(length)] [UNSIGNED] [ZEROFILL]
  | INT[(length)] [UNSIGNED] [ZEROFILL]
  | INTEGER[(length)] [UNSIGNED] [ZEROFILL]
  | BIGINT[(length)] [UNSIGNED] [ZEROFILL]
  | REAL[(length,decimals)] [UNSIGNED] [ZEROFILL]
  | DOUBLE[(length,decimals)] [UNSIGNED] [ZEROFILL]
  | FLOAT[(length,decimals)] [UNSIGNED] [ZEROFILL]
  | DECIMAL(length,decimals) [UNSIGNED] [ZEROFILL]
  | NUMERIC(length,decimals) [UNSIGNED] [ZEROFILL]
  | DATE
  | TIME
  | TIMESTAMP
  | DATETIME
  | CHAR(length) [BINARY | ASCII | UNICODE]
  | VARCHAR(length) [BINARY]
  | TINYBLOB
  | BLOB
  | MEDIUMBLOB
  | LONGBLOB
  | TINYTEXT [BINARY]
  | TEXT [BINARY]
  | MEDIUMTEXT [BINARY]
  | LONGTEXT [BINARY]
  | ENUM(value1,value2,value3,...)
  | SET(value1,value2,value3,...)
  | spatial_type

index_col_name:
    col_name [(length)] [ASC | DESC]

reference_definition:
    REFERENCES tbl_name [(index_col_name,...)]
               [MATCH FULL | MATCH PARTIAL | MATCH SIMPLE]
               [ON DELETE reference_option]
               [ON UPDATE reference_option]

reference_option:
    RESTRICT | CASCADE | SET NULL | NO ACTION

table_options: table_option [table_option] ...

table_option:
    {ENGINE|TYPE} = engine_name
  | AUTO_INCREMENT = value
  | AVG_ROW_LENGTH = value
  | [DEFAULT] CHARACTER SET charset_name [COLLATE collation_name]
  | CHECKSUM = {0 | 1}
  | COMMENT = 'string'
  | MAX_ROWS = value
  | MIN_ROWS = value
  | PACK_KEYS = {0 | 1 | DEFAULT}
  | PASSWORD = 'string'
  | DELAY_KEY_WRITE = {0 | 1}
  | ROW_FORMAT = {DEFAULT|DYNAMIC|FIXED|COMPRESSED|REDUNDANT|COMPACT}
  | RAID_TYPE = { 1 | STRIPED | RAID0 }
        RAID_CHUNKS = value
        RAID_CHUNKSIZE = value
  | UNION = (tbl_name[,tbl_name]...)
  | INSERT_METHOD = { NO | FIRST | LAST }
  | DATA DIRECTORY = 'absolute path to directory'
  | INDEX DIRECTORY = 'absolute path to directory'

select_statement:
    [IGNORE | REPLACE] [AS] SELECT ...   (Some legal select statement)

CREATE TABLE creates a table with the given name. You must have the
CREATE privilege for the table.

Rules for allowable table names are given in [legal-names]. By default,
the table is created in the current database. An error occurs if the
table exists, if there is no current database, or if the database does
not exist.
","","create-table");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (360,17,">","Syntax:
>

Greater than:
","mysql> SELECT 2 > 2;
        -> 0
","comparison-operators"),(361,21,"ANALYZE TABLE","Syntax:
ANALYZE [LOCAL | NO_WRITE_TO_BINLOG] TABLE tbl_name [, tbl_name] ...

This statement analyzes and stores the key distribution for a table.
During the analysis, the table is locked with a read lock. This works
on MyISAM and BDB tables and (as of MySQL 4.0.13) InnoDB tables. For
MyISAM tables, this statement is equivalent to using myisamchk -a.

MySQL uses the stored key distribution to decide the order in which
tables should be joined when you perform a join on something other than
a constant.
","","analyze-table"),(362,25,"MICROSECOND","Syntax:
MICROSECOND(expr)

Returns the microseconds from the time or datetime expression expr as a
number in the range from 0 to 999999.
","mysql> SELECT MICROSECOND('12:00:00.123456');
        -> 123456
mysql> SELECT MICROSECOND('1997-12-31 23:59:59.000010');
        -> 10
","date-and-time-functions"),(363,32,"CONSTRAINT","The syntax of a foreign key constraint definition in InnoDB looks like
this:

[CONSTRAINT symbol] FOREIGN KEY [id] (index_col_name, ...)
    REFERENCES tbl_name (index_col_name, ...)
    [ON DELETE {RESTRICT | CASCADE | SET NULL | NO ACTION}]
    [ON UPDATE {RESTRICT | CASCADE | SET NULL | NO ACTION}]
","CREATE TABLE product (category INT NOT NULL, id INT NOT NULL,
                      price DECIMAL,
                      PRIMARY KEY(category, id)) TYPE=INNODB;
CREATE TABLE customer (id INT NOT NULL,
                      PRIMARY KEY (id)) TYPE=INNODB;
CREATE TABLE product_order (no INT NOT NULL AUTO_INCREMENT,
                      product_category INT NOT NULL,
                      product_id INT NOT NULL,
                      customer_id INT NOT NULL,
                      PRIMARY KEY(no),
                      INDEX (product_category, product_id),
                      FOREIGN KEY (product_category, product_id)
                        REFERENCES product(category, id)
                        ON UPDATE CASCADE ON DELETE RESTRICT,
                      INDEX (customer_id),
                      FOREIGN KEY (customer_id)
                        REFERENCES customer(id)) TYPE=INNODB;
","innodb-foreign-key-constraints"),(364,30,"FIELD","Syntax:
FIELD(str,str1,str2,str3,...)

Returns the index of str in the str1, str2, str3, ... list. Returns 0
if str is not found.

If all arguments to FIELD() are strings, all arguments are compared as
strings. If all arguments are numbers, they are compared as numbers.
Otherwise, the arguments are compared as double.

If str is NULL, the return value is 0 because NULL fails equality
comparison with any value. FIELD() is the complement of ELT().
","mysql> SELECT FIELD('ej', 'Hej', 'ej', 'Heja', 'hej', 'foo');
        -> 2
mysql> SELECT FIELD('fo', 'Hej', 'ej', 'Heja', 'hej', 'foo');
        -> 0
","string-functions"),(365,25,"MAKETIME","Syntax:
MAKETIME(hour,minute,second)

Returns a time value calculated from the hour, minute, and second
arguments.
","mysql> SELECT MAKETIME(12,15,30);
        -> '12:15:30'
","date-and-time-functions"),(366,25,"CURDATE","Syntax:
CURDATE()

Returns the current date as a value in 'YYYY-MM-DD' or YYYYMMDD format,
depending on whether the function is used in a string or numeric
context.
","mysql> SELECT CURDATE();
        -> '1997-12-15'
mysql> SELECT CURDATE() + 0;
        -> 19971215
","date-and-time-functions"),(367,14,"MIN MAX","Syntax:
MIN(expr), MAX(expr)

Returns the minimum or maximum value of expr. MIN() and MAX() may take
a string argument; in such cases they return the minimum or maximum
string value. See [mysql-indexes].

MIN() and MAX() return NULL if there were no matching rows.
","mysql> SELECT student_name, MIN(test_score), MAX(test_score)
    ->        FROM student
    ->        GROUP BY student_name;
","group-by-functions"),(368,21,"SET PASSWORD","Syntax:
SET PASSWORD = PASSWORD('some password')
SET PASSWORD FOR user = PASSWORD('some password')

The SET PASSWORD statement assigns a password to an existing MySQL user
account.

The first syntax sets the password for the current user. Any client
that has connected to the server using a non-anonymous account can
change the password for that account.

The second syntax sets the password for a specific account on the
current server host. Only clients with the UPDATE privilege for the
mysql database can do this. The user value should be given in
user_name@host_name format, where user_name and host_name are exactly
as they are listed in the User and Host columns of the mysql.user table
entry. For example, if you had an entry with User and Host column
values of 'bob' and '%.loc.gov', you would write the statement like
this:

mysql> SET PASSWORD FOR 'bob'@'%.loc.gov' = PASSWORD('newpass');
","","set-password"),(369,3,"ENUM","ENUM('value1','value2',...)

An enumeration. A string object that can have only one value, chosen
from the list of values 'value1', 'value2', ..., NULL or the special ''
error value. An ENUM column can have a maximum of 65,535 distinct
values. ENUM values are represented internally as integers.
","","string-type-overview"),(370,15,"DATABASE","Syntax:
DATABASE()

Returns the default (current) database name. As of MySQL 4.1, the
string uses the utf8 character set.
","mysql> SELECT DATABASE();
        -> 'test'
","information-functions"),(371,26,"POINTFROMWKB","PointFromWKB(wkb[,srid])

Constructs a POINT value using its WKB representation and SRID.
","","gis-wkb-functions"),(372,5,"POWER","Syntax:
POW(X,Y) , POWER(X,Y)

Returns the value of X raised to the power of Y.
","mysql> SELECT POW(2,2);
        -> 4.000000
mysql> SELECT POW(2,-2);
        -> 0.250000
","mathematical-functions"),(373,5,"ATAN","Syntax:
ATAN(X)

Returns the arc tangent of X, that is, the value whose tangent is X.
","mysql> SELECT ATAN(2);
        -> 1.107149
mysql> SELECT ATAN(-2);
        -> -1.107149
","mathematical-functions"),(374,30,"STRCMP","Syntax:
STRCMP(expr1,expr2)

STRCMP() returns 0 if the strings are the same, -1 if the first
argument is smaller than the second according to the current sort
order, and 1 otherwise.
","mysql> SELECT STRCMP('text', 'text2');
        -> -1
mysql> SELECT STRCMP('text2', 'text');
        -> 1
mysql> SELECT STRCMP('text', 'text');
        -> 0
","string-comparison-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (375,22,"INSERT DELAYED","Syntax:
INSERT DELAYED ...

The DELAYED option for the INSERT statement is a MySQL extension to
standard SQL that is very useful if you have clients that cannot wait
for the INSERT to complete. This is a common problem when you use MySQL
for logging and you also periodically run SELECT and UPDATE statements
that take a long time to complete. DELAYED was introduced in MySQL
3.22.15.

When a client uses INSERT DELAYED, it gets an okay from the server at
once, and the row is queued to be inserted when the table is not in use
by any other thread.

Another major benefit of using INSERT DELAYED is that inserts from many
clients are bundled together and written in one block. This is much
faster than performing many separate inserts.

There are some constraints on the use of DELAYED:

o INSERT DELAYED works only with ISAM, MyISAM, and (beginning with
  MySQL 4.1) MEMORY. For MyISAM tables, if there are no free blocks in
  the middle of the data file, concurrent SELECT and INSERT statements
  are supported. Under these circumstances, you very seldom need to use
  INSERT DELAYED with MyISAM. See [myisam-storage-engine],
  [memory-storage-engine], and [archive-storage-engine].

o INSERT DELAYED should be used only for INSERT statements that specify
  value lists. This is enforced as of MySQL 4.0.18. The server ignores
  DELAYED for INSERT DELAYED ... SELECT statements.

o The server ignores DELAYED for INSERT DELAYED ... ON DUPLICATE UPDATE
  statements.

o Because the statement returns immediately before the rows are
  inserted, you cannot use LAST_INSERT_ID() to get the AUTO_INCREMENT
  value which the statement might generate.

o DELAYED rows are not visible to SELECT statements until they actually
  have been inserted.

o DELAYED is ignored on slave replication servers because it could
  cause the slave to have different data than the master.
","","insert-delayed"),(376,3,"MEDIUMTEXT","MEDIUMTEXT

A TEXT column with a maximum length of 16,777,215 (224 - 1) characters.
","","string-type-overview"),(377,5,"LN","Syntax:
LN(X)

Returns the natural logarithm of X, that is, the logarithm of X to the
base e.
","mysql> SELECT LN(2);
        -> 0.693147
mysql> SELECT LN(-2);
        -> NULL
","mathematical-functions"),(378,5,"LOG","Syntax:
LOG(X) LOG(B,X)

If called with one parameter, this function returns the natural
logarithm of X.
","mysql> SELECT LOG(2);
        -> 0.693147
mysql> SELECT LOG(-2);
        -> NULL
","mathematical-functions"),(379,22,"SET SQL_LOG_BIN","Syntax:
SET SQL_LOG_BIN = {0|1}

Disables or enables binary logging for the current connection
(SQL_LOG_BIN is a session variable) if the client connects using an
account that has the SUPER privilege. The statement is refused with an
error if the client does not have that privilege. (Before MySQL 4.1.2,
the statement was simply ignored in that case.)
","","set-sql-log-bin"),(380,17,"!=","Syntax:
<>, !=

Not equal:
","mysql> SELECT '.01' <> '0.01';
        -> 1
mysql> SELECT .01 <> '0.01';
        -> 0
mysql> SELECT 'zapp' <> 'zappp';
        -> 1
","comparison-operators"),(381,10,"AES_DECRYPT","Syntax:
AES_ENCRYPT(str,key_str) , AES_DECRYPT(crypt_str,key_str)

These functions allow encryption and decryption of data using the
official AES (Advanced Encryption Standard) algorithm, previously known
as \"Rijndael\". Encoding with a 128-bit key length is used, but you can
extend it up to 256 bits by modifying the source. We chose 128 bits
because it is much faster and it is secure enough for most purposes.

The input arguments may be any length. If either argument is NULL, the
result of this function is also NULL.

Because AES is a block-level algorithm, padding is used to encode
uneven length strings and so the result string length may be calculated
as 16 * (trunc(string_length / 16) + 1).

If AES_DECRYPT() detects invalid data or incorrect padding, it returns
NULL. However, it is possible for AES_DECRYPT() to return a non-NULL
value (possibly garbage) if the input data or the key is invalid.

You can use the AES functions to store data in an encrypted form by
modifying your queries:
","INSERT INTO t VALUES (1,AES_ENCRYPT('text','password'));
","encryption-functions"),(382,25,"DAYNAME","Syntax:
DAYNAME(date)

Returns the name of the weekday for date.
","mysql> SELECT DAYNAME('1998-02-05');
        -> 'Thursday'
","date-and-time-functions"),(383,15,"COERCIBILITY","Syntax:
COERCIBILITY(str)

Returns the collation coercibility value of the string argument.
","mysql> SELECT COERCIBILITY('abc' COLLATE latin1_swedish_ci);
        -> 0
mysql> SELECT COERCIBILITY(USER());
        -> 3
mysql> SELECT COERCIBILITY('abc');
        -> 4
","information-functions"),(384,3,"INT","INT[(M)] [UNSIGNED] [ZEROFILL]

A normal-size integer. The signed range is -2147483648 to 2147483647.
The unsigned range is 0 to 4294967295.
","","numeric-type-overview"),(385,11,"GLENGTH","GLength(ls)

Returns as a double-precision number the length of the LineString value
ls in its associated spatial reference.
","mysql> SET @ls = 'LineString(1 1,2 2,3 3)';
mysql> SELECT GLength(GeomFromText(@ls));
+----------------------------+
| GLength(GeomFromText(@ls)) |
+----------------------------+
|            2.8284271247462 |
+----------------------------+
","linestring-property-functions"),(386,5,"RADIANS","Syntax:
RADIANS(X)

Returns the argument X, converted from degrees to radians. (Note that
ϖ radians equals 180 degrees.)
","mysql> SELECT RADIANS(90);
        -> 1.570796
","mathematical-functions"),(387,15,"COLLATION","Syntax:
COLLATION(str)

Returns the collation for the character set of the string argument.
","mysql> SELECT COLLATION('abc');
        -> 'latin1_swedish_ci'
mysql> SELECT COLLATION(_utf8'abc');
        -> 'utf8_general_ci'
","information-functions"),(388,17,"COALESCE","Syntax:
COALESCE(value,...)

Returns the first non-NULL value in the list, or NULL if there are no
non-NULL values.
","mysql> SELECT COALESCE(NULL,1);
        -> 1
mysql> SELECT COALESCE(NULL,NULL,NULL);
        -> NULL
","comparison-operators"),(389,15,"VERSION","Syntax:
VERSION()

Returns a string that indicates the MySQL server version. As of MySQL
4.1, the string has the utf8 character set.
","mysql> SELECT VERSION();
        -> '4.1.15-standard'
","information-functions");
insert into help_topic (help_topic_id,help_category_id,name,description,example,url) values (390,30,"MAKE_SET","Syntax:
MAKE_SET(bits,str1,str2,...)

Returns a set value (a string containing substrings separated by `,'
characters) consisting of the strings that have the corresponding bit
in bits set. str1 corresponds to bit 0, str2 to bit 1, and so on. NULL
values in str1, str2, ... are not appended to the result.
","mysql> SELECT MAKE_SET(1,'a','b','c');
        -> 'a'
mysql> SELECT MAKE_SET(1 | 4,'hello','nice','world');
        -> 'hello,world'
mysql> SELECT MAKE_SET(1 | 4,'hello','nice',NULL,'world');
        -> 'hello'
mysql> SELECT MAKE_SET(0,'a','b','c');
        -> ''
","string-functions"),(391,30,"FIND_IN_SET","Syntax:
FIND_IN_SET(str,strlist)

Returns a value in the range of 1 to N if the string str is in the
string list strlist consisting of N substrings. A string list is a
string composed of substrings separated by `,' characters. If the first
argument is a constant string and the second is a column of type SET,
the FIND_IN_SET() function is optimized to use bit arithmetic. Returns
0 if str is not in strlist or if strlist is the empty string. Returns
NULL if either argument is NULL. This function does not work properly
if the first argument contains a comma (`,') character.
","mysql> SELECT FIND_IN_SET('b','a,b,c,d');
        -> 2
","string-functions");

insert into help_keyword (help_keyword_id,name) values (0,"MIN"),(1,"JOIN"),(2,"SERIALIZABLE"),(3,"REPLACE"),(4,"RETURNS"),(5,"MASTER_SSL_CA"),(6,"NCHAR"),(7,"COLUMNS"),(8,"WORK"),(9,"DATETIME"),(10,"MODE"),(11,"OPEN"),(12,"INTEGER"),(13,"ESCAPE"),(14,"VALUE");
insert into help_keyword (help_keyword_id,name) values (15,"GEOMETRYCOLLECTIONFROMWKB"),(16,"SQL_BIG_RESULT"),(17,"DROP"),(18,"EVENTS"),(19,"MONTH"),(20,"DUPLICATE"),(21,"REPLICATION"),(22,"INNODB"),(23,"YEAR_MONTH"),(24,"SUBJECT"),(25,"LOCK"),(26,"NDB"),(27,"CHECK"),(28,"FULL"),(29,"INT4");
insert into help_keyword (help_keyword_id,name) values (30,"BY"),(31,"NO"),(32,"MINUTE"),(33,"DATA"),(34,"DAY"),(35,"SHARE"),(36,"RAID_CHUNKSIZE"),(37,"REAL"),(38,"SEPARATOR"),(39,"DELETE"),(40,"ON"),(41,"CLOSE"),(42,"X509"),(43,"USE"),(44,"WHERE");
insert into help_keyword (help_keyword_id,name) values (45,"PRIVILEGES"),(46,"SPATIAL"),(47,"SUPER"),(48,"SQL_BUFFER_RESULT"),(49,"IGNORE"),(50,"QUICK"),(51,"SIGNED"),(52,"SECURITY"),(53,"POLYGONFROMWKB"),(54,"NDBCLUSTER"),(55,"FALSE"),(56,"LEVEL"),(57,"FORCE"),(58,"BINARY"),(59,"TO");
insert into help_keyword (help_keyword_id,name) values (60,"CHANGE"),(61,"HOUR_MINUTE"),(62,"UPDATE"),(63,"INTO"),(64,"VARYING"),(65,"HOUR_SECOND"),(66,"VARIABLE"),(67,"ROLLBACK"),(68,"MAX"),(69,"PROCEDURE"),(70,"RTREE"),(71,"TIMESTAMP"),(72,"IMPORT"),(73,"AGAINST"),(74,"CHECKSUM");
insert into help_keyword (help_keyword_id,name) values (75,"INSERT"),(76,"COUNT"),(77,"LONGBINARY"),(78,"THEN"),(79,"ENGINES"),(80,"DAY_SECOND"),(81,"EXISTS"),(82,"BOOLEAN"),(83,"MOD"),(84,"DEFAULT"),(85,"TYPE"),(86,"NO_WRITE_TO_BINLOG"),(87,"RESET"),(88,"BIGINT"),(89,"SET");
insert into help_keyword (help_keyword_id,name) values (90,"ISSUER"),(91,"DATE"),(92,"STATUS"),(93,"FULLTEXT"),(94,"COMMENT"),(95,"MASTER_CONNECT_RETRY"),(96,"INNER"),(97,"STOP"),(98,"MASTER_LOG_FILE"),(99,"MRG_MYISAM"),(100,"PRECISION"),(101,"REQUIRE"),(102,"TRAILING"),(103,"LONG"),(104,"OPTION");
insert into help_keyword (help_keyword_id,name) values (105,"ELSE"),(106,"IO_THREAD"),(107,"CIPHER"),(108,"FROM"),(109,"READ"),(110,"LEFT"),(111,"MINUTE_SECOND"),(112,"COMPACT"),(113,"DEC"),(114,"FOR"),(115,"WARNINGS"),(116,"MIN_ROWS"),(117,"STRING"),(118,"FUNCTION"),(119,"ENCLOSED");
insert into help_keyword (help_keyword_id,name) values (120,"AGGREGATE"),(121,"FIELDS"),(122,"INT3"),(123,"ARCHIVE"),(124,"ADD"),(125,"AVG_ROW_LENGTH"),(126,"FLOAT4"),(127,"STRIPED"),(128,"REPEATABLE"),(129,"INFILE"),(130,"ORDER"),(131,"USING"),(132,"MIDDLEINT"),(133,"GRANT"),(134,"UNSIGNED");
insert into help_keyword (help_keyword_id,name) values (135,"DECIMAL"),(136,"GEOMETRYFROMTEXT"),(137,"INDEXES"),(138,"FOREIGN"),(139,"CACHE"),(140,"HOSTS"),(141,"COMMIT"),(142,"LEADING"),(143,"LOAD"),(144,"SQL_CACHE"),(145,"CONVERT"),(146,"DYNAMIC"),(147,"POLYGONFROMTEXT"),(148,"BYTE"),(149,"LINESTRINGFROMWKB");
insert into help_keyword (help_keyword_id,name) values (150,"GLOBAL"),(151,"BERKELEYDB"),(152,"WHEN"),(153,"HAVING"),(154,"AS"),(155,"STARTING"),(156,"RELOAD"),(157,"AUTOCOMMIT"),(158,"REVOKE"),(159,"GRANTS"),(160,"OUTER"),(161,"FLOOR"),(162,"WITH"),(163,"STD"),(164,"AFTER");
insert into help_keyword (help_keyword_id,name) values (165,"CSV"),(166,"DISABLE"),(167,"OUTFILE"),(168,"LOW_PRIORITY"),(169,"FILE"),(170,"BDB"),(171,"SONAME"),(172,"POW"),(173,"MULTIPOINTFROMWKB"),(174,"INDEX"),(175,"MULTIPOINTFROMTEXT"),(176,"BACKUP"),(177,"MULTILINESTRINGFROMWKB"),(178,"EXTENDED"),(179,"CROSS");
insert into help_keyword (help_keyword_id,name) values (180,"NATIONAL"),(181,"GROUP"),(182,"ZEROFILL"),(183,"CLIENT"),(184,"MASTER_PASSWORD"),(185,"RELAY_LOG_FILE"),(186,"TRUE"),(187,"CHARACTER"),(188,"MASTER_USER"),(189,"ENGINE"),(190,"TABLE"),(191,"INSERT_METHOD"),(192,"CASCADE"),(193,"RELAY_LOG_POS"),(194,"SQL_CALC_FOUND_ROWS");
insert into help_keyword (help_keyword_id,name) values (195,"MYISAM"),(196,"MODIFY"),(197,"MATCH"),(198,"MASTER_LOG_POS"),(199,"DESC"),(200,"DISTINCTROW"),(201,"TIME"),(202,"NUMERIC"),(203,"EXPANSION"),(204,"GEOMETRYCOLLECTIONFROMTEXT"),(205,"RAID_CHUNKS"),(206,"FLUSH"),(207,"CREATE"),(208,"ISAM"),(209,"MAX_UPDATES_PER_HOUR");
insert into help_keyword (help_keyword_id,name) values (210,"INT2"),(211,"PROCESSLIST"),(212,"LOGS"),(213,"HEAP"),(214,"SOUNDS"),(215,"BETWEEN"),(216,"MULTILINESTRINGFROMTEXT"),(217,"PACK_KEYS"),(218,"FAST"),(219,"VALUES"),(220,"VARCHARACTER"),(221,"BEFORE"),(222,"SHOW"),(223,"REDUNDANT"),(224,"ALL");
insert into help_keyword (help_keyword_id,name) values (225,"USER_RESOURCES"),(226,"PARTIAL"),(227,"BINLOG"),(228,"END"),(229,"SECOND"),(230,"AND"),(231,"FLOAT8"),(232,"PREV"),(233,"HOUR"),(234,"SELECT"),(235,"DATABASES"),(236,"OR"),(237,"IDENTIFIED"),(238,"MASTER_SSL_CIPHER"),(239,"SQL_SLAVE_SKIP_COUNTER");
insert into help_keyword (help_keyword_id,name) values (240,"BOTH"),(241,"BOOL"),(242,"YEAR"),(243,"MASTER_PORT"),(244,"CONCURRENT"),(245,"UNIQUE"),(246,"PROCESS"),(247,"MASTER_SSL"),(248,"DATE_ADD"),(249,"MAX_CONNECTIONS_PER_HOUR"),(250,"LIKE"),(251,"IN"),(252,"COLUMN"),(253,"DUMPFILE"),(254,"USAGE");
insert into help_keyword (help_keyword_id,name) values (255,"EXECUTE"),(256,"MEMORY"),(257,"CEIL"),(258,"QUERY"),(259,"MASTER_HOST"),(260,"LINES"),(261,"SQL_THREAD"),(262,"MAX_QUERIES_PER_HOUR"),(263,"MULTIPOLYGONFROMWKB"),(264,"MASTER_SSL_CERT"),(265,"DAY_MINUTE"),(266,"TRANSACTION"),(267,"DATE_SUB"),(268,"GEOMETRYFROMWKB"),(269,"RENAME");
insert into help_keyword (help_keyword_id,name) values (270,"INT1"),(271,"ALTER"),(272,"MAX_ROWS"),(273,"RIGHT"),(274,"STRAIGHT_JOIN"),(275,"NATURAL"),(276,"VARIABLES"),(277,"ESCAPED"),(278,"SHA1"),(279,"PASSWORD"),(280,"RAID_TYPE"),(281,"CHAR"),(282,"OFFSET"),(283,"NEXT"),(284,"SQL_LOG_BIN");
insert into help_keyword (help_keyword_id,name) values (285,"ERRORS"),(286,"TEMPORARY"),(287,"SQL_SMALL_RESULT"),(288,"COMMITTED"),(289,"DELAY_KEY_WRITE"),(290,"BEGIN"),(291,"MEDIUM"),(292,"INTERVAL"),(293,"SSL"),(294,"DAY_HOUR"),(295,"REFERENCES"),(296,"AES_ENCRYPT"),(297,"ISOLATION"),(298,"INT8"),(299,"RESTRICT");
insert into help_keyword (help_keyword_id,name) values (300,"LINESTRINGFROMTEXT"),(301,"IS"),(302,"UNCOMMITTED"),(303,"NOT"),(304,"DES_KEY_FILE"),(305,"COMPRESSED"),(306,"START"),(307,"IF"),(308,"SAVEPOINT"),(309,"PRIMARY"),(310,"INNOBASE"),(311,"LAST"),(312,"KEYS"),(313,"LIMIT"),(314,"KEY");
insert into help_keyword (help_keyword_id,name) values (315,"MERGE"),(316,"SQL_NO_CACHE"),(317,"DELAYED"),(318,"CONSTRAINT"),(319,"SERIAL"),(320,"ACTION"),(321,"WRITE"),(322,"SESSION"),(323,"DATABASE"),(324,"NULL"),(325,"USE_FRM"),(326,"SLAVE"),(327,"TERMINATED"),(328,"ASC"),(329,"ENABLE");
insert into help_keyword (help_keyword_id,name) values (330,"OPTIONALLY"),(331,"DIRECTORY"),(332,"MAX_USER_CONNECTIONS"),(333,"DISTINCT"),(334,"LOCAL"),(335,"MASTER_SSL_KEY"),(336,"NONE"),(337,"TABLES"),(338,"<>"),(339,"RLIKE"),(340,"SHUTDOWN"),(341,"HIGH_PRIORITY"),(342,"BTREE"),(343,"FIRST"),(344,"TYPES");
insert into help_keyword (help_keyword_id,name) values (345,"MASTER"),(346,"FIXED"),(347,"RAID0"),(348,"MULTIPOLYGONFROMTEXT"),(349,"ROW_FORMAT");

insert into help_relation (help_topic_id,help_keyword_id) values (367,0),(271,1),(340,2),(322,3),(123,4),(143,5),(327,6),(263,7),(106,8),(289,9),(58,10),(271,10),(263,11),(73,11),(384,12);
insert into help_relation (help_topic_id,help_keyword_id) values (123,12),(292,13),(183,14),(75,15),(271,16),(57,17),(123,17),(144,17),(211,17),(354,17),(87,18),(19,19),(115,20),(152,21),(263,22);
insert into help_relation (help_topic_id,help_keyword_id) values (359,22),(19,23),(152,24),(271,25),(359,26),(359,27),(263,28),(359,28),(384,29),(32,30),(359,30),(56,30),(152,30),(271,30),(322,30);
insert into help_relation (help_topic_id,help_keyword_id) values (277,30),(354,30),(363,31),(359,31),(19,32),(83,33),(359,33),(322,33),(19,34),(271,35),(359,36),(239,37),(123,37),(277,38),(363,39);
insert into help_relation (help_topic_id,help_keyword_id) values (359,39),(363,40),(0,40),(73,41),(152,42),(0,43),(32,44),(56,44),(73,44),(152,45),(161,46),(354,46),(152,47),(271,48),(0,49);
insert into help_relation (help_topic_id,help_keyword_id) values (115,49),(271,49),(56,49),(322,49),(354,49),(357,50),(319,50),(32,50),(289,51),(152,52),(60,53),(371,53),(359,54),(295,55),(340,56);
insert into help_relation (help_topic_id,help_keyword_id) values (0,57),(229,58),(197,58),(327,58),(289,58),(355,59),(350,59),(143,59),(143,60),(354,60),(19,61),(363,62),(115,62),(271,62),(115,63);
insert into help_relation (help_topic_id,help_keyword_id) values (271,63),(28,63),(197,64),(19,65),(93,66),(106,67),(350,67),(367,68),(271,69),(161,70),(145,71),(66,71),(322,72),(58,73),(359,74);
insert into help_relation (help_topic_id,help_keyword_id) values (115,75),(375,75),(330,76),(218,77),(101,78),(263,79),(19,80),(116,81),(144,81),(211,81),(58,82),(15,82),(131,83),(115,84),(359,84);
insert into help_relation (help_topic_id,help_keyword_id) values (183,84),(354,84),(359,85),(354,85),(357,86),(251,86),(80,86),(361,86),(23,87),(202,87),(111,87),(169,88),(106,89),(363,89),(140,89);
insert into help_relation (help_topic_id,help_keyword_id) values (379,89),(162,89),(56,89),(28,89),(354,89),(152,90),(201,91),(94,91),(289,91),(19,91),(263,92),(38,92),(281,92),(170,92),(359,93);
insert into help_relation (help_topic_id,help_keyword_id) values (161,93),(354,93),(359,94),(143,95),(0,96),(35,97),(143,98),(359,99),(239,100),(152,101),(347,102),(218,103),(152,104),(101,105),(35,106);
insert into help_relation (help_topic_id,help_keyword_id) values (250,106),(152,107),(263,108),(83,108),(347,108),(32,108),(87,108),(271,108),(276,108),(340,109),(22,109),(73,109),(0,110),(19,111),(359,112);
insert into help_relation (help_topic_id,help_keyword_id) values (159,113),(263,114),(271,114),(263,115),(359,116),(123,117),(123,118),(322,119),(123,120),(263,121),(322,121),(192,122),(359,123),(40,124),(354,124);
insert into help_relation (help_topic_id,help_keyword_id) values (359,125),(354,125),(126,126),(359,127),(340,128),(322,129),(32,130),(271,130),(56,130),(354,130),(277,130),(0,131),(32,131),(192,132),(152,133);
insert into help_relation (help_topic_id,help_keyword_id) values (239,134),(384,134),(159,134),(15,134),(289,134),(126,134),(92,134),(117,135),(316,136),(263,137),(363,138),(359,138),(354,138),(111,139),(105,140);
insert into help_relation (help_topic_id,help_keyword_id) values (263,140),(106,141),(347,142),(83,143),(322,143),(276,143),(271,144),(289,145),(359,146),(304,147),(356,148),(344,149),(93,150),(340,150),(140,150);
insert into help_relation (help_topic_id,help_keyword_id) values (359,151),(101,152),(271,153),(0,154),(22,154),(271,154),(322,155),(152,156),(106,157),(152,158),(263,159),(147,159),(0,160),(169,161),(58,162);
insert into help_relation (help_topic_id,help_keyword_id) values (152,162),(313,163),(354,164),(359,165),(322,165),(354,166),(271,167),(115,168),(22,168),(32,168),(56,168),(28,168),(322,168),(152,169),(359,170);
insert into help_relation (help_topic_id,help_keyword_id) values (123,171),(372,172),(353,173),(263,174),(0,174),(57,174),(40,174),(359,174),(161,174),(354,174),(324,175),(273,176),(207,177),(357,178),(0,179);
insert into help_relation (help_topic_id,help_keyword_id) values (197,180),(327,180),(271,181),(239,182),(384,182),(159,182),(15,182),(126,182),(92,182),(152,183),(143,184),(143,185),(295,186),(197,187),(327,187);
insert into help_relation (help_topic_id,help_keyword_id) values (162,187),(143,188),(263,189),(281,189),(359,189),(354,189),(263,190),(40,190),(273,190),(276,190),(211,190),(359,191),(363,192),(359,192),(211,192);
insert into help_relation (help_topic_id,help_keyword_id) values (143,193),(271,194),(359,195),(354,196),(58,197),(143,198),(252,199),(271,199),(277,199),(271,200),(240,201),(288,201),(289,201),(159,202),(58,203);
insert into help_relation (help_topic_id,help_keyword_id) values (187,204),(359,205),(111,206),(263,207),(116,207),(123,207),(40,207),(359,207),(161,207),(359,208),(152,209),(176,210),(263,211),(345,211),(229,212);
insert into help_relation (help_topic_id,help_keyword_id) values (263,212),(281,212),(359,213),(290,214),(107,215),(74,216),(359,217),(319,218),(28,219),(197,220),(355,221),(229,222),(281,222),(170,222),(105,222);
insert into help_relation (help_topic_id,help_keyword_id) values (38,222),(87,222),(147,222),(345,222),(359,223),(234,224),(271,224),(152,224),(251,225),(359,226),(87,227),(101,228),(19,229),(107,230),(241,230);
insert into help_relation (help_topic_id,help_keyword_id) values (239,231),(73,232),(19,233),(28,234),(196,234),(263,235),(100,236),(152,237),(143,238),(140,239),(347,240),(77,241),(15,241),(19,242),(143,243);
insert into help_relation (help_topic_id,help_keyword_id) values (322,244),(354,245),(152,246),(143,247),(19,248),(152,249),(263,250),(290,250),(58,251),(87,251),(271,251),(354,252),(271,253),(152,254),(152,255);
insert into help_relation (help_topic_id,help_keyword_id) values (271,256),(341,257),(58,258),(111,258),(143,259),(322,260),(35,261),(250,261),(152,262),(88,263),(143,264),(19,265),(106,266),(340,266),(19,267);
insert into help_relation (help_topic_id,help_keyword_id) values (104,268),(354,269),(15,270),(40,271),(152,271),(354,271),(359,272),(0,273),(0,274),(271,274),(0,275),(263,276),(322,277),(217,278),(152,279);
insert into help_relation (help_topic_id,help_keyword_id) values (359,280),(356,281),(289,281),(271,282),(73,283),(379,284),(263,285),(211,286),(271,287),(340,288),(359,289),(106,290),(319,291),(19,292),(152,293);
insert into help_relation (help_topic_id,help_keyword_id) values (19,294),(363,295),(359,295),(152,295),(381,296),(340,297),(92,298),(363,299),(211,299),(37,300),(283,301),(340,302),(116,303),(238,303),(251,304);
insert into help_relation (help_topic_id,help_keyword_id) values (359,305),(106,306),(250,306),(116,307),(144,307),(211,307),(350,308),(354,309),(359,310),(73,311),(263,312),(354,312),(32,313),(87,313),(271,313);
insert into help_relation (help_topic_id,help_keyword_id) values (56,313),(73,313),(363,314),(115,314),(40,314),(359,314),(354,314),(359,315),(271,316),(115,317),(28,317),(375,317),(359,318),(354,318),(359,319);
insert into help_relation (help_topic_id,help_keyword_id) values (183,319),(363,320),(359,320),(22,321),(93,322),(340,322),(263,323),(116,323),(144,323),(363,324),(283,324),(357,325),(23,326),(105,326),(170,326);
insert into help_relation (help_topic_id,help_keyword_id) values (35,326),(250,326),(322,327),(271,328),(277,328),(354,329),(322,330),(359,331),(152,332),(330,333),(367,333),(271,333),(277,333),(357,334),(251,334);
insert into help_relation (help_topic_id,help_keyword_id) values (22,334),(80,334),(322,334),(361,334),(143,335),(152,336),(263,337),(22,337),(380,338),(17,339),(152,340),(115,341),(271,341),(161,342),(359,343);
insert into help_relation (help_topic_id,help_keyword_id) values (73,343),(354,343),(263,344),(229,345),(83,345),(38,345),(143,345),(202,345),(276,345),(159,346),(359,346),(359,347),(151,348),(359,349);

